GNU bug report logs - #59351
29.0.50; [PATCH] Fix mouse click position to menu bar entry

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Manuel Giraud <manuel@HIDDEN>; Keywords: patch; Done: Eli Zaretskii <eliz@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 59351-done <at> debbugs.gnu.org:


Received: (at 59351-done) by debbugs.gnu.org; 1 Dec 2022 16:51:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 01 11:51:27 2022
Received: from localhost ([127.0.0.1]:40772 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p0mmU-0005g9-Ri
	for submit <at> debbugs.gnu.org; Thu, 01 Dec 2022 11:51:27 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36156)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1p0mmT-0005fz-FO
 for 59351-done <at> debbugs.gnu.org; Thu, 01 Dec 2022 11:51:25 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1p0mmN-0001LH-8w; Thu, 01 Dec 2022 11:51:19 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=JX0sJQG0QVVm9U4S6wiiYU7go8b4/gKaFshURL8PB3Q=; b=HHGBsQgvvqYs
 hGZLx9QiXPmUYS69Pwu5Fcq+cFE9cZ8D7wU8fJa8j7WKN0qA+AZW2B7kLXhZqMjHt/7UmiAl/fsGj
 03qRIKsLO41aIzEOkWP7L7PBaU9F6GNrXrCwqZAKdAmIei0D4imCIAERLNe0NIjA/1SFaJ24a2Hxv
 BTRHD+iVNUwu2RDIHuIjNhUfYvQe/4dgzsCrDOXqWtKynb24c5Pwxhums8yD2lJPyWN+m01WbmDc8
 wIZzpCh25+znlNpElMH0f+63WjUcW6osv/RTzcnjgq06gTBAeED6T0PrpefqLLk+vI3UMu4VHoZoa
 5j0VlboTASjYBZlCswv8FA==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1p0mmL-0004Qt-El; Thu, 01 Dec 2022 11:51:18 -0500
Date: Thu, 01 Dec 2022 18:50:51 +0200
Message-Id: <83pmd3gj9w.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
In-Reply-To: <877czbf5yd.fsf@HIDDEN> (message from Manuel Giraud on
 Thu, 01 Dec 2022 17:23:54 +0100)
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
 <871qpt7hac.fsf@HIDDEN> <83y1s1y3vg.fsf@HIDDEN>
 <87fse7jd7t.fsf@HIDDEN> <8735a7jczf.fsf@HIDDEN>
 <8335a5ubgr.fsf@HIDDEN> <87sfi5aaph.fsf@HIDDEN>
 <834julsjjz.fsf@HIDDEN> <87r0xpw77m.fsf@HIDDEN>
 <83h6ykrjc1.fsf@HIDDEN> <871qpnkny2.fsf@HIDDEN>
 <834jufi9ul.fsf@HIDDEN> <877czbf5yd.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59351-done
Cc: luangruo@HIDDEN, 59351-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Manuel Giraud <manuel@HIDDEN>
> Cc: Manuel Giraud <manuel@HIDDEN>,  luangruo@HIDDEN,
>   59351 <at> debbugs.gnu.org
> Date: Thu, 01 Dec 2022 17:23:54 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> [...]
> 
> > Should this bug be closed now?
> 
> Ok for me.

Thanks, closing.




Notification sent to Manuel Giraud <manuel@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Eli Zaretskii <eliz@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 1 Dec 2022 16:24:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 01 11:24:02 2022
Received: from localhost ([127.0.0.1]:40643 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p0mLx-00039J-Nb
	for submit <at> debbugs.gnu.org; Thu, 01 Dec 2022 11:24:01 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:24577)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1p0mLs-00039C-8w
 for 59351 <at> debbugs.gnu.org; Thu, 01 Dec 2022 11:23:59 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=uoGKz+3JslAc7my5
 9fR63bd6/eKysT2v4SZ0DphOQE8=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=DFOXNuIz2jusod54kgsbY2FeLM4Q42V7STrFFU
 ZwletyaY8+mB3G4eCE55/PCDnvyHdAszzvIzyL8a75MvNZz0u8Wmk1eCCX5kPlfTYZrL24
 /8U7ZGmDOZQ4VPLocQDpmhEQ+vPl3NhqC3Y+Km0KPN4uhEG1vutmNABLVUGzz5ezYlUfRA
 q1Xy6qJ0zgwbrjxPzTDzDNUC16g9yHksxGH9zI4BRzkBe8gvV9nWzsS06kwgh+YzGarnET
 Sv8XuMF8lZLiQsEAr4/iQwrJfWLeT77HDFxEkR5LRWfxZNmqKDWv80MQBpzECwnlud4kLW
 YUSHq+BAudWHTh89wIJfrq9Q==
Received: from computer (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 7c33ec25
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Thu, 1 Dec 2022 17:23:55 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <834jufi9ul.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 01 Dec
 2022 14:31:30 +0200")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
 <871qpt7hac.fsf@HIDDEN> <83y1s1y3vg.fsf@HIDDEN>
 <87fse7jd7t.fsf@HIDDEN> <8735a7jczf.fsf@HIDDEN>
 <8335a5ubgr.fsf@HIDDEN> <87sfi5aaph.fsf@HIDDEN>
 <834julsjjz.fsf@HIDDEN> <87r0xpw77m.fsf@HIDDEN>
 <83h6ykrjc1.fsf@HIDDEN> <871qpnkny2.fsf@HIDDEN>
 <834jufi9ul.fsf@HIDDEN>
Date: Thu, 01 Dec 2022 17:23:54 +0100
Message-ID: <877czbf5yd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org,
 Manuel Giraud <manuel@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

[...]

> Should this bug be closed now?

Ok for me.
-- 
Manuel Giraud




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 1 Dec 2022 12:32:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 01 07:32:16 2022
Received: from localhost ([127.0.0.1]:39439 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p0ijg-0002Vz-60
	for submit <at> debbugs.gnu.org; Thu, 01 Dec 2022 07:32:16 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54502)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1p0ijb-0002Vp-9V
 for 59351 <at> debbugs.gnu.org; Thu, 01 Dec 2022 07:32:14 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1p0ijV-0004EP-97; Thu, 01 Dec 2022 07:32:05 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=INwiI7m13Yf6ZUfYUPj6NDD6bVvI71qGMYxIwKJc1s8=; b=jb4ksSpx9wOp
 is6igPy65mGFil1Brmx8eC6PllH7nRshuBnl/Eiz6hEhsN2KoPOio44ef8JNbYpjgD6wyR7WJCl97
 m04ec7bucC5l0oqM61eP6iSz5OMf5DxPpYG7EwwDUj316kpiHcUWe6mlHGx/t+CGx6e162cD/bH+S
 d1j+neMFbnBdaPeiGweZmYEGe8b9FWiwXjYVuyT20uYVeEDhAv9EsOASFZF4+DMYxnXtkDvhP6zO4
 1Z2Q95EonNYuEJL5zHJFMHTZdXdniDT10adoCwwkUMGVZruWPx/cQg9e2Goz04zPSfIu+7ed3iTtN
 0vZnoY6Qs+ZtDTRmBIoVqA==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1p0ijO-0001W0-HZ; Thu, 01 Dec 2022 07:32:01 -0500
Date: Thu, 01 Dec 2022 14:31:30 +0200
Message-Id: <834jufi9ul.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
In-Reply-To: <871qpnkny2.fsf@HIDDEN> (message from Manuel Giraud on
 Mon, 28 Nov 2022 18:07:17 +0100)
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
 <871qpt7hac.fsf@HIDDEN> <83y1s1y3vg.fsf@HIDDEN>
 <87fse7jd7t.fsf@HIDDEN> <8735a7jczf.fsf@HIDDEN>
 <8335a5ubgr.fsf@HIDDEN> <87sfi5aaph.fsf@HIDDEN>
 <834julsjjz.fsf@HIDDEN> <87r0xpw77m.fsf@HIDDEN>
 <83h6ykrjc1.fsf@HIDDEN> <871qpnkny2.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Manuel Giraud <manuel@HIDDEN>
> Cc: Po Lu <luangruo@HIDDEN>,  59351 <at> debbugs.gnu.org
> Date: Mon, 28 Nov 2022 18:07:17 +0100
> 
> Here is a new version of this patch that tries to adapt the menu bar
> height in the non-toolkit build.

Thanks, I installed this.  But please look at the modified log message I
committed and try to follow it in the future.  In particular:

  . fixes of real bugs (as opposed to typos and such) should appear in
    ChangeLog, so starting with ";" in inappropriate in such cases
  . always mention the bug number in the log message

Should this bug be closed now?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 1 Dec 2022 10:30:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 01 05:30:33 2022
Received: from localhost ([127.0.0.1]:38833 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p0gpt-0007V8-Je
	for submit <at> debbugs.gnu.org; Thu, 01 Dec 2022 05:30:33 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:18643)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1p0gpo-0007V2-IQ
 for 59351 <at> debbugs.gnu.org; Thu, 01 Dec 2022 05:30:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=4OdRTXAf/knOq5ZP
 XOP71RqfxeUX5raL4kksKbHboCY=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=pi3Fp9rKe2svyF6XtXSCEnVljT/J5Z9NVkGXjt
 pvYgs+Qn9BIL/Gf4xBFJzdhRqOqda0l3hBAaBAAHVim+vYrhS/ZIDfjXRprno81S7750ul
 pWdaq3eO3mjgzuqwmdQkNBYiLOmGTDhsY8NQzHuRhRgJTP13i1pD8XvtnmZtW9efHhJuI8
 wuiCZ4E5B8RD0XSN0rIo6cjMYev9OPYYP6DLDoJZIa1ScWygkj3Rkhw86NW+XwiCnWxxJS
 wd30ffmLlhtHdLIypTbCYiPDyJeQfXk153W2oEx1otDK/fb8A6S+YIupZoA6xxO7vSOhAZ
 oYQKiVAVOIQvfq7HRZogGUyA==
Received: from computer (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 6d649546
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Thu, 1 Dec 2022 11:30:14 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <87pmd6umn2.fsf@HIDDEN> (Po Lu's message of "Tue, 29 Nov 2022
 17:37:37 +0800")
References: <87tu2wlku7.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
 <871qpt7hac.fsf@HIDDEN> <83y1s1y3vg.fsf@HIDDEN>
 <87fse7jd7t.fsf@HIDDEN> <8735a7jczf.fsf@HIDDEN>
 <8335a5ubgr.fsf@HIDDEN> <87sfi5aaph.fsf@HIDDEN>
 <834julsjjz.fsf@HIDDEN> <87r0xpw77m.fsf@HIDDEN>
 <83h6ykrjc1.fsf@HIDDEN> <871qpnkny2.fsf@HIDDEN>
 <87a64awpr8.fsf@HIDDEN> <87pmd6jilr.fsf@HIDDEN>
 <87pmd6umn2.fsf@HIDDEN>
Date: Thu, 01 Dec 2022 11:30:13 +0100
Message-ID: <87o7snfmbu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: Eli Zaretskii <eliz@HIDDEN>, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Po Lu <luangruo@HIDDEN> writes:

> OK, sure.  I will install it tomorrow, but please remind me if I
> forget.

Ping (i guess :-)
-- 
Manuel Giraud




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 29 Nov 2022 12:19:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 29 07:19:44 2022
Received: from localhost ([127.0.0.1]:54373 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ozzaS-0007zV-Er
	for submit <at> debbugs.gnu.org; Tue, 29 Nov 2022 07:19:44 -0500
Received: from sonic313-56.consmr.mail.ne1.yahoo.com ([66.163.185.31]:45872)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ozzaQ-0007zP-6Z
 for 59351 <at> debbugs.gnu.org; Tue, 29 Nov 2022 07:19:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1669724376; bh=/2CTEhgRTTLXSoxqk+UEVXehbZg/7HYU9qLoozbCehk=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=D0v0scY1Tj5IorLxaz0LP5v9VewneGOYL/cE48A1VWERIQjXGdWHUhH33KkAAUU++s92R1gGgf5oOROc/3utbiOcNihE0OASqgSamDwIuxwtJujYJcN9S9O3dcfwk+UELRKQmq4ZVesjnSypjfly6PUka8fKHWHRmRL5izqeHU+qYuRsHoH0lQ76WBa2T1yszklli4GYK+VOlLHdTPxU45x4b55HBc3HUJsPc6GRLpVFRoL013f4xqjM17cdlCYi58l+Z8HNfxBd15GLt4mrEfEEv+7GL72SgujM8r+T4eNzWo8qzFdYTzB3cxzCgB1+Vs5kcpZ2mo+2L7V256LYSQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1669724376; bh=5lsTl9eDbnzT1jAYHgTu8M+vfuNbyIhAPQ4NgAtOwdQ=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=Js+ZoLiXCS/TXOwwRgJoKFSEC+Ey+3gJugP9x7lmYgiYeVwHhY9j6S39FhzgOxoOUZLSbYpmy1bKG5rnM7G5zoJSci43HBoZfqa9PGMGFRfWS60N3E2z1xwYIuTQXFhhG+IKeR/XSLmWsgoXFjaIDLPRjW2FGUOp8biBUeIUxlgIKpxLPtCkxVrheID0+xiu7pJ/zWZaB/QoC299UfJvj8Wfff7R5UNtpW+pyTvcdgDMCTts3p+Dg7V2lw0JubJDuKoh3bfuL+e95QhIutfl9C/Y2kq6qm53vjxQ8akV6FYyVP7rpDdx/+RzrsHkzgz6IR8GkzqChHsujHe7JnShzw==
X-YMail-OSG: xrQWu38VM1k3WRRuZ4WKYZLZzjPnilIh0zuzqyZeAOfmyboAivNkYVQKjkQd9q2
 mjV6DmwGI4UH6knHBg4elHYwUJy2aKa2iwOxg6HqW9h.JMfS8AJyp9fSMa1J976S27kqtpN45ZtT
 _dHbPQyvk2GHG6Mjarybx9W9w_4ELBh_W7MqMWkke6fDSB5LAYtg6pnEuZTeJGk3lr6S4H2Ji2iD
 mABUOi5Sh3rgLIwnbhinp8lKrr.X8KbpVLUruz09zSI9aG2_.h8riWSiFkMvu8LMpTyB32ceYIXI
 qGMF6aq4E6Xoxd5ObMJKUdNPKPTAY_cfQAcbDtg9JDiut3T11BObKdbi5BfV.8WjmsYlIKUjKIVx
 0Ug7ZDtBS2S5OOTOHTWJvO7gCoNBLXrPhhXuyL7JhwLA6WyZ81v20AMj5gHOrUk1NR4.nOpjIaan
 zdhtwfxSXhTt5jhPcKVcnXZXjdCUnkf_FMlHo2Cc0q4bzt9h50b2YLufibwjCVYn9eP9_Ks5OikB
 W_Z81Lqz__xgIKaIKi6irAPwZK8JI81kXbrRivD8uDSglq33_gR5aXsIyi.rOLlSRMXfszLDiMCu
 iY9_obhwIRTwXYbxHUZOVSxkXxEjQ_wad_tH5mt0UatdyE4hWz3X7DDQaoVvIE4_JDrXA4JpqHzY
 KZvVvpTF2Kz9uzCwjc7REFZjunBBNAR5GSMG21NT7t_AcjzfW9tHZNIqihNT6QF1PGOAXffarZ2B
 wNQNBnmb3ZfsTQqlkw8yEvxtYn4RSwePsVkq21hinURYd2My9KymJi9Dzvxr9xbHt9fY0ilBnlvA
 9UpSo_P94VUutJksfvLYL1jjVXz4NmAEMnwYaUedXh4fXgQHTmY81ulPVYPFVHDvHmoyzJX.Nxm8
 MxWSp9ET3lrjNpA2KoVXFXzY8Jx1Q.VN.pCzV5xUMDUFvX6NYnr3RwBiebF5LkFliTO_gOiVz63u
 bC5KR.vI8EgVeZdhLEKUzkerv1R38zXzWD0wWX6o2V9UKL9sWUeZpX864gN9MNluAxPyAV_sMeYW
 yq6OchtF5z97rl_KS7_UXx1hFrQ__egse.XfAgaB3RyxOPAU9j9oHqfVwWdivmM7VfwExCsaEP4d
 T2Ul1RQrrhObk3uPIa93hfHmhJ1IFSArkwbPOp.ltnF92DDg1lPTVWam2fPhD0Q4JA0ORYDdrA2N
 bqt_huDvYRyrhpe8moekE9StwFxyOZjw25Wa0A1kl6fgNnL9QW5IvN.Vd57UPBQConVhaMZnL.CD
 vD6qI5LwdfDxmRK.mVSFJE5uYfA.ro4x6RkW0TE0Wej2wL5LylyIwptPDsPj.RB_fyo29GBQW.58
 bg6opoykd2bgbP1NvkYSijkDujlEdXHx_uX01jUZjFTt82ZWf1eH3TjRgub8iRBH3l4wd55Zk2aw
 70qY_ZGhF4J7bsvC0brwdPKF896Uti_btcTROFDw4ZrtZbSMlc5l82wxvAezZEVz4peIuWyuk4in
 zoRxBglTP5Dr.a7IFurL41yIyejZ7fK97lktRSkatt2A.gEf8iQmLJN1QxxWxjoje8BB.vNAT08W
 NYeiqJh6lb.KM1lYYAGEdsInFuj1jQAKFWBYi0EH2yJptA.IeLJ35sW9J_rPQ6h6tTtgxzP1bNYT
 5dL0meAIKekJI8vXtU5ZAeYd0NPhZVyA9mpSmkqcq2Ay4vyybnBgz6seQhsoT4QmwkysyMLNEcH3
 VF6I.bW5hUeM5pvHc_7977C6VmdtcwAabNVZxHP1rLBbfUPWaWvt9YxzfIG6hbDTZ5.haVR7bLYV
 locdiwsINRdtnBygLZxZYvsn8qPsRB7mOPPhtlPHgoZ9Pto0JUQBZiyz4eZCSAjNIja_UsM.H6E8
 4BWqm85F6RW_BjGCxLIQnuJKpGtJeaM5wrxVfrpoDYt8eP2ckolrltjU4ZohnrwJrFg5ncmJ4Wz2
 oSkuuKYUvvzTqSA.NRcudIdgdjHHSEwfvZc11jniIYRSADrukZSeQS4J8A71D0SuadE5OIwi.FWU
 xMu.6AOSfqNOtbcjHhxAAU_2WZrooRloWVr8wGTa1FM2myK06jjVanImibRS0zrAvGwjE75KJtTE
 K5BZcxLUTFYEOhU45ska9vU9U.9hDuIZXrUwxQ99KJH3QIz.q.5l.HpzOVVdVZ2eKN5F3Qc73BUT
 e.wdr_yeGGOtiougfUr1ucD_fwN_s3rLbMvKUZp.dumeEX0AnhSD47QZmTG7AlDFHdy4nOJWln3V
 DxOSy_BI9.erXlRhNjTYG0OlTnZW6esq.sJm4I4W4FV9_TknyMslazCpS3pT.W04INkbqYmo-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic313.consmr.mail.ne1.yahoo.com with HTTP; Tue, 29 Nov 2022 12:19:36 +0000
Received: by hermes--production-sg3-6c8895b545-qz6cd (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 52a6fd78eaa38dbdb45958118ef3db37; 
 Tue, 29 Nov 2022 12:19:31 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <83iliylzyf.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 29 Nov
 2022 14:14:48 +0200")
References: <87tu2wlku7.fsf@HIDDEN> <8735agr0g4.fsf@HIDDEN>
 <83o7t4bhk4.fsf@HIDDEN> <87zgcov1ps.fsf@HIDDEN>
 <8335agbai5.fsf@HIDDEN> <875yfcuw5r.fsf@HIDDEN>
 <83r0y09td6.fsf@HIDDEN> <87zgcotbw9.fsf@HIDDEN>
 <83iljc9k5s.fsf@HIDDEN> <871qpt7hac.fsf@HIDDEN>
 <83y1s1y3vg.fsf@HIDDEN> <87fse7jd7t.fsf@HIDDEN>
 <8735a7jczf.fsf@HIDDEN> <8335a5ubgr.fsf@HIDDEN>
 <87sfi5aaph.fsf@HIDDEN> <834julsjjz.fsf@HIDDEN>
 <87r0xpw77m.fsf@HIDDEN> <83h6ykrjc1.fsf@HIDDEN>
 <871qpnkny2.fsf@HIDDEN> <87a64awpr8.fsf@HIDDEN>
 <83iliylzyf.fsf@HIDDEN>
Date: Tue, 29 Nov 2022 20:19:22 +0800
Message-ID: <87lenuuf5h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20863
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 720
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: 59351 <at> debbugs.gnu.org, manuel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Why not emacs-29?  This fixes a bug, albeit an old one, and the conditions
> are (or supposed to be) such that the new code only affects X builds with no
> toolkits.  So what is the danger you see in installing this on emacs-29?

Fiddling with the code behind the various bars (or any other code that
can cause the size of a frame to change) tends to introduce regressions
in interactions between Emacs and window managers, and there are too
many window managers and build configurations to test in a period of 6
to 8 months.  As such, I'd be really uncomfortable with installing that
change on the release branch, especially since most people are not using
the no toolkit build.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 29 Nov 2022 12:14:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 29 07:14:25 2022
Received: from localhost ([127.0.0.1]:54358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ozzVJ-0007vs-8c
	for submit <at> debbugs.gnu.org; Tue, 29 Nov 2022 07:14:25 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33782)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ozzVG-0007vY-0p
 for 59351 <at> debbugs.gnu.org; Tue, 29 Nov 2022 07:14:23 -0500
Received: from fencepost.gnu.org ([209.51.188.10])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ozzVA-0004lF-6E; Tue, 29 Nov 2022 07:14:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=0MoNCKx2wIULbzc5bZLoFSYQZoLKa31JCYfJRMaJOYM=; b=CyX2nwVA+93x
 JeuUdT6w+ZCwF+6+AgKWwJpiDFTB/2a2WLJBUxtar1vpVuvYLa9YMNdarBW/NBOQkdSxLD5zedstb
 tMQY0m8br0hwNvTLFBNulWiKIJ7VUJGm0pAqbSCWvUjRnJC6kfk5t/1bFTY1faJ0w8+wbNLvCGYIb
 Y8n94NYt+yTB1Uscz46WULBz6Ttlcze3xg61PLJgNtUO5/lvAQENQqNCfDP+2eUoEonf+N3nwnQEU
 xkdyTrpXfFapxkqMXQ8HVvHWObZDJAuhLeajNfVRDo7ViOOSNNm5iwV4ip4B24ueT9PPO1eYVZvCd
 djWlbMRkyUZL/b/SYQ9vQg==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ozzV9-0002pR-Fn; Tue, 29 Nov 2022 07:14:15 -0500
Date: Tue, 29 Nov 2022 14:14:48 +0200
Message-Id: <83iliylzyf.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <87a64awpr8.fsf@HIDDEN> (message from Po Lu on Tue, 29 Nov
 2022 08:47:23 +0800)
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
 <871qpt7hac.fsf@HIDDEN> <83y1s1y3vg.fsf@HIDDEN>
 <87fse7jd7t.fsf@HIDDEN> <8735a7jczf.fsf@HIDDEN>
 <8335a5ubgr.fsf@HIDDEN> <87sfi5aaph.fsf@HIDDEN>
 <834julsjjz.fsf@HIDDEN> <87r0xpw77m.fsf@HIDDEN>
 <83h6ykrjc1.fsf@HIDDEN> <871qpnkny2.fsf@HIDDEN>
 <87a64awpr8.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59351
Cc: 59351 <at> debbugs.gnu.org, manuel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Po Lu <luangruo@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  59351 <at> debbugs.gnu.org
> Date: Tue, 29 Nov 2022 08:47:23 +0800
> 
> Manuel Giraud <manuel@HIDDEN> writes:
> 
> > Hi,
> >
> > Here is a new version of this patch that tries to adapt the menu bar
> > height in the non-toolkit build.
> >
> > FWIW, I've also attached a quick video of how it works with the fvwm
> > window manager with an emacs evaluating the following code:
> >
> > (split-window-right)
> > (info-emacs-manual)
> > (dolist (font '("Iosevka-18" "Ttyp0-12" "Inconsolata-14" "Inconsolata-32"
> > 		"Noto Sans-6"))
> >   (sit-for 2)
> >   (set-face-font 'menu font))
> >
> > It also works as intended with EXWM.
> 
> If it works for you, please install this on the `master' branch (NOT
> emacs-29!)

Why not emacs-29?  This fixes a bug, albeit an old one, and the conditions
are (or supposed to be) such that the new code only affects X builds with no
toolkits.  So what is the danger you see in installing this on emacs-29?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 29 Nov 2022 09:37:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 29 04:37:56 2022
Received: from localhost ([127.0.0.1]:54174 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ozx3s-0006HL-FF
	for submit <at> debbugs.gnu.org; Tue, 29 Nov 2022 04:37:56 -0500
Received: from sonic301-31.consmr.mail.ne1.yahoo.com ([66.163.184.200]:40076)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ozx3r-0006HF-2R
 for 59351 <at> debbugs.gnu.org; Tue, 29 Nov 2022 04:37:55 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1669714668; bh=8jYor/QROYao5UwiMj1GKqn1evuYEWRdq7pmYJOnujY=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=cTZwAPHJNnux0lyOoAmruIrMhMoEm8uEZTOBqLmK0vTmUi/RsatqBiCzHKZ9c1HvhLIBQwkmNhNFyGXGJELDYFSJThsVPUQvoj6mqbhy5qSbbLTfdfHEgRYgekqXniWstoTjVpGiwyTatbsBviZFLbHCRXbgVjR1DK2+hDcUgLv0NYt4Xb8ddkTkGjoehVGZxardcK+wNjKui8wXphcJydmiKTmtZ82ieBKidZOvUVLmnaEK63rt5kdW/MjlkRFSQVIft5bvhkWQ+68rbtdTja5pn+fH+XBAmM/2vcJTr6BCFVLBSzP0oviQHjKP72VaRxQuRke66MBFnMX541Onqw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1669714668; bh=BuszWNcHUASyJTymg4j52W6wjO+aGRNDFP+Q0qcZK3U=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=Ygv36btD2HYRiEFOJPZY+OQey+Q4xM+YkCP1Ogks/yglZ/ssEf5HRYuNkTZbgi00tXv3UywhWamAE5JWYcw06kCCf92R2hin4O8G4uR3ZbI9nggJPrsaWOSq2YzKV9nb6rmWPHkGdMAW70iOh5tkB9w0c52Zg0Tzolk6WKVVtWrgPj7yhKjCuHcQGuHZIXfPfWGw/07HM8urYAGCvQtd/hwetbN/ssAWcQoVMivpSgu11X1T3iCbAuF2cEecAfL7v2aYEMf5tAkU2zTLTs5CSpA/SZb75KS/mteMUqHjVkTTCCMHTwpbWlV6v+JPIRGEcMMBTyZe9YN7QBP5VtI2iA==
X-YMail-OSG: zCCgkaoVM1lEnhGdAzBzzHpVs1mz1yNeIceW5AuQeYWSh09ZCoZkrOk3hN_YoAp
 NFFqRHRiELrA95fSC.Y6MaoJ0XpL8zAdkeKx.xhfE1FcG.M6liuTTfP21zZJ08TO2.w4wtM.sttw
 ZwWJ6ius4cLWOnlzp2aYN3T2OLcVQo_P2RmYx9d7GlLfH_p8EcboJSobyFGJjfi9UsSZ_AgmJxFB
 ZY0kz5LzRVANpEEtlXFi5psp4gTkx3fDqfoDBHrv0j4j5SFfW4yqe8aTXXWp4eYDfMFL3gdqYFCe
 aEx5AP.WlsDiU5x0YDVzyOurTYet1droesqIggm.CL824esVYw6jZQIoOtqHQCQwosUj.U0Rm1Tb
 NRFAgJB2gXNPJ9pQbU7kR5UE.f3LkJI5seFxJez3_.hd2LmbCpyu0Jws_hPHg7.L1CDQcbAsO0C7
 LO0lsDAGJWyRvS.9HMaNG.zAx13OzuGMHU8YvnQ81HMhox1aVvIHoVRHrinEeJ1oFFkpk_6KFul9
 TO8HPKq0oqzR38tO57KJlMCG22rCik6KgeaPgw4R.BxAiphtlV0FjYyUVXyvhNTjzCsLlpSrwq2p
 X.FctVxSwPwy1NhCzoOz2DuZCk6e2QMpxzrgAzfONUFIbnvea41MJMS.Fg6QUxaCUv83JFOPlo83
 TClYsHgZWt.RpO.JccE0GVwlY6MPMq5UwWohjyVaZaqSdH8zMcGUtbEpCk.XZyJzYcUxNQppt6V.
 gdfAM0XaGEjFOWzafafHTVJB_g3gWpL9.UuoLAw__K1OKw_C5GoOfTaugOf4oc7BramiPuYTeM7t
 qLHEnFY33wwG2rkhn9ztc_wGkiSoEJcRrjD7dI.3VFcYyX8e2lkT1mM4T4Ioo49Q2J_MIWUlgKjw
 LtP9jSeGMV6hJG3MJfNr1hYcmvFDtwqb9oCN0h8K6qVnbJO5lSgUbJBwz0H__.C0pCx0uX21tCEK
 iSMxXeysbA0aVrCrqwtKsCnEE1h8HGxCc0mDZzWRKgqp3g39bIkgsFlm6jgyLaFhVBru4SLI_gol
 eQHzZ6BMg5SHxtH3T1hCnOZya37PkzXqmZO8uY0gegqs2Rxez0klBuAzQ3w5GmspHyJXWMBWJc0l
 zr7nHtvqxzBOHvfJNOn0188ZpKV0lozoH9orcD_gWWARX1puBFdbyNNcvva.q9ERHCg0sEh6Iz9L
 IQF.ixF617P12cyJXdD.8hIgGMKPqUmE7.yhoEeT9itGdEHPIJYiaEVal5YqyuTIL7iKp3wZS8IU
 Ck2arFLPEPW17xoILsLpuNiFIOQWvW6hYX.nKHilGh7Gu8XjfOd2wTRz8iHUGPoeTz9MmwNypUws
 i9uu79kVYUq_c1uHQL96_ARFoSipnDT1GhmRH6NAHJw658lkiT3TsLRvItFr0lyMCfXoolKKapq4
 3bmKzYqVqIDk5sC8H82ACGA.xyaVwT_CIpKEl_edk3oILmkzr.X8e.rE7VKT2VuiWmDLULaf7cK4
 nKmCXee2FUfy.uvTv8zl4zg0naRw78Kf459xwtJVCrirNgDtb5f7bO_4rZJdDNDaXKvv.18DjV0Z
 fL1ZtcIjtiTJXUB8_btz3CvFBfI58hxCt343NUHvju3ctKjqIz42F7UhvTRqSpbke5vudhZMLu4D
 My7I4_vaf3C1HIih3lON3gN2KU2BM5tql9mR_mza.dUITc1VbTxXWaZWAC9RccBqdj94nW4544pl
 s44343E_xoU7s04awWG7xwGtdHQYtbo0C.FwbeqvxK1E8MvZepvOMx.WjdHJfYUnj37a6buyiYM_
 aD69wvWH_Nm0ViMsOvBNRItaeOJnz638.iiJ8pj7iw8anlF8KphkfREliSr2ARXYPYgPwiqaMW53
 OREqJ2qrJEjQQpo6o8F.nXrd96Pijrz5j6rSdUh6lwdTrmLETWk7gnqGr9Ds8ccZza2cKI8N_CRP
 dL3WQsbIjmgcqkwbYZ0UVFDnol.5xFbhlNv3cEL46nQtDPr.SavEur._EntDJgxS0B56cYxXyaPi
 sjSPBl9dGOkNhiNFvQgL9GeLctEqzlt3X3FJnFz8QHFuBpb1IOgdF5NDX1UylzPpefCC4zfIsw19
 loCoo8T3U7EM_AKtuW4TXl0dyUcZScs6sDFZP_KD8_zZw_ecLicS_uIZ69ApSz7rpqHr8Km9y0f8
 .jKan1KjoUT6SK0.g3PhJPxIQZYNLeYJwUM.Z8OP9yEg2mlNK9CStqceThb7_DWfOEXwBwxHatVH
 1oej1GHKmNsgrzyzysZW2J1dBJPzw4uknWYaj06f2hQnVufsc_gDTTiAQrG_brhe.XUs.KA--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic301.consmr.mail.ne1.yahoo.com with HTTP; Tue, 29 Nov 2022 09:37:48 +0000
Received: by hermes--production-sg3-6c8895b545-pb7wm (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID b1802255e1a1793e72451961748636f0; 
 Tue, 29 Nov 2022 09:37:44 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <87pmd6jilr.fsf@HIDDEN> (Manuel Giraud's message of "Tue, 
 29 Nov 2022 09:00:16 +0100")
References: <87tu2wlku7.fsf@HIDDEN> <8735agr0g4.fsf@HIDDEN>
 <83o7t4bhk4.fsf@HIDDEN> <87zgcov1ps.fsf@HIDDEN>
 <8335agbai5.fsf@HIDDEN> <875yfcuw5r.fsf@HIDDEN>
 <83r0y09td6.fsf@HIDDEN> <87zgcotbw9.fsf@HIDDEN>
 <83iljc9k5s.fsf@HIDDEN> <871qpt7hac.fsf@HIDDEN>
 <83y1s1y3vg.fsf@HIDDEN> <87fse7jd7t.fsf@HIDDEN>
 <8735a7jczf.fsf@HIDDEN> <8335a5ubgr.fsf@HIDDEN>
 <87sfi5aaph.fsf@HIDDEN> <834julsjjz.fsf@HIDDEN>
 <87r0xpw77m.fsf@HIDDEN> <83h6ykrjc1.fsf@HIDDEN>
 <871qpnkny2.fsf@HIDDEN> <87a64awpr8.fsf@HIDDEN>
 <87pmd6jilr.fsf@HIDDEN>
Date: Tue, 29 Nov 2022 17:37:37 +0800
Message-ID: <87pmd6umn2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20863
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 286
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: Eli Zaretskii <eliz@HIDDEN>, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Manuel Giraud <manuel@HIDDEN> writes:

> I do not think I have rights to install on master (or emacs-29 BTW).
> But master is ok for me: it is not really important if it does not make
> it into emacs-29.

OK, sure.  I will install it tomorrow, but please remind me if I forget.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 29 Nov 2022 08:00:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 29 03:00:25 2022
Received: from localhost ([127.0.0.1]:54066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ozvXV-0005Rh-GJ
	for submit <at> debbugs.gnu.org; Tue, 29 Nov 2022 03:00:25 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:21044)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1ozvXS-0005Rb-Eg
 for 59351 <at> debbugs.gnu.org; Tue, 29 Nov 2022 03:00:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=iKIyPX8fKV8bf2ne
 vsyLMgaxIfhqjkUYoT2RjoKfjhg=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=Gb6BrrWteq/0/UEpxl4TnVTiUpY3d3TDl9hq8W
 M382b9aQK1Xt+eAphSqyJ7tvuO3U9Np2jMcDJebBn4jybGYSKkP4zpuCZsM8plYtKBK16n
 G5vxK7m72Il9c7AYI/+PNIHbzemQEvDC7Gevn1PpBvNPy2bjgBHiNGH+nyXJL3HMwFPrlH
 zhHKc1jKl/j297pXWf3e7RgEbW3v44D7LmaoPzSXzSZ9TS9Bn+aAIXqeH0pwUaif5JHWWU
 qL8QAXquJdqtsf1Vds7QA5L/m61FwECMs1AcFYrkEEQpPbpfklbaL6xBaNjth9g/iWS+hV
 Fi1IP2GTeJcdQ74aAEmc52Mw==
Received: from computer (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id b8da9770
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Tue, 29 Nov 2022 09:00:18 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <87a64awpr8.fsf@HIDDEN> (Po Lu's message of "Tue, 29 Nov 2022
 08:47:23 +0800")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
 <871qpt7hac.fsf@HIDDEN> <83y1s1y3vg.fsf@HIDDEN>
 <87fse7jd7t.fsf@HIDDEN> <8735a7jczf.fsf@HIDDEN>
 <8335a5ubgr.fsf@HIDDEN> <87sfi5aaph.fsf@HIDDEN>
 <834julsjjz.fsf@HIDDEN> <87r0xpw77m.fsf@HIDDEN>
 <83h6ykrjc1.fsf@HIDDEN> <871qpnkny2.fsf@HIDDEN>
 <87a64awpr8.fsf@HIDDEN>
Date: Tue, 29 Nov 2022 09:00:16 +0100
Message-ID: <87pmd6jilr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: Eli Zaretskii <eliz@HIDDEN>, 59351 <at> debbugs.gnu.org,
 Manuel Giraud <manuel@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Po Lu <luangruo@HIDDEN> writes:

[...]

> If it works for you, please install this on the `master' branch (NOT
> emacs-29!)

I do not think I have rights to install on master (or emacs-29 BTW).
But master is ok for me: it is not really important if it does not make
it into emacs-29.

> Does the menu bar wrap? If it does, then the code in keyboard.c has to
> be adjusted as well.

You mean does it wrap on multiple lines?  Then, no it does not.
-- 
Manuel Giraud




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 29 Nov 2022 00:47:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 28 19:47:41 2022
Received: from localhost ([127.0.0.1]:51992 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ozomj-0000my-1f
	for submit <at> debbugs.gnu.org; Mon, 28 Nov 2022 19:47:41 -0500
Received: from sonic308-10.consmr.mail.ne1.yahoo.com ([66.163.187.33]:38732)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ozomh-0000mr-8R
 for 59351 <at> debbugs.gnu.org; Mon, 28 Nov 2022 19:47:39 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1669682853; bh=kRDezZsG1V9EBn4NAMWX0U9cpzt01VDuqV27rtFFEbs=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=aJnasIt4vmBF6HFbAovLvUr5VY8/t0yn/9PJWz5xHd1VLVBxnWj9y/EUWNMkwNr084FD8eAimi/eXRfoYsXHx/WyA7chN51QFUvposdraJzWxt0SOkVvqY26cevkOzSNBrGq/EZHNNYnKmBRcYi77PyOTS8Za00J2ZUR/zzSGwYWgptH5FvBZTkU+gTpP4uOhdefFLzU8dOTw8sudqi/WmHSN2Zs9+iiffHkox17QJg06W3CIzK33r3GFxqGiw75wZ+jNQweOKSL5jre4YWfv6UkZFMvjBrbW3iuDZU0d5w2tyr4gUdh8s71u177gO+GIbrqt6GNMK2EmqGuuAVzCg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1669682853; bh=mW8pYwsY2zRXQv9ycpp/8j2K3JmE22HtSb/RqaZrSMV=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=aQwV4Pnf+k3u8rJoNk4vq2E/B6kI31upiOiyBQ0xoqTsLTuIxhaF1aH+Ot0zZnnXg2S/s0WdaJDtdIedb1LVoQ5I190PjqrMbIICpdNIyJlqthC2bm1AErE2l2KFHLwi2sgr33Pr7nPrMzeHg+OdZCdGs7NIFVZIst/2doST9Naq7kOpJHA7OgGIpWg+KAKshmQIZk9t8/Wdtmq7dSZVAlpfYYY+s0AHTNRmi7T2xYRQcowvOMhHdgfsCDsF2IAIkQdx5UvmxmFRsO2hVj3KiAtnsUrrKeIIbwUBOBYjxdhSdidO0fLOs9JgF0L9Dwp27M6VcixYKLtbuRCes1yaJQ==
X-YMail-OSG: LvpxAYoVM1lFvnhSDeUIrDYYTshaRrXedaNDs6kidJrA5n8kmL8i52FTUbmYDQ2
 VxvAuuCiFL6.ttg5l62HxiUNlGxno7WvyhlZkXKcIEK7SDaIxxXuTUB311dIW1czLNqtMJSKQoop
 HJrLM1GXNChNoheyyo7DAfocYpM.AdAB14FlJ5AuKkkI6TKGSRp6erlBYP4R7TnMO1mjt9FvhmJL
 13sVgIXOQTzBI6P8BTkshSFU.kGLVmeXiMesjXaK5QLysomhPtFv5JvMNR1guMg9buxRmdbOvoof
 JduQXIUzC1y2SoZsPn52ogu3VS9bzYIM5LWu0mxC4a.eYosyF3ghuj7OysLSUfPEqVEWxTYuIaRe
 w9akyAMnKhkCy4qRnbsdL6LWESgaJlgPeeVF99nd28Kz2dP185RKpvtDth7jHrADPozDjhyCpbhV
 gbPm1tynmnYJihcO.MIUxKODBi4mtBYlo8fbvEcgB9I8svYBRGlggi0wNTCpb2hTKFuReFhmwDwD
 xNOBdB0E7dhkVfWx1kdNJ_NbSALHBKSQbKvW3VMDYvzAGcAAZOn9SsBgT4af6WW_NPY1UocBijxe
 8KLba84pcY.V3nu2sYN5lfgMUcpakUyswi155gVQoNRjroO5K_yIX7Jq6Njq9Ijtt.2TX1LrCyhx
 W0OvERkQGuWGBhl.HZZ0xbChjTFQcqCPBV_1VpE3FaQO6Aau45zq2RgPh32uWEw0o.wOfSSFWW27
 MXtVtUYyPoH_tpni9JH4kJnXapchrMEVaALecAZzn_bC1b7dLgAdEM4A46iZ_U7ad3xm3._cGr9Z
 aO81skqPSrwWfIc.tMEAx9C5.Gk_lcthwQY25xrQb2TgYHoORHilFB2s9IebxLonAbqJWGEGA5o2
 tNRo0PP60YECneAL7ezvl.HXZVpMKUGKRC5xupMylQsg0Y_m7MiVJuQ9h6memM7p7onF2h5uGfWT
 ra3uNWROY8jwUc7VFQ4w8oyg9.yAx8yASesDMRLOhe5LtxMSwl1r94t5IR7l.EMdUjPYokVE3PnS
 1dJTPYGM8pNl2HCrXti2A1aj3vQStdyeU.Fw29S5R0Y_7OXX8StlGH2hDCvkGBjy19psXLlnD0nv
 vEqhRD2zxtVCsDR3UfJM1RGB1HR2gyBy5PmEn_89tX4.Vb2gNY.mScuHp7_FNy_nM8Px0Xx8NYMQ
 hgpzi8VZQTZqg7xV.08rFI65p7UPfHnIDGG1i9Goxo0OFUKl.2CjMxCbsg.qD7cjmudxvDMYlF7V
 SqU6FdDp6vj1I6NzU3Vf6zS7E1bMtEBbs0Y.29Udo7l4.WyOvunNavQZuXJYYW6bElx2kQOk0TiC
 tz3BZLTi47TUucAiOb2YYML2rvpz7YP3mCVlh44Ij7mVH.1LSsnv7_TeQw1BCmhZnhUT7vnlnhWP
 2aHNKXXguEaSru1uDdJ9pK0qGvAFcMHPf3rUxMWrtHSxbNbBesfqKQSsZZd0VzBvNh_dxhIMwBma
 oyZuOefMJEQjIoH0.9Epa9N_R5Y91QIyyMDu60q1KDC6vehtGffneuhIzA2PDLFZx2cgAum2pOzl
 b6j59UtFlc1zH2Izz1wUEuP__gah46bSY6GJ22edkIrDBBunPlzgxcOfh7RnkQa85NDdC8nm.62d
 9hvFjSKPdT4Kcaum4bjnAIP44C6wLrflfwGMU.4CLXfHpPPkhu_w3_zW4ZkqWEAjTmTehukMlw2Z
 cOeszausXPlf9e5HZA9G92tH_L9e_Kf5aoxIqkNuqtBX43bhNavLGehB6rf.q6.R9iXsa0tgfQ59
 s4hEl2qZGG5R4OmWsTo0qaz2KnFlYtlpNzL0JB4JMZ4E5Aj060E5TUWYv93.SWTsvzhylsAifohZ
 ghnQa_qXm1wnCoQ9NW7CvQii.PDNquM76xmkFAfECl39hgOOGv_j0dkAFbIdTiCnOf8xaOk3y2M5
 pB.7E5fB0_0N0Vr_Iuf3.Mux7outKKcv2KRB2QE3Ns0lK2ASuYkOzTa5gUie8lHlYH2tq7rhflJC
 nItsFDVpnFYSKBhuigv6OuWYTEw0NeKRoSXp62HXO3frZx9ThdJ93g7HAbIWS.uLoMczG_jgvqSZ
 hxoSR1Ef60UPe8qtQNUVTo8BheJ2V8C1vlkoULPqDxXGbIQlnyQjeaVPxj8L95y_c7IaiXlMFLZi
 iENglfSqPPPoFseIRfj03UTA3os33GcTx5MEsU1IvDpljGHKtCPKbc7pVTjRlZOe76JPCH6Jp3ek
 2__ejc9cq5nAn1rlv2phtHz7RSDwIRy1gEozQb5P.zUND8H7WEvLzxVC2D1ify_PpzIUa
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic308.consmr.mail.ne1.yahoo.com with HTTP; Tue, 29 Nov 2022 00:47:33 +0000
Received: by hermes--production-sg3-6c8895b545-fzfcs (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID c9d626d6724283e8f0968d39b0a7cd21; 
 Tue, 29 Nov 2022 00:47:28 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <871qpnkny2.fsf@HIDDEN> (Manuel Giraud's message of "Mon, 
 28 Nov 2022 18:07:17 +0100")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
 <871qpt7hac.fsf@HIDDEN> <83y1s1y3vg.fsf@HIDDEN>
 <87fse7jd7t.fsf@HIDDEN> <8735a7jczf.fsf@HIDDEN>
 <8335a5ubgr.fsf@HIDDEN> <87sfi5aaph.fsf@HIDDEN>
 <834julsjjz.fsf@HIDDEN> <87r0xpw77m.fsf@HIDDEN>
 <83h6ykrjc1.fsf@HIDDEN> <871qpnkny2.fsf@HIDDEN>
Date: Tue, 29 Nov 2022 08:47:23 +0800
Message-ID: <87a64awpr8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20863
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 702
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: Eli Zaretskii <eliz@HIDDEN>, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Manuel Giraud <manuel@HIDDEN> writes:

> Hi,
>
> Here is a new version of this patch that tries to adapt the menu bar
> height in the non-toolkit build.
>
> FWIW, I've also attached a quick video of how it works with the fvwm
> window manager with an emacs evaluating the following code:
>
> (split-window-right)
> (info-emacs-manual)
> (dolist (font '("Iosevka-18" "Ttyp0-12" "Inconsolata-14" "Inconsolata-32"
> 		"Noto Sans-6"))
>   (sit-for 2)
>   (set-face-font 'menu font))
>
> It also works as intended with EXWM.

If it works for you, please install this on the `master' branch (NOT
emacs-29!)

Does the menu bar wrap? If it does, then the code in keyboard.c has to
be adjusted as well.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 28 Nov 2022 17:07:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 28 12:07:24 2022
Received: from localhost ([127.0.0.1]:49774 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ozhbH-0006Kv-U5
	for submit <at> debbugs.gnu.org; Mon, 28 Nov 2022 12:07:24 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:30020)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1ozhbF-0006Kp-Fr
 for 59351 <at> debbugs.gnu.org; Mon, 28 Nov 2022 12:07:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=YSk39OfREYeI9axj
 1Eoy0kahtiXlmWrCh0ba7s7srVc=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=eG6Z6tLQy/BvBxd+1TP1dZu0C1aNtNREpL9uzw
 Eh/ovzTOiSsvjQ3UuZKoGA0ToM8xC9r13U0LksiCtfmIwNM3OIPsa+dZ9zcJjaIBtNVPfi
 VNI0I1XHyAfYR+T4so71Stpe1dCkavoOOrqK1S3z00Lsj3wc1t7f3VhOPd6B/DW5Iy/pQC
 rGYN08HmOSXZylyjWN4OuAE3zZCKExoBtY24HgoIgy+vbqbrSQtkz9dpdq4NURnZWClklJ
 zLAr7kKEQdIiluQ9rwpnV4Od4xNWEDFxxJ1VW/uX3gw/Z6yKRXjIfrSsFnE7BNEuhpTQoI
 u8vveIQXWlbx7O6DNUVOPABg==
Received: from computer (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 3831604c
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Mon, 28 Nov 2022 18:07:18 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <83h6ykrjc1.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 27 Nov
 2022 08:40:30 +0200")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
 <871qpt7hac.fsf@HIDDEN> <83y1s1y3vg.fsf@HIDDEN>
 <87fse7jd7t.fsf@HIDDEN> <8735a7jczf.fsf@HIDDEN>
 <8335a5ubgr.fsf@HIDDEN> <87sfi5aaph.fsf@HIDDEN>
 <834julsjjz.fsf@HIDDEN> <87r0xpw77m.fsf@HIDDEN>
 <83h6ykrjc1.fsf@HIDDEN>
Date: Mon, 28 Nov 2022 18:07:17 +0100
Message-ID: <871qpnkny2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Debbugs-Envelope-To: 59351
Cc: Po Lu <luangruo@HIDDEN>, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--=-=-=
Content-Type: text/plain

Hi,

Here is a new version of this patch that tries to adapt the menu bar
height in the non-toolkit build.

FWIW, I've also attached a quick video of how it works with the fvwm
window manager with an emacs evaluating the following code:
--8<---------------cut here---------------start------------->8---
(split-window-right)
(info-emacs-manual)
(dolist (font '("Iosevka-18" "Ttyp0-12" "Inconsolata-14" "Inconsolata-32"
		"Noto Sans-6"))
  (sit-for 2)
  (set-face-font 'menu font))
--8<---------------cut here---------------end--------------->8---

It also works as intended with EXWM.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-src-xdisp.c-display_menu_bar-Update-menu_bar_window-.patch

From 075e88eb94474a863e928db388b7af8adbeba038 Mon Sep 17 00:00:00 2001
From: Manuel Giraud <manuel@HIDDEN>
Date: Fri, 25 Nov 2022 15:50:41 +0100
Subject: [PATCH] ; * src/xdisp.c (display_menu_bar): Update menu_bar_window
 height.

---
 src/xdisp.c | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

diff --git a/src/xdisp.c b/src/xdisp.c
index 5dcf21dc4c..3d14914600 100644
--- a/src/xdisp.c
+++ b/src/xdisp.c
@@ -26272,11 +26272,11 @@ display_menu_bar (struct window *w)
   it.first_visible_x = 0;
   it.last_visible_x = FRAME_PIXEL_WIDTH (f);
 #elif defined (HAVE_X_WINDOWS) /* X without toolkit.  */
+  struct window *menu_w;
   if (FRAME_WINDOW_P (f))
     {
       /* Menu bar lines are displayed in the desired matrix of the
 	 dummy window menu_bar_window.  */
-      struct window *menu_w;
       menu_w = XWINDOW (f->menu_bar_window);
       init_iterator (&it, menu_w, -1, -1, menu_w->desired_matrix->rows,
 		     MENU_FACE_ID);
@@ -26335,6 +26335,22 @@ display_menu_bar (struct window *w)
 
   /* Compute the total height of the lines.  */
   compute_line_metrics (&it);
+
+#if defined (HAVE_X_WINDOWS) && !defined (USE_X_TOOLKIT) && !defined (USE_GTK)
+  /* With the non-toolkit version, modify the menu bar window height
+     accordingly.  */
+  if (FRAME_WINDOW_P (it.f))
+    {
+      struct glyph_row *row = it.glyph_row;
+      int delta_height = ((row->y + row->height)
+			  - WINDOW_BOX_HEIGHT_NO_MODE_LINE (menu_w));
+      if (delta_height != 0)
+        {
+	  FRAME_MENU_BAR_HEIGHT (it.f) += delta_height;
+	  adjust_frame_size (it.f, -1, -1, 3, false, Qmenu_bar_lines);
+	}
+    }
+#endif
 }
 
 /* Deep copy of a glyph row, including the glyphs.  */
-- 
2.38.1


--=-=-=
Content-Type: video/mp4
Content-Disposition: attachment; filename=video.mp4
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain

-- 
Manuel Giraud

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 27 Nov 2022 06:40:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 27 01:40:13 2022
Received: from localhost ([127.0.0.1]:41939 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ozBKn-0006o6-FR
	for submit <at> debbugs.gnu.org; Sun, 27 Nov 2022 01:40:13 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ozBKl-0006nw-BP
 for 59351 <at> debbugs.gnu.org; Sun, 27 Nov 2022 01:40:11 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ozBKe-0003Az-LD; Sun, 27 Nov 2022 01:40:04 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=iwkjy2VKRkr1m2ucrEVyxilvSLzaEVTcEzvD7YRvLMw=; b=X9kEAJZ6ove6
 nRJbbtvGyPBYqGqW3ZkOvZv9WakUPoDEpNJfrTsyypUVf8jUjm0SQKNigpEaDNUIf83Wxcx32RhyL
 OJi7RmMh4vBqZnRchKGBOeX7kbw90qKNYH18BC+czjUYnTTfJGHMYLOmn6bVbgda7E2w+nSLieQLu
 BsRS3ne/6bD/OwzwbI/t8GkwnShtX3EPRYEc5NFzTCdhy9kkCYDI65JiSbBoDRnmc/U06tI4IBkV6
 b4RqvXEVBDZdYWJqPUt14JegeSfZpt2w180ymSeAwKRoH/hKIYlgBhaqDC/vywRPZAGhnl7c1hjl7
 HLBfjUDrYp+tUr7GFiTpRw==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ozBKe-0005mD-0p; Sun, 27 Nov 2022 01:40:04 -0500
Date: Sun, 27 Nov 2022 08:40:30 +0200
Message-Id: <83h6ykrjc1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <87r0xpw77m.fsf@HIDDEN> (message from Po Lu on Sun, 27 Nov
 2022 08:51:09 +0800)
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
 <871qpt7hac.fsf@HIDDEN> <83y1s1y3vg.fsf@HIDDEN>
 <87fse7jd7t.fsf@HIDDEN> <8735a7jczf.fsf@HIDDEN>
 <8335a5ubgr.fsf@HIDDEN> <87sfi5aaph.fsf@HIDDEN>
 <834julsjjz.fsf@HIDDEN> <87r0xpw77m.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59351
Cc: 59351 <at> debbugs.gnu.org, manuel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Po Lu <luangruo@HIDDEN>
> Cc: Manuel Giraud <manuel@HIDDEN>,  59351 <at> debbugs.gnu.org
> Date: Sun, 27 Nov 2022 08:51:09 +0800
> 
> Now, before adding more calls to adjust_frame_size, please wait for
> Emacs 29 to be cut first.  That function tends to interact with X window
> managers in different ways on builds with different toolkits, so adding
> or removing calls to it is very likely to break stuff.

We are talking about fixing a bug, albeit probably a very old one.  We could
condition the added code so that only non-toolkit X builds run it, at least
on the release branch, if you are uneasy with doing that with other
toolkits.  Would that be good enough?

I do want to try to solve this for Emacs 29, if possible.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 27 Nov 2022 00:51:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 26 19:51:30 2022
Received: from localhost ([127.0.0.1]:41736 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oz5tK-0000zU-6B
	for submit <at> debbugs.gnu.org; Sat, 26 Nov 2022 19:51:30 -0500
Received: from sonic309-22.consmr.mail.ne1.yahoo.com ([66.163.184.148]:35584)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oz5tG-0000zM-Ql
 for 59351 <at> debbugs.gnu.org; Sat, 26 Nov 2022 19:51:28 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1669510279; bh=GsqhdMDO4hvWNriJc3DuqSxxmUVQScKXpxnv7HJdskk=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=AzAgsHjVNbu11x+7hID6Yh9nOZIIejeGQ1Nl5taQuYcDdRenNix2HJffGziE6NVCPZ1q3lHO53QKWhHGvKFZ0W6oyUb1m4eQRE0BdVe88NOjKffLE3Xl2Q79LE9Ccbv7ebunMM7l1brPcYc53I7BL+K3hm+Ke60OMGsqQlGXQFBZtbfP0WMa6yRZ93a4evLb2QK0SBI5LKnwpx5AArFh5/24iUkUMFCtWh/nRBC6wmiPW2Lix/csJVtEDHhd4HAC+BrEw0z0awZcM5SAwv+OeRoW4VHjDhspcOrpSi95S3YbuPYuvt/rfFUKetAcpYuy6Biml365YzrSxY8z2VPvKw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1669510279; bh=fPlf+D+bejOP4XXm/xLojo67O/nIUs/IfyqVa2ioXAE=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=I/xXSamFzqg+Zej7E7unz25K3g/CttHGedB4xSa6xR+oNC6Lnz/m8lX3GQT3PHKt8fUig2kKq13DqA8oeDMFwIYs/xN7CEBb070VghuRL+dGVmKKFLJcuhYyYby9OTp2EVe7p1r4LWSoBEKEKC0feJ4eWr/VTBROI3Oy5UfHwSljcK6uhDO/56Ey4GYixRFPleF7vZ/8q9DffHx1VwvRPRIhl9hrPt8/yxYrbclAL19MsqJJvVih9NQ50iFsJOyOo99mfgYJ3HTHs73nQIi7/gdgSDOHtDD7yVhBNnYne9yuYEABjgmMadt73WbZykzvfx2BpLwlcCbF9IPv2OWsEw==
X-YMail-OSG: fCLcjN4VM1lhVX6WayMxcoCpQBCGmDuMNRawlDUZ8g2Oy7JcbIv6mwMtaco1tO0
 ygJaydsLv1ZeQfDzMQ5Ca0jrhETSHspuKu8CI8545q7D6pzqHYn1pphiepl90extfvC6Qt.cYGl9
 kZmS2lethjHFcL1MrUgTq5_qgoVBXq0Pj.ze2twVJuaqptuQCbgEs6vMuGBo0GMWO14wWHoi3FzM
 B4F.zdG1ZnLnROqd4RIvSe7s7iuN3XfMXcU1goUSppl98Pw0eBkV2dfSP7n95.j5xjDPH_IJJmbx
 7wYnhYXRmYn3Phi_OW2WtEIi.RQnpgp1ddQd70L3fqcnE3Ly5mDTaZOmL6OPAVPA4HIyWuIcQzii
 OyWKVu.g0ZICV42p.BPhIcAAsCLqKe6Mcc_QqnpHt3mvan2VdJla4U48sruywywfrLgSZG7BpTWO
 MOnbaB5N1fRkOcnqkGiaqPi3ZCOegtMGCpn1joL6AGGG.CE9B8rDZmVL1ej0G7hSY1SdWmDOyiWh
 mfyLSsmZJX8bN.QHJrrG_kts6XPFBT4QWvnisdGZPnh2k45oXM.DJLZPaqrKoJSv7q27Fk8nZEcC
 WTLX9W94YWXVQAfRAGwhZOfOTYHzkqKqmu9tQaT7UQZPSERwG30eylmjt_p.aRU8T3FkiwV2uAx2
 6LBssd6lpsB9RmZpBVBz83mv8vgkUM3anqcak.ZUGfXHwVTXRl7qVwiZA6xdG5jpNTvpYpSs4iZu
 9VAI1rP2iwz9My7JuPv.vMZ6IhcEluHcETEYLPUP1EDHfQtMgJ07WlmPBhxI2gxsDsLYkdx3LSZy
 k6NaLZwkVbc_PhbmVqdbbnIvEdnE12haTMjAEHSN89_OIveIffYG3rhVsTjPhGNDsHLp5KOLbXfo
 mFMDtBGfUMvEhoBRcHjfVmmjWCT7zCLyUQ0EvD0es6RFG2BFE0IfIYMlBzG_Xqsk3xmQa4pAAVwL
 r2whVPee4Gd7Xa2Fp9OlNdpl7pWe.IEv8Kiig3nBXhJ1YIfcMRX1w3YmBH1U2GCTcX84JoD7cZz0
 asN94XSXh26tk0eunT6POJQ4RAhc.GXAA2vrQ0wkfOLvEaK7IivwLDYb8eD9mqy0sfNfSrNeNClz
 BnfgffakxUkgD1gaUEkzVnkY_B7PmwiFtc_BvTJE1jCpmqJDW0Up3EJSCVFo3G1jiocOFI6STzcn
 f3TS3k2hzaVB.nUFxXO7iVOevc8.FoIokX7t23h0PdxebKRgd15Wts4lOaJScyRsIWzopCJAMunP
 sTKVnScYwwmC3lbSr.Nw_XVy_F_G8nECrINWFMEnquIZTDkh93miMDA40e4g7Pfs9_mvT3LXsikP
 R.B2DPBiwDYHlkQBcy7TTP2EvX5R5IIUH5YUHNT90YpBH1OvchglG4rQEhi1b76yv7HgkHFcJZza
 LV_z_o6Fuq_opIykN_73GIJf8WG3kIQkwaIQFTI1BS1zSrV4YadI0621PMWwjFGpDGTmS9tItiWt
 R7I1wAOPIJ5VRyZizI.VNVxbyWS_sUQi4969Li0iG5kfrKeOuTIRa9Rv2I7mnbMS5QBqzh9K8QIq
 RSdH_o8inG3uLYtMsMaEC3PiqfvtHFl.MELRAQjk8NkzFUqh4TatTUgf8lDUBORvPISiHKzJR6wZ
 veFdJ7ssdOONV2tcywCQq32A9eb24RNgcDQ9zoZBnet2tCnVQosWctN4nMSy1tYb7r6X6llkG1ry
 bsdau3snUcwfkUZUqyjJRNk9rDHaJQw5AiFK_ihG62TqCXcLReFXF3UhxUlYnJrz5HXLqXy2DFNP
 .9nx4GBhzzVuWCGHM60pOv.pFVf3Skd7sR1wEsbciXrKR7iV7Lgy6q.4G.felDu8ddwr3M8HQ8CA
 WJHhHNeL7U2B_k3M7R4ISsSwXvICN5VCyrhpm3uz4PsrvHjYTJvnuiPWvPq9jQN1iGejUhUpxMgJ
 WSdPEvBndgv6PC9snGr6pYRwQ3ip6HvffDf6oYtFdEwCNvFQWF8VOoQLIn9vBPVvqG_6kCxCfM2Z
 t5iMhP8v5K_N60IQLRJvAFk936aI3.H_k6llWaQxAlsmGb7BiONGRINY2WbG3IvjhQHYbV5TEG9s
 JeoqzY04B3ArJXo48EbJRnx3a8u.0txHWtJhdBy6nX0QE0xaQr4B9w9CZrTyYmOkEkU8SS4aYxOQ
 J4cbvXvPtqP94LwaeY8rdGaxKLzb6jP8ScHMcKlXS0WbNgRITu8hw7B8MtGsHZqhve06ugemisgj
 8cVpiuOIddoPYdwY4cXRruNr0SCV47EBL5HFzdOOPNbF_Tbz98OpPsTPGZ_UhDGnwqBE-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.ne1.yahoo.com with HTTP; Sun, 27 Nov 2022 00:51:19 +0000
Received: by hermes--production-sg3-6c8895b545-25cjq (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 88bbadba518761a474f120abe0b82729; 
 Sun, 27 Nov 2022 00:51:15 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <834julsjjz.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 26 Nov
 2022 19:38:08 +0200")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
 <871qpt7hac.fsf@HIDDEN> <83y1s1y3vg.fsf@HIDDEN>
 <87fse7jd7t.fsf@HIDDEN> <8735a7jczf.fsf@HIDDEN>
 <8335a5ubgr.fsf@HIDDEN> <87sfi5aaph.fsf@HIDDEN>
 <834julsjjz.fsf@HIDDEN>
Date: Sun, 27 Nov 2022 08:51:09 +0800
Message-ID: <87r0xpw77m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20863
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1562
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: 59351 <at> debbugs.gnu.org, Manuel Giraud <manuel@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Manuel Giraud <manuel@HIDDEN>
>> Cc: luangruo@HIDDEN,  59351 <at> debbugs.gnu.org
>> Date: Sat, 26 Nov 2022 18:26:34 +0100
>> 
>> Eli Zaretskii <eliz@HIDDEN> writes:
>> 
>> [...]
>> 
>> > The idea looks correct, thanks.  What exactly prevents this from working
>> > with multiple windows on the same frame?
>> 
>> For instance, when vertically split (by C-x 3), the other window is not
>> correctly redrawn (text area is above menu bar).  Everything is then
>> fixed by the next unsplit/split.  Maybe, I should have use
>> adjust_frame_size here.
>
> In redisplay_internal, we have:
>
> 	      if (FRAME_VISIBLE_P (f) && !FRAME_OBSCURED_P (f))
> 		{
> 		  /* If fonts changed on visible frame, display again.  */
> 		  if (f->fonts_changed)
> 		    {
> 		      adjust_frame_glyphs (f);
> 		      /* Disable all redisplay optimizations for this
> 			 frame.  For the reasons, see the comment near
> 			 the previous call to adjust_frame_glyphs above.  */
> 		      SET_FRAME_GARBAGED (f);
> 		      f->fonts_changed = false;
> 		      goto retry_frame;
> 		    }
>
> It sounds like this part is not being run in your case, so please try to
> figure out why.  I think if the above code runs, what you want to do will
> happen automatically.

Now, before adding more calls to adjust_frame_size, please wait for
Emacs 29 to be cut first.  That function tends to interact with X window
managers in different ways on builds with different toolkits, so adding
or removing calls to it is very likely to break stuff.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 26 Nov 2022 17:37:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 26 12:37:55 2022
Received: from localhost ([127.0.0.1]:41348 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oyz7j-00030Z-DS
	for submit <at> debbugs.gnu.org; Sat, 26 Nov 2022 12:37:55 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oyz7e-00030M-NY
 for 59351 <at> debbugs.gnu.org; Sat, 26 Nov 2022 12:37:54 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oyz7Y-0005jh-53; Sat, 26 Nov 2022 12:37:44 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=A9lMg+QiPQOrvBdB1bl7S4rOMR6h011mmrakFlOm/iY=; b=qlC94Ij+zjUh
 B0C9PrZUoMKtHaL7dBb4CTAnXvbRuhyukEgfI7abPU44kuNUMcnNkGZ+esIoBoo9UnISVES7QVV7Q
 H/1EO2UQySW1izcwxP1fxoU609k9egBoF0Fy7Um1+lwY25Y/xBX4pJ+aaZRbP+5DzMeg/1YZ/ylb8
 yO3EM+ikr4IQ41fhSZnn6t4i2qPJyrl8wMMGGbGXUhLKdXLfkZ2rErLekA+3MwnnNxWaAHLCdIG4n
 kdQEdr+95sGEnnU6/y/hoV4T0GySquMMd5vNGEnduwf81M1OfxzQoTwrwZaxUBPxfwuxUhPyIuRcg
 6XU5Su3zfyQkb4dYYwAa0w==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oyz7X-0004Or-BH; Sat, 26 Nov 2022 12:37:43 -0500
Date: Sat, 26 Nov 2022 19:38:08 +0200
Message-Id: <834julsjjz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
In-Reply-To: <87sfi5aaph.fsf@HIDDEN> (message from Manuel Giraud on Sat, 
 26 Nov 2022 18:26:34 +0100)
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
 <871qpt7hac.fsf@HIDDEN> <83y1s1y3vg.fsf@HIDDEN>
 <87fse7jd7t.fsf@HIDDEN> <8735a7jczf.fsf@HIDDEN>
 <8335a5ubgr.fsf@HIDDEN> <87sfi5aaph.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Manuel Giraud <manuel@HIDDEN>
> Cc: luangruo@HIDDEN,  59351 <at> debbugs.gnu.org
> Date: Sat, 26 Nov 2022 18:26:34 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> [...]
> 
> > The idea looks correct, thanks.  What exactly prevents this from working
> > with multiple windows on the same frame?
> 
> For instance, when vertically split (by C-x 3), the other window is not
> correctly redrawn (text area is above menu bar).  Everything is then
> fixed by the next unsplit/split.  Maybe, I should have use
> adjust_frame_size here.

In redisplay_internal, we have:

	      if (FRAME_VISIBLE_P (f) && !FRAME_OBSCURED_P (f))
		{
		  /* If fonts changed on visible frame, display again.  */
		  if (f->fonts_changed)
		    {
		      adjust_frame_glyphs (f);
		      /* Disable all redisplay optimizations for this
			 frame.  For the reasons, see the comment near
			 the previous call to adjust_frame_glyphs above.  */
		      SET_FRAME_GARBAGED (f);
		      f->fonts_changed = false;
		      goto retry_frame;
		    }

It sounds like this part is not being run in your case, so please try to
figure out why.  I think if the above code runs, what you want to do will
happen automatically.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 26 Nov 2022 17:26:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 26 12:26:42 2022
Received: from localhost ([127.0.0.1]:41342 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oyyws-0002uE-8w
	for submit <at> debbugs.gnu.org; Sat, 26 Nov 2022 12:26:42 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:39205)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1oyywp-0002u8-A7
 for 59351 <at> debbugs.gnu.org; Sat, 26 Nov 2022 12:26:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=C9ZTFQUap2Lrmkrg
 6IrtHRQjd1mVUaP5v6V4u3TOys4=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=KR7rg2K03irKV5x0HM8lTQOQyfWqiSfBt5Zvdw
 9tHYLZW7BGRdh8R/Ndmw+pfxVfiEUgAN5lUxtduEzyxIC9jDvesXelsum9p+HEpTTqwrsE
 zR+WqxuvdJa8OapISJdt9WhwdNxC3Tgo63ompxR4LKVzSL9ttHGlYHUosOt1VcRXg/Rz2R
 aBUWPtIy+RhflOeQG2TUMtKh50utRKpPsn9+67wiZRr7n/IV/HWwf/2H4IhZWduKMGyP/a
 0JaCIO8ABquomY3p33vI5tt4wf2Jb6U3DvaK6WY2TBUPnIIFTELNx25nazuX6OfYdXX+jU
 zeo3I1oGw2k565mqtZPNTHKA==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 8fd32b01
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Sat, 26 Nov 2022 18:26:35 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <8335a5ubgr.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 26 Nov
 2022 14:49:56 +0200")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
 <871qpt7hac.fsf@HIDDEN> <83y1s1y3vg.fsf@HIDDEN>
 <87fse7jd7t.fsf@HIDDEN> <8735a7jczf.fsf@HIDDEN>
 <8335a5ubgr.fsf@HIDDEN>
Date: Sat, 26 Nov 2022 18:26:34 +0100
Message-ID: <87sfi5aaph.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

[...]

> The idea looks correct, thanks.  What exactly prevents this from working
> with multiple windows on the same frame?

For instance, when vertically split (by C-x 3), the other window is not
correctly redrawn (text area is above menu bar).  Everything is then
fixed by the next unsplit/split.  Maybe, I should have use
adjust_frame_size here.
-- 
Manuel Giraud




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 26 Nov 2022 12:49:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 26 07:49:52 2022
Received: from localhost ([127.0.0.1]:38115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oyucy-0004La-LC
	for submit <at> debbugs.gnu.org; Sat, 26 Nov 2022 07:49:52 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60772)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oyucw-0004LM-5U
 for 59351 <at> debbugs.gnu.org; Sat, 26 Nov 2022 07:49:51 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oyucq-0004HJ-QZ; Sat, 26 Nov 2022 07:49:44 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=AMCQMwfXGFTq/2RmjgaH8DPyYwoLrwXRbqPhykSdFYg=; b=IBk3x9did5RV
 XAFPoS9fa78D3e6hTR+ATabZWvG6VeXGb/HwrKtacpjGI++Yj+dJfvWAuuyEiPXs2EtK0N/Jf0Hz8
 AkwqJ6sqdSA4qLZ4MIZCioeGW+hyP8GfUcldT+zAillPHdFSRa1ZA21H3wuHwFwb5eRU1l3Hezc6q
 aom9bvlpCCyn77djtIKx5Yj5d6ZLhjmWAtHSLQXo19qm2AAVgQnFZ6iqbiJVztrJzJeLFEsj3ZXYq
 9fG0dQW0if1pQ3TxpsaY6Xvx4qnmQ+QLMcnlWksFuog2v+XPUYf4vyC0hfxyGJUmxpjk4kQxmJcgd
 Lg8Jo86aRYFRNhG6qR0Sgg==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oyucc-0001tT-Py; Sat, 26 Nov 2022 07:49:42 -0500
Date: Sat, 26 Nov 2022 14:49:56 +0200
Message-Id: <8335a5ubgr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
In-Reply-To: <8735a7jczf.fsf@HIDDEN> (message from Manuel Giraud on Fri, 
 25 Nov 2022 16:00:20 +0100)
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
 <871qpt7hac.fsf@HIDDEN> <83y1s1y3vg.fsf@HIDDEN>
 <87fse7jd7t.fsf@HIDDEN> <8735a7jczf.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Manuel Giraud <manuel@HIDDEN>
> Cc: luangruo@HIDDEN,  59351 <at> debbugs.gnu.org
> Date: Fri, 25 Nov 2022 16:00:20 +0100
> 
> Manuel Giraud <manuel@HIDDEN> writes:
> 
> > I've come up with this solution that works for me.  Upon menu face
> > change, the menu bar is correctly updated.  WDYT?
> 
> I spoke to fast.  It does not work correctly with more than one window
> in the same frame.

The idea looks correct, thanks.  What exactly prevents this from working
with multiple windows on the same frame?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 25 Nov 2022 15:00:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 25 10:00:24 2022
Received: from localhost ([127.0.0.1]:36908 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oyaBk-0004VM-Gd
	for submit <at> debbugs.gnu.org; Fri, 25 Nov 2022 10:00:24 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:5283)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1oyaBi-0004VE-V6
 for 59351 <at> debbugs.gnu.org; Fri, 25 Nov 2022 10:00:23 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=YC+rbE2XbZc8OPTe
 SyejlH3ZOmflxiWuWqCjiEOa1e8=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=QwFMmSXpSJ+vIzGYhHQM0NejaKb8mvcgjU1R3k
 Qm+JYCaUMAvB+ai9y5xnoChbp9prTDPTzEn1g3cNX3qvwFHk6Vf0hSttJiiEv5vNyflk0e
 nWzJU6jndBrZpq/S+lSbV3UefYjDvvEUDf9kcZuhY23IoheTNXnUGF1QgIKfJbC7G4zVxw
 lgdCv0iuggXyTjWvfHN6esqcXJtapyPIyXIzYy15jhf8+pDqdEDqomTdbPZ3e1LXlCYY1t
 mrb/PFDQpayUhpv3kNgAF7FG/hRyuT2/PJmLjldU2lQRa8yMZOofzRL6zWmf0+igHpm89g
 5DF+MzPPGtijF2x04WR5RA8Q==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 48bbf150
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Fri, 25 Nov 2022 16:00:21 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <87fse7jd7t.fsf@HIDDEN> (Manuel Giraud's message of "Fri,
 25 Nov 2022 15:55:18 +0100")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
 <871qpt7hac.fsf@HIDDEN> <83y1s1y3vg.fsf@HIDDEN>
 <87fse7jd7t.fsf@HIDDEN>
Date: Fri, 25 Nov 2022 16:00:20 +0100
Message-ID: <8735a7jczf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Manuel Giraud <manuel@HIDDEN> writes:

> I've come up with this solution that works for me.  Upon menu face
> change, the menu bar is correctly updated.  WDYT?

I spoke to fast.  It does not work correctly with more than one window
in the same frame.
-- 
Manuel Giraud




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 25 Nov 2022 14:55:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 25 09:55:27 2022
Received: from localhost ([127.0.0.1]:34510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oya6w-0003lH-RK
	for submit <at> debbugs.gnu.org; Fri, 25 Nov 2022 09:55:27 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:43083)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1oya6r-0003hs-9K
 for 59351 <at> debbugs.gnu.org; Fri, 25 Nov 2022 09:55:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=rEzJ/9TF4dRZBvn9
 EWXMa+Yh7XZhO5QDlhhiZ+np8QQ=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=O5MjIMvy7tJyhjHBO89I5BB7fXx6kZpMV8Gjeo
 mdrf17GWlT0POWpHdI3pTYTRi3SGlNzanNvCWoFACB5ZNaY1jNrm1dupazIki68BkERekl
 G9v9CxaD+D0GiTAsgQEISDq9iJNk5x57jlZLrzN8TbPhxd7jWn51Sidvirk617uY6LJ3Ac
 hFGMYXMdyYwnjdgbYAag+DvmGwYdoRMfeSJsxNyOVwFXVyNiJul6TTP+YAN7xz4vd98V5U
 a0uIgOfHbLkzRE7ZOsv7HnHf/+jcmaM+IVd7jKObRY22z07bsbPTNnG3t570Q/udNQfkgK
 V2tC+7UcHMwcZv+rU9QK4mfQ==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 843b6aec
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Fri, 25 Nov 2022 15:55:19 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <83y1s1y3vg.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 23 Nov
 2022 19:31:15 +0200")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
 <871qpt7hac.fsf@HIDDEN> <83y1s1y3vg.fsf@HIDDEN>
Date: Fri, 25 Nov 2022 15:55:18 +0100
Message-ID: <87fse7jd7t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Hi,

I've come up with this solution that works for me.  Upon menu face
change, the menu bar is correctly updated.  WDYT?


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-src-xdisp.c-display_menu_bar-Update-menu_bar_window-.patch

From 0ca358c52ed9641fdd16eed8db20475b619433dd Mon Sep 17 00:00:00 2001
From: Manuel Giraud <manuel@HIDDEN>
Date: Fri, 25 Nov 2022 15:50:41 +0100
Subject: [PATCH] ; * src/xdisp.c (display_menu_bar): Update menu_bar_window
 height.

---
 src/xdisp.c | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

diff --git a/src/xdisp.c b/src/xdisp.c
index 5dcf21dc4c..14003ed5f6 100644
--- a/src/xdisp.c
+++ b/src/xdisp.c
@@ -26272,11 +26272,11 @@ display_menu_bar (struct window *w)
   it.first_visible_x = 0;
   it.last_visible_x = FRAME_PIXEL_WIDTH (f);
 #elif defined (HAVE_X_WINDOWS) /* X without toolkit.  */
+  struct window *menu_w;
   if (FRAME_WINDOW_P (f))
     {
       /* Menu bar lines are displayed in the desired matrix of the
 	 dummy window menu_bar_window.  */
-      struct window *menu_w;
       menu_w = XWINDOW (f->menu_bar_window);
       init_iterator (&it, menu_w, -1, -1, menu_w->desired_matrix->rows,
 		     MENU_FACE_ID);
@@ -26335,6 +26335,22 @@ display_menu_bar (struct window *w)
 
   /* Compute the total height of the lines.  */
   compute_line_metrics (&it);
+
+#if defined (HAVE_X_WINDOWS) && !defined (USE_X_TOOLKIT) && !defined (USE_GTK)
+  if (FRAME_WINDOW_P (it.f))
+    {
+      struct glyph_row *row = it.glyph_row;
+      int delta_height = ((row->y + row->height)
+			  - WINDOW_BOX_HEIGHT_NO_MODE_LINE (menu_w));
+      if (delta_height != 0)
+        {
+	  FRAME_MENU_BAR_HEIGHT (it.f) += delta_height;
+	  WINDOW_PIXEL_HEIGHT (w) -= delta_height;
+	  WINDOW_TOP_PIXEL_EDGE (w) += delta_height;
+          it.f->fonts_changed = true;
+	}
+    }
+#endif
 }
 
 /* Deep copy of a glyph row, including the glyphs.  */
-- 
2.38.1


--=-=-=
Content-Type: text/plain

-- 
Manuel Giraud

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 24 Nov 2022 13:49:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 24 08:49:57 2022
Received: from localhost ([127.0.0.1]:57751 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oyCc1-0005Ou-3h
	for submit <at> debbugs.gnu.org; Thu, 24 Nov 2022 08:49:57 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:14408)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1oyCby-0005Ol-Pi
 for 59351 <at> debbugs.gnu.org; Thu, 24 Nov 2022 08:49:55 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=eUdX3sj6fJOzWzkV
 G1rVn+xtUodR9D+IkGi3+58Nfwg=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=r7kKq9C+p64VVo9GSrflxul6TifbU3zobsqxjP
 /ngPNDghKv63s/vefoy8u8QddVYjlvRUb9vRXOS6Az/8LMXNTiM1RjW1iR2d3ZQwPeaFEd
 O1J8fMCiVspeicULiZgLobzOtkVw/a8ewe2gVRUxwOZq2EmRwsptlr+sqfd336Kgb0NsWF
 sbxP6LpkfzCwtCmC3ej6ViT356MDEhSN871kgC6Rm+9peuQwWGv+16CA9cb2fQfnggj+D6
 LXAzFBm60um9zDaVDZtl+aAAENWsiHq5Eyy8HL//0JvXKM1y0SDFU6O1CeSoaP7lzhsI4S
 Oyds42IfeJ9DfOW60PNMaIVg==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 50b859e6
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Thu, 24 Nov 2022 14:49:53 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <83y1s1y3vg.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 23 Nov
 2022 19:31:15 +0200")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
 <871qpt7hac.fsf@HIDDEN> <83y1s1y3vg.fsf@HIDDEN>
Date: Thu, 24 Nov 2022 14:49:52 +0100
Message-ID: <87wn7k5unz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

[...]

> Why do you think row->visible_height plays any role in this?  Maybe I'm
> missing something, but it looks like it has nothing to do with the
> non-resizing of the menu bar.

Yes.  I think that I was misled by the name.

[...]

> What I think we need to do is something like this:
>
>   /* Compute the total height of the lines.  */
>   compute_line_metrics (&it);
>   if (FRAME_WINDOW_P (it.f))
>     {
>       struct glyph_row *row = it.glyph_row;
>       if (row->y + row->height > WINDOW_BOX_HEIGHT_NO_MODE_LINE (w))
>         {
> 	  FRAME_MENU_BAR_HEIGHT (it.f) = it.row->height;
>           it.f->fonts_changed = true;
> 	}
>     }
>
> I hope that setting the frame's fonts_changed flag will cause Emacs resize
> the menu-bar window.  You should see a call to adjust_frame_glyphs from
> redisplay_internal; if that doesn't happen, perhaps we should force such a
> call right after display_menu_bar returns.  Can you try this?

Ok.  I'll try this and report.  Thanks.
-- 
Manuel Giraud




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 23 Nov 2022 17:31:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 23 12:31:26 2022
Received: from localhost ([127.0.0.1]:56070 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oxtan-0000DU-Kx
	for submit <at> debbugs.gnu.org; Wed, 23 Nov 2022 12:31:26 -0500
Received: from eggs.gnu.org ([209.51.188.92]:44224)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oxtal-0000DA-6L
 for 59351 <at> debbugs.gnu.org; Wed, 23 Nov 2022 12:31:24 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oxtae-00011b-AN; Wed, 23 Nov 2022 12:31:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=sG8s8L1EwbkCHrtY6fnvJAMzK1dbMgMvPeI3ij7ctbw=; b=WySZp8SDjEaO
 Wzi8IihwfqQM0Pp4CwlVfKM3wUXHeVt9d0gPsXAZWH7l+pwMcWHE+0xP3YuUnqk/LaGKFR7lL34Cd
 OJ9oImIV8yeGQgg7gZt8MWRL8nTgRAYCj9rDYRArgSNx8KDg2W7K8dCd79bdUw0uTBuPFZ0Aq+ONO
 oIf2n+50upgyYLcSxoRUvXJSntJB0oCM8N/0EM7Z7ZSA985jEUyoSjgth+Ygy9WgPJe8HWZjWc5dq
 wwpVe6+hBYtONMH8i0IMprjdw2y3o2ketR/z6c2r/GAg2rf/DkA2MwuCfdcT48G2sCbZRxcBYm3/q
 Vsy9g0PiCvvixsSnEpuc4w==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oxtaN-0008P4-AN; Wed, 23 Nov 2022 12:31:03 -0500
Date: Wed, 23 Nov 2022 19:31:15 +0200
Message-Id: <83y1s1y3vg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
In-Reply-To: <871qpt7hac.fsf@HIDDEN> (message from Manuel Giraud on Wed, 
 23 Nov 2022 17:43:39 +0100)
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
 <871qpt7hac.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Manuel Giraud <manuel@HIDDEN>
> Cc: luangruo@HIDDEN,  59351 <at> debbugs.gnu.org
> Date: Wed, 23 Nov 2022 17:43:39 +0100
> 
> This last step goes into this compute_line_metrics call.  Everything
> seems fine up to xdisp.c:22886.  Before this conditional, I have the
> following values:
> 
> --8<---------------cut here---------------start------------->8---
> row->y = 0
> row->height = 31
> row->visible_height = 31
> max_y = 13
> --8<---------------cut here---------------end--------------->8---
> 
> And so after it, row->visible_height becomes 13.  So maybe that is why
> the menu bar is not update to have more height here.  WDYT?

Why do you think row->visible_height plays any role in this?  Maybe I'm
missing something, but it looks like it has nothing to do with the
non-resizing of the menu bar.  It looks like we never actually supported
this situation.  Think about it: in the no-toolkit build, the menu bar is
just a window.  A special kind of window, but a window nonetheless.  And
when a font changes, the dimensions of the window only change if we force
that, it isn't automatic.  If we don't force resizing, we keep the window at
its dimensions and redisplay the text inside, so fewer or more lines of text
will be visible in the window.

And that is what happens here: we just take note that the menu bar will be
partially visible, but don't do anything to resize the menu-bar window.

What I think we need to do is something like this:

  /* Compute the total height of the lines.  */
  compute_line_metrics (&it);
  if (FRAME_WINDOW_P (it.f))
    {
      struct glyph_row *row = it.glyph_row;
      if (row->y + row->height > WINDOW_BOX_HEIGHT_NO_MODE_LINE (w))
        {
	  FRAME_MENU_BAR_HEIGHT (it.f) = it.row->height;
          it.f->fonts_changed = true;
	}
    }

I hope that setting the frame's fonts_changed flag will cause Emacs resize
the menu-bar window.  You should see a call to adjust_frame_glyphs from
redisplay_internal; if that doesn't happen, perhaps we should force such a
call right after display_menu_bar returns.  Can you try this?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 23 Nov 2022 16:43:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 23 11:43:53 2022
Received: from localhost ([127.0.0.1]:56039 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oxsqn-0002xY-4g
	for submit <at> debbugs.gnu.org; Wed, 23 Nov 2022 11:43:53 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:36084)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1oxsqd-0002x5-Rl
 for 59351 <at> debbugs.gnu.org; Wed, 23 Nov 2022 11:43:48 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=glh4+lCyLNRz4z7d
 9sBCiextU2fuwzoiwWYTmxpUECc=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=MGudVXEOWtk9eaQ5uKl7X7HLIPJWgmNsz4mJ/e
 WkNcXCL22De1knlni/ykA9SsgBAyzFOSpPaOQTmCnItzLOr+lXkmPX6fI8zs2bOFuH6cpI
 tcnExbEUipdcIEr7FlMJhEr4+2P45Ow6m7jGlq0a4eXI7/CdN1DeT/txCMLKmQx/NSHHV1
 uI+L/bMPY59BSVUSxnwVT/d0ifSo4CLn6FIRWF32NTZzhHHD+pjLJy+d+1V1UpI2bghMIw
 11ydHm4UE75E9zIrHIM/TlO1Eejpe37o9HqL9pvYEixSpcCYE3Vjo5XyVEr71LnpGT/ncq
 rZ8A2BmNdXZn+erFeyMCtCqw==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 745796a5
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Wed, 23 Nov 2022 17:43:42 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <83iljc9k5s.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 18 Nov
 2022 20:45:03 +0200")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
Date: Wed, 23 Nov 2022 17:43:39 +0100
Message-ID: <871qpt7hac.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

[...]

>> About the height of the menu bar, you were right.  I've tested and
>> display_menu_bar is called quite often and is called after a
>> (set-face-font 'menu "Iosevka-18").  So maybe it is the last call to
>> compute_line_metrics that does not do the required job.
>
> I suggest to step through the code there and see why that happens.
> Feel free to describe what you see if the reason is not obvious.

Hi,

I think I might be onto something for the misbehaving update of the menu
bar height when changing font face (in --with-x-toolkit=no build).

The main difficulty was to set correct breakpoint because
display_menu_bar is called quite often.  So I'm starting my GDB session
with:

--8<---------------cut here---------------start------------->8---
set args -Q
break xdisp.c:3412 if ((base_face_id == MENU_FACE_ID) && (face->font->height > 14))
run
--8<---------------cut here---------------end--------------->8---

I think the previous 14 in the breakpoint should be adapt to not trigger
at the initial face and to do trigger after face font changed.  Then
from the scracth buffer of this emacs, I type: (set-face-font 'menu
"Iosevka-18") and evaluate it.  The breakpoint triggers as this font is
quite big.

Then from GDB, I do:

--8<---------------cut here---------------start------------->8---
tbreak 26337
continue
step
--8<---------------cut here---------------end--------------->8---

This last step goes into this compute_line_metrics call.  Everything
seems fine up to xdisp.c:22886.  Before this conditional, I have the
following values:

--8<---------------cut here---------------start------------->8---
row->y = 0
row->height = 31
row->visible_height = 31
max_y = 13
--8<---------------cut here---------------end--------------->8---

And so after it, row->visible_height becomes 13.  So maybe that is why
the menu bar is not update to have more height here.  WDYT?
-- 
Manuel Giraud




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 22 Nov 2022 00:34:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 21 19:34:58 2022
Received: from localhost ([127.0.0.1]:49172 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oxHFa-0005dy-4T
	for submit <at> debbugs.gnu.org; Mon, 21 Nov 2022 19:34:58 -0500
Received: from sonic311-25.consmr.mail.ne1.yahoo.com ([66.163.188.206]:33996)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oxHFX-0005dk-Bk
 for 59351 <at> debbugs.gnu.org; Mon, 21 Nov 2022 19:34:56 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1669077290; bh=sd9Jx/OeZcMoUJ2dAGvM34O/09vdbM1DRl4rljXs+fY=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=F2XKeUJWMQdZmogPpCQTJ/iHkaerYOrhY9/pIgUH+0UL5QiJybpXOe+yJ6YKi8bf2ewTVsgyfQ5wAYWc7aCcEimE3uPmHNQY/hl2W+NpwZmg7E45crfHfVs6L3FWSCDN8rrtWimqBU3iKeTquw1yIGGot0bEEv3O9tht8TyEOYSAgqD902jqSylUJ7At09zLYQn9i2jskiaUcpcWRKeBPbuzLBn4C1aVOsSA4tvSkw7vgw5nyaBShFeAonTwPKVPDyhxhrmJBX5p0dElOr1pfFuCpIh+9ZMznerLAs/vG6rEMd0aYLSiyudabfjrCs8YHgp3T379CDblcmzWx1JvQg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1669077290; bh=GRhUs07NBzi44PjrYPsoXr9oHpEjc6ROtheUPcwRi01=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=N9gortYSKt8rHdgEfsjYbMQubv6LZG64g9AvEUOYWxmckpwjmeeeEkWYix8RGmUgWySGWDKTES0NCKNDv7rSvjlsmgDBaNk0sKsltTgtqLx+gaZmGqfM6Xz2l77xnA8/3CgB0x6kILy9tA3qCBfZcxtDjsxB7QBoAPc6WMPU5shBOJdqcMsJEaZYfVbkuyYW1xqL9yG9mpEdjOB0QT7kyxsaj9u9hSTdPS+2ErPn9LfAymcQOZjQUV6d66w/Wm14ySSvoVdJ0fZfcfkdXFPPaEIMrfgPeDycUIAbcKnHb35JfcjnbqziHgDSbiJXOi0LhZaAwSKkpBD0jjO39d3MlQ==
X-YMail-OSG: I4dT5.0VM1khSl56dRCKxim35L9_Otn..LbymeC68K18BM.znbIFeygsno4M1q8
 ipIzWCZaukSF8bDqvVSWE0UUUCvH1qUhm.VkYgHXXBOowuvmFRENVpI7S5.y9nGvMHW3qtG9CT6U
 175CaZzRFe2yoTWYzj.K12MWWrx3xh.1b_xhJP1selQZa.GOXr741r1BUD0CXTeLEh5_rhjV45JJ
 IdsveggWcGyNZ8ZztOsrW_boBIK7PAwJfrTy93LFCIvmrpsb2BFSD8BKskP4yH4wwWdUdBqAh2eP
 9rmQVI.o_8B.DOk3khGTWOnXLLQAE6GtQCHGquls3bm3RZSAZECKhWkkZT2x2VaJZAd1e5ZR1gdP
 TzKsh3kB96haZwQ4vGT7z1_ljWAV6X8de1WgJBtflT86DW8AMCgpZ7jyf1rWflZVHy0USXn2ihlE
 GBbopGS_41n7sknz6UfiXBvCiLnfbs65KICqdDRH.DbtvdQTeevWKTdEufj5vsudWw39omWkSriR
 2FhksoaK.33xFbvx.eFlUnvO2Pg0lBXCm0SVWMJC.xp2WAzHzy17ZY1_87UKe7wua01QM0YRbhBM
 eZjVObJziO0wCopUdRCB46wzE932TeS8dQ31U6azMSfai8w8JsdCCmSSBkEcnGJbBWV7iRWAT0TB
 gcu14qjxRv1Ji05RK71QGopEas1dp776V7.Xzx30c4KbGDvrhXg2dxpHSfADUiNKcTNModbf.LZR
 yp7S1Ubg8JyxoMHuoqv_BTxrEwfY0s8hmS_PBMGIirv.31r5B41DZue6kBml1fCV8Bn7Bh7Hy_EL
 q8NSHjVb6Mm3aeafEPNeapZPRuKWyaAC.i_Gh4vLqajEQ23hTKbkTQGRQtEd2Ez3JgwgbBF915Ge
 kG4jN2P_X6dwsXu96Qj6jv14NagWglBm_24iDxDYHsdQOZrCCJy0rNCMoUHB7p3M2zRdWW.Rbr42
 MkmAyyb8B4BBW9dQBlqlHaxtSlmoFyRq8NkCoS_wwHE3BHv1BxpnvRswnlGXhQb0W7v4DnRF2l46
 6zbptfgGyF6iLtKgnM0QDYNDBNgJo2jF1KgCgF2AVC7StkgV9CRxVeuoyrrPvaozCeEWCtpbf8DF
 MgfrMspKiT2qa0BR9OPZE8te4UR1iq_x2YdKGa8J0ZtVYbCkBD.H9El98dBDaf4NvTd1vOeX6pmx
 DMq2JkfNTbM1rWUAujbnfyrK4RuXUmKIBYhy2Wf7KhX_dnzF0t3rvHbwsFG28HS9NG3g7klIL5Y7
 ELbRG0QRi_01yWYrdahXG3Yz6EY4yzSmmEFaiAQaiAta5A7b86wnMq35mAso67Qxh8tdh3vmbrpy
 8fl2kTmELAM1r4.Ik_FPEaufS_PkawXzjQ_rF8HKHrOZtWRuBV7Dm_GBSYEVPhk2AK4KpSOz6nmf
 gyQ4Ewdg2I1_tcd9_EdMY2i5bIKIcOGkbMeCluQ3Aasju7SnA02mAU3ljrb2sGIy9rZIIdoSc4Xa
 O2ca6.xstTjoDENCLk8aA5yLI0tEJ_4uWzzTxYVyI7S1waCuPoolzEEyGNmjKoZBeDNwwElxLjfS
 JiacR6iGXol2HJagmvXDWMklOK1KL_rjLrxNA.HEavBfCSnRn5fDqxl3uRIu4cCckBMME6uld6WN
 05cJG5BlKy4MR35PcfMEbrLdl68I2B8my2qnFeTnm.y1nl9ndmydEkcdBdf1B.SBjsrX6UJkAzWB
 b4degCrHuqJ9qsnLlvvGQ84ppwbDWXlErIL5t_K3iWZ8RKE.WIOIQ5bHh81..99CJwjeYEWKpevq
 YZE_wyAo8fp2KGkyRVaJxOf0roabY1eZc0RAnvjDMGBawmkY69GEtqxoi64xhntgTtq9A57d7ZKT
 RZnfcstVFd8lxrq7e0nddgNC_w.A6TnvSfVnWcGWvR2naFfAqHR_Mw5H7nrOlqrkVNSc9hiReYgL
 6eT2rNgnF0sX_fB2dxCgLOq3DcZa5TOMIzYe_I0NLhcUScYGw7XeyZJnHiOGqlmI6t0hlMppWsdt
 Ndci9MujK.G31e30NKo51brwXEHowQDJvyPjNF7Lu.yIIjMp7MxMoXXdIq6ZE_vy397Wi3OV944B
 cJ5jP77fqECw0B7z3nIA3DQ_MuguBsJGVx1GXWawXt9QWSLcxWEBiPLr8mMQGaffVzE5B99mGkPP
 mEznOSSvmWz1O3VY2rh1onES.PXiTX8wxV8ZHBkWYixgTXiBdvF4oEDGBDwf.ydwNcr7krbmln7p
 cpmgcHjn.pbSunc_lRDtcIajBGW7NoAEMkR2fuEmtj1Ojaigl.TMK3bCCTR2RbffAhD3r
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.ne1.yahoo.com with HTTP; Tue, 22 Nov 2022 00:34:50 +0000
Received: by hermes--production-sg3-6c8895b545-fzfcs (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID e5ec7b3457f79ba5a01aa5ccf478a747; 
 Tue, 22 Nov 2022 00:34:44 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <834jus2n3b.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 21 Nov
 2022 20:12:40 +0200")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
 <87a64k5su7.fsf@HIDDEN> <83o7t02xq2.fsf@HIDDEN>
 <875yf85pr8.fsf@HIDDEN> <834jus2n3b.fsf@HIDDEN>
Date: Tue, 22 Nov 2022 08:34:39 +0800
Message-ID: <87v8n74yjk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20863
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 309
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: 59351 <at> debbugs.gnu.org, Manuel Giraud <manuel@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Hmm... that's strange.  Po Lu, any idea why we get SIGTRAP there?

No, sorry.  I'm not sure why SIGTRAP is sent there: Xlib is simply
waiting for a reply from a protocol request that was made.

I think it could be some left over debugging code somewhere outside
Emacs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 21 Nov 2022 18:12:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 21 13:12:41 2022
Received: from localhost ([127.0.0.1]:48779 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oxBHc-0007ub-HL
	for submit <at> debbugs.gnu.org; Mon, 21 Nov 2022 13:12:40 -0500
Received: from eggs.gnu.org ([209.51.188.92]:50668)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oxBHY-0007uE-9v
 for 59351 <at> debbugs.gnu.org; Mon, 21 Nov 2022 13:12:39 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oxBHS-0004xx-2s; Mon, 21 Nov 2022 13:12:30 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=MoKEvN0M8ZUmjHMhbVyBWRN2kMZ6SwIjpj/1dfRk7ns=; b=BBfb+JznehKf
 59/2K8Vhk2OLt+YReqUperWpWGX+M2nKMN5I/JHPiNXjW+DdWEYiD4FjTC89B0biEsMNt3y2g0n5r
 NmBrTx9cAMS3Yc7baWieWcLXQlB4bmzSpvTjQExq/fbYvAaoiOmEY/fmlMmjJo09Y6f5CVztlP+SA
 /fbyNw17GpHCaEMju3sJXLtwEHW3oeG+aP7s+jQn+sAV4Ptf/M1oX7U2p+SHn8MOzRzV760rptwU2
 /SFvPsQ5Zp51bgaNAU+bFAagEmhBTGlhRxSIRi/IKxiby/BUcFrT76+OtcJ/rN4vvXL/1QMa69xVP
 sfrV/SqgdPIgIqKNCxDVZA==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oxBHR-000603-CJ; Mon, 21 Nov 2022 13:12:29 -0500
Date: Mon, 21 Nov 2022 20:12:40 +0200
Message-Id: <834jus2n3b.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
In-Reply-To: <875yf85pr8.fsf@HIDDEN> (message from Manuel Giraud on Mon, 
 21 Nov 2022 15:46:51 +0100)
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
 <87a64k5su7.fsf@HIDDEN> <83o7t02xq2.fsf@HIDDEN>
 <875yf85pr8.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org, manuel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Manuel Giraud <manuel@HIDDEN>
> Cc: Manuel Giraud <manuel@HIDDEN>,  luangruo@HIDDEN,
>   59351 <at> debbugs.gnu.org
> Date: Mon, 21 Nov 2022 15:46:51 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> From: Manuel Giraud <manuel@HIDDEN>
> >> Cc: Manuel Giraud <manuel@HIDDEN>,  luangruo@HIDDEN,
> >>   59351 <at> debbugs.gnu.org
> >> Date: Mon, 21 Nov 2022 14:40:16 +0100
> >> 
> >> I'm trying to debug this from "M-x gdb".  I've put a breakpoint at
> >> display_menu_bar but whenever I'm doing a 'next' at the init_iterator
> >> call I get the following message:
> >> 
> >> --8<---------------cut here---------------start------------->8---
> >> Thread 1 received signal SIGTRAP, Trace/breakpoint trap.
> >> _thread_sys_poll () at /tmp/-:3
> >> 3	/tmp/-: No such file or directory.
> >> --8<---------------cut here---------------end--------------->8---
> >
> > What does "bt" show in this case?
> 
> Here it is:
> --8<---------------cut here---------------start------------->8---
> #0  _thread_sys_poll () at /tmp/-:3
> #1  0x00000a4800b10c4e in _libc_poll_cancel (fds=0x7f7ffffc52a8, nfds=1, timeout=-1) at /usr/src/lib/libc/sys/w_poll.c:27
> #2  0x00000a4798da5532 in _xcb_conn_wait (c=0xa47977e9000, cond=<optimized out>, vector=0x0, count=0x0) at /usr/xenocara/lib/libxcb/libxcb/../../../dist/libxcb/src/xcb_conn.c:508
> #3  0x00000a4798db7ad4 in wait_for_reply (c=0xa47977e9000, request=815, e=0x7f7ffffc53b8) at /usr/xenocara/lib/libxcb/libxcb/../../../dist/libxcb/src/xcb_in.c:522

Hmm... that's strange.  Po Lu, any idea why we get SIGTRAP there?

Anyway, instead of stepping with "next", try this, after the breakpoint in
display_menu_bar breaks:

 (gdb) tbreak 26300
 (gdb) continue

If this works, and Emacs is stopped at line 26300, I'd suggest stepping
directly into compute_line_metrics, which is called at the end of
display_menu_bar:

 (gdb) tbreak compute_line_metrics
 (gdb) continue

This should stop inside compute_line_metrics, and then step through it and
take note of the various metrics of the glyph row that it uses to compute
the height.  You should see the metrics that correspond to the new font.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 21 Nov 2022 14:46:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 21 09:46:57 2022
Received: from localhost ([127.0.0.1]:45984 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ox84W-0004ta-I1
	for submit <at> debbugs.gnu.org; Mon, 21 Nov 2022 09:46:57 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:40961)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1ox84U-0004tQ-6a
 for 59351 <at> debbugs.gnu.org; Mon, 21 Nov 2022 09:46:56 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=WNHjhNXb2UGiAYPD
 4tYj13u7olC4tZFuEpuPXHSzCe4=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=JFK6xq8vHo9lt9IX0RZRF6V0WLBZg9+VvUdFaU
 QhpRnacBq+S2ltOx9eArsHnaK9FIUApC2QIZMglexmQ8azks0DiP55Yqqflt98fSRvawWo
 10FDkdTceR9YSWbd98dud2rvzkeC5i+jKc7byRRbUsnR9hfCG5/i6LlVHduDpzuZBR6fWa
 LrQGdJ7wPYm5RS8FQWOISv5jVRFibL5wcPMlziRI7uVt06Nbg09Byu6lgW0ezcTh4J2qct
 oPYFfb0XrAo/7T/ElCqWP9bI9qfTDGP4buPk1Ra2XwqWgLEoTxtUpldC6ETw/DpTrzO6fR
 NvBXDHzTgONHL3AEIH6cqOlw==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 44ba0653
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Mon, 21 Nov 2022 15:46:52 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <83o7t02xq2.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 21 Nov
 2022 16:23:01 +0200")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
 <87a64k5su7.fsf@HIDDEN> <83o7t02xq2.fsf@HIDDEN>
Date: Mon, 21 Nov 2022 15:46:51 +0100
Message-ID: <875yf85pr8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org,
 Manuel Giraud <manuel@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Manuel Giraud <manuel@HIDDEN>
>> Cc: Manuel Giraud <manuel@HIDDEN>,  luangruo@HIDDEN,
>>   59351 <at> debbugs.gnu.org
>> Date: Mon, 21 Nov 2022 14:40:16 +0100
>> 
>> I'm trying to debug this from "M-x gdb".  I've put a breakpoint at
>> display_menu_bar but whenever I'm doing a 'next' at the init_iterator
>> call I get the following message:
>> 
>> --8<---------------cut here---------------start------------->8---
>> Thread 1 received signal SIGTRAP, Trace/breakpoint trap.
>> _thread_sys_poll () at /tmp/-:3
>> 3	/tmp/-: No such file or directory.
>> --8<---------------cut here---------------end--------------->8---
>
> What does "bt" show in this case?

Here it is:
--8<---------------cut here---------------start------------->8---
#0  _thread_sys_poll () at /tmp/-:3
#1  0x00000a4800b10c4e in _libc_poll_cancel (fds=0x7f7ffffc52a8, nfds=1, timeout=-1) at /usr/src/lib/libc/sys/w_poll.c:27
#2  0x00000a4798da5532 in _xcb_conn_wait (c=0xa47977e9000, cond=<optimized out>, vector=0x0, count=0x0) at /usr/xenocara/lib/libxcb/libxcb/../../../dist/libxcb/src/xcb_conn.c:508
#3  0x00000a4798db7ad4 in wait_for_reply (c=0xa47977e9000, request=815, e=0x7f7ffffc53b8) at /usr/xenocara/lib/libxcb/libxcb/../../../dist/libxcb/src/xcb_in.c:522
#4  0x00000a4798db7bf5 in xcb_wait_for_reply64 (c=0xa47977e9000, request=815, e=0x7f7ffffc53b8) at /usr/xenocara/lib/libxcb/libxcb/../../../dist/libxcb/src/xcb_in.c:566
#5  0x00000a47866f6ac2 in _XReply () from /usr/X11R6/lib/libX11.so.18.0
#6  0x00000a47866d6814 in XGetWindowProperty () from /usr/X11R6/lib/libX11.so.18.0
#7  0x00000a4504dfe121 in x_handle_wm_state (f=0xa47cbcaf7b0, ie=0x7f7ffffc6c28) at xterm.c:18198
#8  0x00000a4504dd9801 in handle_one_xevent (dpyinfo=0xa47dab78080, event=0x7f7ffffc6cb8, finish=0x7f7ffffc6d7c, hold_quit=0x7f7ffffc6e08) at xterm.c:19096
#9  0x00000a4504e07b2f in XTread_socket (terminal=0xa47dab8c950, hold_quit=0x7f7ffffc6e08) at xterm.c:24751
#10 0x00000a4504e7f73c in gobble_input () at keyboard.c:7413
#11 0x00000a4504e80037 in handle_async_input () at keyboard.c:7644
#12 0x00000a4504e7fffe in process_pending_signals () at keyboard.c:7658
#13 0x00000a4504e800bb in unblock_input_to (level=0) at keyboard.c:7673
#14 0x00000a4504e7c650 in unblock_input () at keyboard.c:7692
#15 0x00000a450511f632 in ftcrfont_text_extents (font=0xa4767ecc8f8, code=0x7f7ffffc72e8, nglyphs=1, metrics=0xa45056fea78 <get_per_char_metric.metrics>) at ftcrfont.c:430
#16 0x00000a4504c7ffe7 in get_per_char_metric (font=0xa4767ecc8f8, char2b=0x7f7ffffc72e8) at xdisp.c:29566
#17 0x00000a4504c841d9 in gui_produce_glyphs (it=0x7f7ffffc7370) at xdisp.c:31736
#18 0x00000a4504c569eb in produce_special_glyphs (it=0x7f7ffffc8960, what=IT_TRUNCATION) at xdisp.c:31346
#19 0x00000a4504c54dac in init_iterator (it=0x7f7ffffc8960, w=0xa4767edf000, charpos=-1, bytepos=-1, row=0xa4767ec8000, base_face_id=MENU_FACE_ID) at xdisp.c:3314
#20 0x00000a4504cd4e8b in display_menu_bar (w=0xa47cbcafa20) at xdisp.c:26281
#21 0x00000a4504cc80ae in redisplay_window (window=XIL(0xa47cbcafa25), just_this_one_p=false) at xdisp.c:20374
#22 0x00000a4504cc2d7a in redisplay_window_0 (window=XIL(0xa47cbcafa25)) at xdisp.c:17397
#23 0x00000a4504fd67b6 in internal_condition_case_1 (bfun=0xa4504cc2d30 <redisplay_window_0>, arg=XIL(0xa47cbcafa25), handlers=XIL(0xa4736467f5b), hfun=0xa4504cc1160 <redisplay_window_error>) at eval.c:1498
#24 0x00000a4504cc0fe1 in redisplay_windows (window=XIL(0xa47cbcafa25)) at xdisp.c:17367
#25 0x00000a4504c6500b in redisplay_internal () at xdisp.c:16816
#26 0x00000a4504c70567 in redisplay () at xdisp.c:16006
#27 0x00000a4504e72d3f in read_char (commandflag=1, map=XIL(0xa47b29a34b3), prev_event=XIL(0), used_mouse_menu=0x7f7ffffd059f, end_time=0x0) at keyboard.c:2623
#28 0x00000a4504e6d0ea in read_key_sequence (keybuf=0x7f7ffffd0a90, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false) at keyboard.c:10070
#29 0x00000a4504e6aad6 in command_loop_1 () at keyboard.c:1376
#30 0x00000a4504fd667e in internal_condition_case (bfun=0xa4504e6a4a0 <command_loop_1>, handlers=XIL(0x90), hfun=0xa4504e6bcd0 <cmd_error>) at eval.c:1474
#31 0x00000a4504e6a430 in command_loop_2 (handlers=XIL(0x90)) at keyboard.c:1125
#32 0x00000a4504fd5413 in internal_catch (tag=XIL(0xfb10), func=0xa4504e6a400 <command_loop_2>, arg=XIL(0x90)) at eval.c:1197
#33 0x00000a4504e690e6 in command_loop () at keyboard.c:1103
#34 0x00000a4504e68e2d in recursive_edit_1 () at keyboard.c:712
#35 0x00000a4504e695d1 in Frecursive_edit () at keyboard.c:795
#36 0x00000a4504e6517b in main (argc=2, argv=0x7f7ffffd1238) at emacs.c:2516
--8<---------------cut here---------------end--------------->8---

>> I guess that this is an issue with thread but maybe there is some tricks
>> to debug a threaded emacs.  I cannot find hindsights in "etc/DEBUG".  I
>> also tried to compile "--without-threads" but it seems to be for elisp
>> support.
>
> This has nothing to do with --without-threads, so no need to rebuild Emacs.
> The only thing you need to make sure is that Emacs is build without
> optimizations (-O0 compiler switch) and with -g3 (to include detailed debug
> info including macros).

Yes, it is compiled with both -O0 and -g3 (and even
--enable-checking="yes,glyphs" and --enable-check-lisp-object-type: I
have followed etc/DEBUG on this).
-- 
Manuel Giraud




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 21 Nov 2022 14:23:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 21 09:23:04 2022
Received: from localhost ([127.0.0.1]:45878 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ox7hQ-0004DX-HC
	for submit <at> debbugs.gnu.org; Mon, 21 Nov 2022 09:23:04 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33462)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ox7hM-0004Cm-Qy
 for 59351 <at> debbugs.gnu.org; Mon, 21 Nov 2022 09:23:03 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ox7hF-0000oB-Hn; Mon, 21 Nov 2022 09:22:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=cWnBZD8uQ41Ge8Ox9aunpBYyEuuXhIHP7Bq3TXgXWxs=; b=VdOzZ3XK2EJV
 JBBRVMEMfPSm3kyNRKZVU1LdTpZ6QIboBe8d30mMBbQI+QMK150MaSG0QTvJwjaSv2fZBb82UiaAA
 smLZ/I+WcPcSR9CFhUwMxYRb3//HNtgMq7qu537R9myHWVnUQxPAOMb0gcaoP7gn1hqzAbL7tpvHA
 WgMtWnyhKM5JLmQiqQhDzA91pTh5xKuZo03UAz0DNGdSfXbNbewDyMAroxRW+RBQ4FCHKw2YmjsGk
 IpydJgR8oCrG9rLPkjwn/G1ZCrb2hHak/ckKq+g4vBE/Bc+YP9hRZEwLrHSuWmWj33rIiIg6uED6u
 TDbyb8it4gahTukUqTeaeQ==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ox7hB-0004up-Cz; Mon, 21 Nov 2022 09:22:53 -0500
Date: Mon, 21 Nov 2022 16:23:01 +0200
Message-Id: <83o7t02xq2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
In-Reply-To: <87a64k5su7.fsf@HIDDEN> (message from Manuel Giraud on Mon, 
 21 Nov 2022 14:40:16 +0100)
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
 <87a64k5su7.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Manuel Giraud <manuel@HIDDEN>
> Cc: Manuel Giraud <manuel@HIDDEN>,  luangruo@HIDDEN,
>   59351 <at> debbugs.gnu.org
> Date: Mon, 21 Nov 2022 14:40:16 +0100
> 
> I'm trying to debug this from "M-x gdb".  I've put a breakpoint at
> display_menu_bar but whenever I'm doing a 'next' at the init_iterator
> call I get the following message:
> 
> --8<---------------cut here---------------start------------->8---
> Thread 1 received signal SIGTRAP, Trace/breakpoint trap.
> _thread_sys_poll () at /tmp/-:3
> 3	/tmp/-: No such file or directory.
> --8<---------------cut here---------------end--------------->8---

What does "bt" show in this case?

> I guess that this is an issue with thread but maybe there is some tricks
> to debug a threaded emacs.  I cannot find hindsights in "etc/DEBUG".  I
> also tried to compile "--without-threads" but it seems to be for elisp
> support.

This has nothing to do with --without-threads, so no need to rebuild Emacs.
The only thing you need to make sure is that Emacs is build without
optimizations (-O0 compiler switch) and with -g3 (to include detailed debug
info including macros).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 21 Nov 2022 13:40:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 21 08:40:23 2022
Received: from localhost ([127.0.0.1]:45807 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ox727-0000si-7O
	for submit <at> debbugs.gnu.org; Mon, 21 Nov 2022 08:40:23 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:13868)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1ox723-0000sY-DW
 for 59351 <at> debbugs.gnu.org; Mon, 21 Nov 2022 08:40:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=TeNHmbRPzoFdWU4w
 Zta1neykzzfL62GRcLZQVFdMyVk=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=P5vuTKgf0BeA9dW5BVU65LevZhavdwQtCeWWSf
 C1uMtqyCmvnkaROlea6lod8wqb0TTLbgANSpozeK+Suj/gzGhstrd543HsqQvSuxucpXul
 LDSDomKrNsC3Heb2XIiZF0sHyjRmQW+bezNDmz8lsxAp4mc3LR3l/zsyBqX77GqrgnwFHq
 icL+pZI26VCF2Gh+Wll8hjx7EgpiTVOBvGC/lhjc/xTs8czxm9Ax2MVtRVZVrItPMimN/M
 yfijF0etCg442gJE3jd/zIDdWKEvUQvB0fBhtdt2DNhA4nGdRUD5JQGe7vgbTZKdKzmJV5
 kwju6RyGsf9iTp+fMITTUbJw==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 331da2a8
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Mon, 21 Nov 2022 14:40:17 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <83iljc9k5s.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 18 Nov
 2022 20:45:03 +0200")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <83iljc9k5s.fsf@HIDDEN>
Date: Mon, 21 Nov 2022 14:40:16 +0100
Message-ID: <87a64k5su7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org,
 Manuel Giraud <manuel@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

[...]

> I suggest to step through the code there and see why that happens.
> Feel free to describe what you see if the reason is not obvious.

Hi Eli,

I'm trying to debug this from "M-x gdb".  I've put a breakpoint at
display_menu_bar but whenever I'm doing a 'next' at the init_iterator
call I get the following message:

--8<---------------cut here---------------start------------->8---
Thread 1 received signal SIGTRAP, Trace/breakpoint trap.
_thread_sys_poll () at /tmp/-:3
3	/tmp/-: No such file or directory.
--8<---------------cut here---------------end--------------->8---

I guess that this is an issue with thread but maybe there is some tricks
to debug a threaded emacs.  I cannot find hindsights in "etc/DEBUG".  I
also tried to compile "--without-threads" but it seems to be for elisp
support.  How should I proceed?  (I understand that this starts to be a
tad off topic for a bug report so tell if should be moved elsewhere).
Thanks.
-- 
Manuel Giraud




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 19 Nov 2022 09:19:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 19 04:19:37 2022
Received: from localhost ([127.0.0.1]:39001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owK0f-0003BI-F1
	for submit <at> debbugs.gnu.org; Sat, 19 Nov 2022 04:19:37 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:28102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1owK0d-0003BA-PG
 for 59351 <at> debbugs.gnu.org; Sat, 19 Nov 2022 04:19:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=kr23NPU8yv1SJnps
 ybrEkXMgpPP5gpJuNDjHTMmNb7Y=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=QPT9TidMyJlzMDwTukO0pUwy5YFmBnNGElElH5
 kj1DYLNhRLI1o7W40jaWp++7/e+3kYRdmqoYAYHoOreamF6r3EQpGjflnjEEH3JftALOZu
 yvrAX6SNt55+nNqJisXCd9y7r7gy3eI6513LZyAQj4JY9buuMSe8yMGLqQ9W//R45t8uTW
 IchdQN+iT0sFQ2WhfEzW/WorTdhcnWf/ZpeA5QB8Yt6H0asmP8Zj+SCp5Ge/x1eh3MH7h2
 Mz2gNeZ6OcaaSgeH82z0Z2iMj5dfwvQbmhUHfFCCJTzoxLdXSZv+fh0n1wjdG7+clVrDVY
 e4sUoG+tsMmqdChZW03kpoUQ==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 4d56fa3f
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Sat, 19 Nov 2022 10:19:34 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <87zgcnbxob.fsf@HIDDEN> (Po Lu's message of "Sat, 19 Nov 2022
 08:22:28 +0800")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN> <87zgcnbxob.fsf@HIDDEN>
Date: Sat, 19 Nov 2022 10:19:33 +0100
Message-ID: <875yfb8foa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: Eli Zaretskii <eliz@HIDDEN>, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Po Lu <luangruo@HIDDEN> writes:

> LGTM.  I installed this and am closing this bug.  Thanks for working on
> Emacs.

Thanks!  And I see that you also improve it!
-- 
Manuel Giraud




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 19 Nov 2022 00:22:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 19:22:45 2022
Received: from localhost ([127.0.0.1]:38524 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owBd6-0004GI-QZ
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 19:22:45 -0500
Received: from sonic316-21.consmr.mail.ne1.yahoo.com ([66.163.187.147]:40437)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1owBd3-0004G4-KH
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 19:22:42 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668817355; bh=wUgOVonJluTjuaRwpX2cJ5JLIK9jrI/vxALmszoD3Tw=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=dsEiTFVug6RRYMhJH9nCd0TFqUlSKB7XOJDMhk4pxuutIbZ51fTEVhkmDSSZL1EvGgh2Iqtx6XExi4TRpCEeEfdRt0e215PwBdteVDEkDinqe4Qrn2t264IAt5fSpu3FypMiGqVDlJaAf9SouA9ranmKmHZ4tYBe3g5LgTh7X7wFHsqiXdGsmSOJ6EDhE8Ncq5Rds14hrLgWfpMAxk3ONpfWy6G58fifxUkzzdBPbixSgYe0eEGwBv/elngLSQbTW9X5j9GpSVNpb3cB3EMAxb0wFrUwEJA09jLVQZohyIQXOIB68YNpdm5Gm/YJD/C7Ns7EmNe4yg5PVwL5ZtA8RQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668817355; bh=JekPD4kuUwZhBwj9tJHVqvv5ZaetBoNaxdsQ4X+W1FE=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=RUZN90BP6I1VDSHHji6Dd7ZE647OfD2dUjpldAce2c0+tnq5fAseW4utHHsz5tXy4Ssk5iK6K3UmRDPI66S+zeovPu+AJoj8ioZqovSBKoy7BDpOJE4YT08ulNiPF7qm8Rapw+1tt0cvOjqQ5VhLqOY7e+hhdnV+Y6e/DLyBGQfGkfCRhiA0E8umuOrU7RiLrwiCKI9AMLJ78ycm7jTeRQZxpxqYlZwoO8LmvZ2CrxpbTnK2VYnP0dkLMJiHk1TzYDPq30vi9vg2JTuKsNIjV0Y37Gylrhf9JFYyDs2FxfWk+jUDVxMAT1loKr0Q6QHcfKB+wA1DEr9C8wDVI48aMg==
X-YMail-OSG: YxjP4DcVM1nCYb0_TZr.skV1cahqJjs.b3Sb4Nl0ytP6PLYfMpLcZdfF7ql4BrW
 fXx6K4PBT1tlZfmx16Wj8zbRsrqAQaoeCbjyOef8V4vzEAUirjl7391_pk2D2QUTZUsP8HhvqRoR
 SaxRd44B80eaL1qyMROF9IIs7A3IyJCW7H67m7UuCKz5xPMIW3o5_e32FX94QSGzW_hndC6jctGU
 B4.CnHwcG_OGgViFNZcr58qmFXYD408MlrCAExz2EffnVxvZWwnrAqFv9cB5xPAg_rJjvco39JN3
 Fzy3VJ6RydpIp.QKXR.bOC_7bDCQwUc7TbLq0axLvT.A5bke_1fvLXUj0P6IXI7r00JYJ7o.RxQH
 W5xbD7PKbVYQIe6CCMKJybOW72McRrhOYCyXAqE1FEMFSEfd5fdRazr6g_VW_3LfC1fpUOiPDYdN
 cZuwFThuy3JdsPDF9HC.33pwlGXXwS60jKPPiccLRO.jOC0jCUYLaYaZLyoCBJAoDjTka934DQoO
 poW8jnXVc_Dsu7uZXImBmEaF3gkmUoHzQNZSHABKeDFspdlw169xybjNsVs_8Mw5LcAvv5LHx7Js
 V.OXxbz1THXhapA0Q4z2_9XM_zP7FcdREu.13aDOQZs3ggvtnkXQZJz8YszpbQUla6XAOAg9ZMjS
 SRXlfLyT5MH6EJBNDwsrK0FM.eo8._pNkHdAg8g7bKi.5E.31TV3Isakzze7.3I37agfVNHk4i0w
 bGZXKLJLZlMbyoEPfsUuZCqWOUtEawB_LaqMEjAffbZk0Dp8hO7DL1P112ZCaPROY_vUqQEDzaqN
 W.s4Ib7.0hu.fhrSvV295OCUJdgHdujchKxQUkZ3RHAp5ZndoLyOpfqOAqWq4USM2hy0vJnEKStD
 PMefIVVa8EOlzvS0RpM.1N1CZri0mSM1sDMDwUaQ6aTn0iey4OqlUrJ8zFB5nYdeIPx4r1bqxVtt
 RDm9TCBCeN_5rdcusUBpXJomFw6aDFqiRmqXaB9fqHMTcAjVluHMf_WqF91u.IZU8VoO2LtrD7JV
 rGuAJNMtWrZdBgTMUBrZMzsB88bziMpr4EPHTMgZzp7fZ_mPZCaXy5bHfiXB9k98H.UwgCOtjZ1f
 cASX6iheCPBL1PtkmMjviaHVEtC.Y9KS2byMgXsl_rHMq00Q3oXYwhW9o5KnLLLY78slXU3yKUiu
 I8FB3aOMRZbnJIsgLBl8dtxiPrCipm1IE98bskR7oAaZz4v18Yd6ef5OeouSbVgaRi8gk6_pTkdI
 FFsNbR5SBob_PuyHVnulvl07Omjzwo9ohxAZuLgO2FJVOSNYCn8AUqSPSD69U2DoYAb3DA1Uzp3J
 XbFk_xJFy.bTOGPNL3Ao0sDRCuryVcWCYsDCTMRRHhUC.N0FZXW2IB7KXKRXbySd97gmL9muZFxo
 cJRhp7KwOOL_.OER9KWlfIitNlpqzDnkNyv.FBeWt0G2Lt4YByikRr0fKm3NEB_FYtTzRYxhNHEz
 PtEezqvjHzndt5ORksKsWvp0G6HbTE6A1SQeYSXimBr4zviYm2a3oQMJPb11aKtQoiQMfyle.lGO
 VrywsCVwWx5lL6nVZgzxHZUt5FRnY3TsOa2ilhWRSM2bCIcBKg55P_brSDhmfjOiIFQMylo0YDQh
 4YC_HR7GhCqPLHFNXsl6lYhFz8crz_zPZ3yTZhqOgsDJs10SJLCyt3Avz_LHd6B9Gk_uaLKLXJKd
 Yb5oBJ4YpiKCIVhRPzb6uXgFfWsL3fBwFdf044RPxTfbZfyxixIOCuDH7iLjvc.5M0cgp5dimwsY
 SQyG2Hw1rLOZFUAop7cGK5rlT_HpQiCPbgWz.Om4ZM4nlx8KAhTlCeyIH3zOslR0JG9gToyFNpyH
 tN2tCx3m5PUFi0ifEclK6GdO50RiKbc_LzJj2p0UgPdPIOrdbfvnBhCGor8XZyeLbtwWr09n3_uG
 zfrdcl0E4V2SyL3MAXYK2cc7jhPgqKGgWPGry0HFZxMGw00ZbU6NVm8JYKB6.QwJ6zKtwOjqS0kM
 vH3cvV1WSglHTXEyiFpnJ4OtIj8eMYbxpACj0fJzxLf3TiYKiRO1XRSxoyiVzNOIvudEj4ZAi9jr
 zJwgl16wAr.zcb4DZ7lrTS5Xbg_qVzxKthSfLTGQMYg3W2KQUJIaR648WUQpgpw1zlJaVeUOVPee
 CXAL6BNp.21dIUIXAOkSA_pCqOzYTJ1_nOL0pUYxe7S_gQuUMahAOiXNsqYI2FuFoEbTdoOkUgs7
 sfgKrjph2cij0PcxOJyIJ75KaTxWYDfzyi5fNuksfLFrcgWlbrdAc6YfyMLsLmfwl9XM-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic316.consmr.mail.ne1.yahoo.com with HTTP; Sat, 19 Nov 2022 00:22:35 +0000
Received: by hermes--production-sg3-6c8895b545-26lc9 (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID a317b7750a6637f048e86d523c29c86f; 
 Sat, 19 Nov 2022 00:22:32 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <87zgcotbw9.fsf@HIDDEN> (Manuel Giraud's message of "Fri,
 18 Nov 2022 18:23:18 +0100")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN>
Date: Sat, 19 Nov 2022 08:22:28 +0800
Message-ID: <87zgcnbxob.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20863
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 3492
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: Eli Zaretskii <eliz@HIDDEN>, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Manuel Giraud <manuel@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>> I thought you said XWINDOW (f->menu_bar_window) doesn't compile in the
>> "--without-x" build?  I think you need the HAVE_WINDOW_SYSTEM
>> condition as well.
>
> This new one does compile "--without-x".
>
> About the height of the menu bar, you were right.  I've tested and
> display_menu_bar is called quite often and is called after a
> (set-face-font 'menu "Iosevka-18").  So maybe it is the last call to
> compute_line_metrics that does not do the required job.
>
> From 6fc191dcfa85ac98a482a7e373a4221499f86825 Mon Sep 17 00:00:00 2001
> From: Manuel Giraud <manuel@HIDDEN>
> Date: Fri, 18 Nov 2022 09:24:55 +0100
> Subject: [PATCH] Fix click position to menu bar entry with no-toolkit
>
> * src/keyboard.c (make_lispy_event): Use x_y_to_hpos_vpos to
> compute correct menu bar position should the menu face change.
> * src/xdisp.c (x_y_to_hpos_vpos): Not static anymore.
> * src/dispextern.h: Export x_y_to_hpos_vpos.
> ---
>  src/dispextern.h |  3 ++-
>  src/keyboard.c   | 18 ++++++++++++++++--
>  src/xdisp.c      |  2 +-
>  3 files changed, 19 insertions(+), 4 deletions(-)
>
> diff --git a/src/dispextern.h b/src/dispextern.h
> index 2f5f4335fe..2afbdeabaa 100644
> --- a/src/dispextern.h
> +++ b/src/dispextern.h
> @@ -3495,7 +3495,8 @@ #define TTY_CAP_STRIKE_THROUGH	0x20
>  extern void tty_draw_row_with_mouse_face (struct window *, struct glyph_row *,
>  					  int, int, enum draw_glyphs_face);
>  extern void display_tty_menu_item (const char *, int, int, int, int, bool);
> -
> +extern struct glyph *x_y_to_hpos_vpos (struct window *, int, int, int *, int *,
> +				       int *, int *, int *);
>  /* Flags passed to try_window.  */
>  #define TRY_WINDOW_CHECK_MARGINS	(1 << 0)
>  #define TRY_WINDOW_IGNORE_FONTS_CHANGE	(1 << 1)
> diff --git a/src/keyboard.c b/src/keyboard.c
> index 069cf0627b..6ce6ce17f2 100644
> --- a/src/keyboard.c
> +++ b/src/keyboard.c
> @@ -5974,8 +5974,22 @@ make_lispy_event (struct input_event *event)
>  	       in a menu (non-toolkit version).  */
>  	    if (!toolkit_menubar_in_use (f))
>  	      {
> -		pixel_to_glyph_coords (f, XFIXNUM (event->x), XFIXNUM (event->y),
> -				       &column, &row, NULL, 1);
> +#if defined HAVE_WINDOW_SYSTEM
> +		if (FRAME_WINDOW_P (f))
> +		  {
> +		    struct window *menu_w = XWINDOW (f->menu_bar_window);
> +		    int x, y, dummy;
> +
> +		    x = FRAME_TO_WINDOW_PIXEL_X (menu_w, XFIXNUM (event->x));
> +		    y = FRAME_TO_WINDOW_PIXEL_Y (menu_w, XFIXNUM (event->y));
> +
> +		    x_y_to_hpos_vpos (XWINDOW (f->menu_bar_window), x, y, &column, &row,
> +				      NULL, NULL, &dummy);
> +		  }
> +		else
> +#endif
> +		  pixel_to_glyph_coords (f, XFIXNUM (event->x), XFIXNUM (event->y),
> +					 &column, &row, NULL, 1);
>  
>  		/* In the non-toolkit version, clicks on the menu bar
>  		   are ordinary button events in the event buffer.
> diff --git a/src/xdisp.c b/src/xdisp.c
> index f6a279636a..0c073c0fb5 100644
> --- a/src/xdisp.c
> +++ b/src/xdisp.c
> @@ -2330,7 +2330,7 @@ pixel_to_glyph_coords (struct frame *f, int pix_x, int pix_y, int *x, int *y,
>     text, or we can't tell because W's current matrix is not up to
>     date.  */
>  
> -static struct glyph *
> +struct glyph *
>  x_y_to_hpos_vpos (struct window *w, int x, int y, int *hpos, int *vpos,
>  		  int *dx, int *dy, int *area)
>  {
> -- 
> 2.38.1

LGTM.  I installed this and am closing this bug.  Thanks for working on
Emacs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 18:45:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 13:45:08 2022
Received: from localhost ([127.0.0.1]:38242 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow6MO-000418-Ky
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 13:45:08 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41472)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ow6MN-00040t-2S
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 13:45:07 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow6MH-00039M-2O; Fri, 18 Nov 2022 13:45:01 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=847f5yAYXP58ch5PC1j6JYLMlcX/ZEnbY+iXaZzTtM8=; b=m714ixoLKTJR
 TdWFSZBsHlA9GRrOCCtgWsKXutW1oQC++VNaiG//9AmcxFpwhs4RbkrOPG5UMBnpvYYMiMYkPZY+S
 NvYtI1qnz45Lshh54lrUUoK6a5H0xIZRfGcvUuFidwQBHcFrdo45QsXdRI2MAhuIkjuL/dYZNaI+y
 a4xjYTjt/NKAflT3TOys/NxdzHo8lVEmqvzJA6Vv5Bu4xW47ZPHpGejdT4lrz2Ws1XsNT2hM1QgMK
 h2h10gzu3kjy7tSzHu7WWyC7dhMK7qLwA30K0eNvMVWwrszD7Y6gTh8l+wq/X1err98PLP0WqMjUz
 mwR3A8PxmkJtHCZzH/NlTg==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow6MF-0002AB-Rq; Fri, 18 Nov 2022 13:45:00 -0500
Date: Fri, 18 Nov 2022 20:45:03 +0200
Message-Id: <83iljc9k5s.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
In-Reply-To: <87zgcotbw9.fsf@HIDDEN> (message from Manuel Giraud on Fri, 
 18 Nov 2022 18:23:18 +0100)
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
 <87zgcotbw9.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Manuel Giraud <manuel@HIDDEN>
> Cc: luangruo@HIDDEN,  59351 <at> debbugs.gnu.org
> Date: Fri, 18 Nov 2022 18:23:18 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > I thought you said XWINDOW (f->menu_bar_window) doesn't compile in the
> > "--without-x" build?  I think you need the HAVE_WINDOW_SYSTEM
> > condition as well.
> 
> This new one does compile "--without-x".

LGTM, thanks.

> About the height of the menu bar, you were right.  I've tested and
> display_menu_bar is called quite often and is called after a
> (set-face-font 'menu "Iosevka-18").  So maybe it is the last call to
> compute_line_metrics that does not do the required job.

I suggest to step through the code there and see why that happens.
Feel free to describe what you see if the reason is not obvious.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 17:23:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 12:23:24 2022
Received: from localhost ([127.0.0.1]:38162 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow55I-00023M-0V
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 12:23:24 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:33999)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1ow55F-00023B-L1
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 12:23:23 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=CQXTGoOwHrfr7NID
 UeZ2n0y4JNq1HbfSyOz29iXkj5g=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=kskCFa/s6Ss1Iz7qPsghZQQpJYgzCVGd5jZkS8
 gXmwCmPxvn/YAMxzrDbnpOhrvb43TSok59GlvoC7VDaedYvyqIa9iNZYGR/lzTTjOkfAqH
 3Xy1B11YX/3E6maJYoFu1zWRWGQ2BWyxUkGz35QKOVkOX3OKGlZHUjd1I+82L5wIfbr9hi
 dyb2906Y7i4fKJeAn0gmw8jiJSaBaV09pwVwcrX3v2QzSY2S/oz8pnUr54w8JaHpaPRift
 v4qMW/2njhRPfkDUkxfgF2/nfVCD0qwe+gI0oTOESygQ/ap2Q5qTCTtPkQyeQjY6iX9oSi
 tTFFv3NsWKxQbVxWv9AE0xhA==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 36979ae3
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Fri, 18 Nov 2022 18:23:19 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <83r0y09td6.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 18 Nov
 2022 17:26:13 +0200")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN> <83r0y09td6.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 18:23:18 +0100
Message-ID: <87zgcotbw9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Eli Zaretskii <eliz@HIDDEN> writes:

> I thought you said XWINDOW (f->menu_bar_window) doesn't compile in the
> "--without-x" build?  I think you need the HAVE_WINDOW_SYSTEM
> condition as well.

This new one does compile "--without-x".

About the height of the menu bar, you were right.  I've tested and
display_menu_bar is called quite often and is called after a
(set-face-font 'menu "Iosevka-18").  So maybe it is the last call to
compute_line_metrics that does not do the required job.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Fix-click-position-to-menu-bar-entry-with-no-toolkit.patch

From 6fc191dcfa85ac98a482a7e373a4221499f86825 Mon Sep 17 00:00:00 2001
From: Manuel Giraud <manuel@HIDDEN>
Date: Fri, 18 Nov 2022 09:24:55 +0100
Subject: [PATCH] Fix click position to menu bar entry with no-toolkit

* src/keyboard.c (make_lispy_event): Use x_y_to_hpos_vpos to
compute correct menu bar position should the menu face change.
* src/xdisp.c (x_y_to_hpos_vpos): Not static anymore.
* src/dispextern.h: Export x_y_to_hpos_vpos.
---
 src/dispextern.h |  3 ++-
 src/keyboard.c   | 18 ++++++++++++++++--
 src/xdisp.c      |  2 +-
 3 files changed, 19 insertions(+), 4 deletions(-)

diff --git a/src/dispextern.h b/src/dispextern.h
index 2f5f4335fe..2afbdeabaa 100644
--- a/src/dispextern.h
+++ b/src/dispextern.h
@@ -3495,7 +3495,8 @@ #define TTY_CAP_STRIKE_THROUGH	0x20
 extern void tty_draw_row_with_mouse_face (struct window *, struct glyph_row *,
 					  int, int, enum draw_glyphs_face);
 extern void display_tty_menu_item (const char *, int, int, int, int, bool);
-
+extern struct glyph *x_y_to_hpos_vpos (struct window *, int, int, int *, int *,
+				       int *, int *, int *);
 /* Flags passed to try_window.  */
 #define TRY_WINDOW_CHECK_MARGINS	(1 << 0)
 #define TRY_WINDOW_IGNORE_FONTS_CHANGE	(1 << 1)
diff --git a/src/keyboard.c b/src/keyboard.c
index 069cf0627b..6ce6ce17f2 100644
--- a/src/keyboard.c
+++ b/src/keyboard.c
@@ -5974,8 +5974,22 @@ make_lispy_event (struct input_event *event)
 	       in a menu (non-toolkit version).  */
 	    if (!toolkit_menubar_in_use (f))
 	      {
-		pixel_to_glyph_coords (f, XFIXNUM (event->x), XFIXNUM (event->y),
-				       &column, &row, NULL, 1);
+#if defined HAVE_WINDOW_SYSTEM
+		if (FRAME_WINDOW_P (f))
+		  {
+		    struct window *menu_w = XWINDOW (f->menu_bar_window);
+		    int x, y, dummy;
+
+		    x = FRAME_TO_WINDOW_PIXEL_X (menu_w, XFIXNUM (event->x));
+		    y = FRAME_TO_WINDOW_PIXEL_Y (menu_w, XFIXNUM (event->y));
+
+		    x_y_to_hpos_vpos (XWINDOW (f->menu_bar_window), x, y, &column, &row,
+				      NULL, NULL, &dummy);
+		  }
+		else
+#endif
+		  pixel_to_glyph_coords (f, XFIXNUM (event->x), XFIXNUM (event->y),
+					 &column, &row, NULL, 1);
 
 		/* In the non-toolkit version, clicks on the menu bar
 		   are ordinary button events in the event buffer.
diff --git a/src/xdisp.c b/src/xdisp.c
index f6a279636a..0c073c0fb5 100644
--- a/src/xdisp.c
+++ b/src/xdisp.c
@@ -2330,7 +2330,7 @@ pixel_to_glyph_coords (struct frame *f, int pix_x, int pix_y, int *x, int *y,
    text, or we can't tell because W's current matrix is not up to
    date.  */
 
-static struct glyph *
+struct glyph *
 x_y_to_hpos_vpos (struct window *w, int x, int y, int *hpos, int *vpos,
 		  int *dx, int *dy, int *area)
 {
-- 
2.38.1


--=-=-=
Content-Type: text/plain

-- 
Manuel Giraud

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 15:26:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 10:26:17 2022
Received: from localhost ([127.0.0.1]:37990 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow3Fx-000350-A7
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 10:26:17 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35004)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ow3Fv-00034n-7a
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 10:26:16 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow3Fq-0005ww-0k; Fri, 18 Nov 2022 10:26:10 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=6ZurcPUpIkaOtpwVX3AgVxwSdg+vQqJ0i7hnK4WwYDw=; b=jQBe0uUFo4vc
 kP9durG3lw9LPMY8amrMJm37yOLosFGemsw4cAZ3QScdM9BWnat0t29fX21aUVxBq8oQdpA+OLqQ9
 778uXR+b86vk9gF7guDZ2lGAp8dsYXI5gfpeqMBJMetRF8w3mLeFu6Ao617Cv9jYJ6h/lLgpcI/cZ
 uMOtPb52gyhrd+Y2kfxR0xXGfVEJGh2QA9bTb2DS9Ijft1rfFwTyZtdMOFyBCd8+1Uii2IK9/4WpE
 kr5QoFpgmbAiworbUwcAtPCuKOgWW/+T14hMS0Uzblmj1YNCYVfSQObzQrdN4Vt/N4owhyzZIq115
 DxrOAflruSR5Zxddyq9DxQ==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow3Fp-0008NO-2P; Fri, 18 Nov 2022 10:26:09 -0500
Date: Fri, 18 Nov 2022 17:26:13 +0200
Message-Id: <83r0y09td6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
In-Reply-To: <875yfcuw5r.fsf@HIDDEN> (message from Manuel Giraud on Fri, 
 18 Nov 2022 16:20:16 +0100)
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
 <875yfcuw5r.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Manuel Giraud <manuel@HIDDEN>
> Cc: luangruo@HIDDEN,  59351 <at> debbugs.gnu.org
> Date: Fri, 18 Nov 2022 16:20:16 +0100
> 
> > This cannot be a compile-time condition, because Emacs compiled with X
> > support can still have TTY frames.  So you need to test for
> > FRAME_WINDOW_P, and only call x_y_to_hpos_vpos if FRAME_WINDOW_P
> > returns non-zero; otherwise call pixel_to_glyph_coords even in a build
> > where HAVE_WINDOW_SYSTEM is defined.
> 
> Ok.  Sorry about that.  Here is a new one.

No need to be sorry, no one can possibly remember all this stuff all
the time.

> --- a/src/keyboard.c
> +++ b/src/keyboard.c
> @@ -5974,8 +5974,20 @@ make_lispy_event (struct input_event *event)
>  	       in a menu (non-toolkit version).  */
>  	    if (!toolkit_menubar_in_use (f))
>  	      {
> -		pixel_to_glyph_coords (f, XFIXNUM (event->x), XFIXNUM (event->y),
> -				       &column, &row, NULL, 1);
> +		if (FRAME_WINDOW_P (f))
> +		  {
> +		    struct window *menu_w = XWINDOW (f->menu_bar_window);
> +		    int x, y, dummy;
> +
> +		    x = FRAME_TO_WINDOW_PIXEL_X (menu_w, XFIXNUM (event->x));
> +		    y = FRAME_TO_WINDOW_PIXEL_Y (menu_w, XFIXNUM (event->y));
> +
> +		    x_y_to_hpos_vpos (XWINDOW (f->menu_bar_window), x, y, &column, &row,
> +				      NULL, NULL, &dummy);
> +		  }
> +		else
> +		  pixel_to_glyph_coords (f, XFIXNUM (event->x), XFIXNUM (event->y),
> +					 &column, &row, NULL, 1);

I thought you said XWINDOW (f->menu_bar_window) doesn't compile in the
"--without-x" build?  I think you need the HAVE_WINDOW_SYSTEM
condition as well.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 15:20:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 10:20:23 2022
Received: from localhost ([127.0.0.1]:37950 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow3AE-0002u8-Ts
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 10:20:23 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:33952)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1ow3AC-0002tz-O4
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 10:20:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=JxGbM89Onbanz/H5
 kCkFYtK/njAUU0obwZdqqiZGSCc=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=D4rHsmwlWmq/aXHT4bzYChAEOExgSd2Mkae1CJ
 HC+gaRdtuCEAv6s7g8BnF1IzNKLaw9Yxs9DEY9VoCW7WKiiPtXsl/hztF/SZq3M3xPhcrI
 ZmW/q1CcCPK3u6zKSCYnChsHz5tFTv9R3rT9fVptsaUbPRYPjgzUavQxbCUFE93zWASiHH
 egmLUwgKb8lhv6xkjoR+UqpmuGxNsvLN2zLCMRkWvjkKB8WsKqmv4TIRWF7qsl3frn6y0o
 4V77wPmAsaLf9xjew2atHx4GhV3ht8pLEQxnn+k5xgbiZCgObRztpwd4cM9OsmfafMqloI
 P9DF6/mjhfJai21FXm9tQfeA==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 3f669090
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Fri, 18 Nov 2022 16:20:19 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <8335agbai5.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 18 Nov
 2022 16:30:42 +0200")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN> <8335agbai5.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 16:20:16 +0100
Message-ID: <875yfcuw5r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Eli Zaretskii <eliz@HIDDEN> writes:

[...]

> This cannot be a compile-time condition, because Emacs compiled with X
> support can still have TTY frames.  So you need to test for
> FRAME_WINDOW_P, and only call x_y_to_hpos_vpos if FRAME_WINDOW_P
> returns non-zero; otherwise call pixel_to_glyph_coords even in a build
> where HAVE_WINDOW_SYSTEM is defined.

Ok.  Sorry about that.  Here is a new one.

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Fix-click-position-to-menu-bar-entry-with-no-toolkit.patch

From 13cd5a971b6ff7e7b809b9cc4073039c695b9dcd Mon Sep 17 00:00:00 2001
From: Manuel Giraud <manuel@HIDDEN>
Date: Fri, 18 Nov 2022 09:24:55 +0100
Subject: [PATCH] Fix click position to menu bar entry with no-toolkit

* src/keyboard.c (make_lispy_event): Use x_y_to_hpos_vpos to
compute correct menu bar position should the menu face change.
* src/xdisp.c (x_y_to_hpos_vpos): Not static anymore.
* src/dispextern.h: Export x_y_to_hpos_vpos.
---
 src/dispextern.h |  3 ++-
 src/keyboard.c   | 16 ++++++++++++++--
 src/xdisp.c      |  2 +-
 3 files changed, 17 insertions(+), 4 deletions(-)

diff --git a/src/dispextern.h b/src/dispextern.h
index 2f5f4335fe..2afbdeabaa 100644
--- a/src/dispextern.h
+++ b/src/dispextern.h
@@ -3495,7 +3495,8 @@ #define TTY_CAP_STRIKE_THROUGH	0x20
 extern void tty_draw_row_with_mouse_face (struct window *, struct glyph_row *,
 					  int, int, enum draw_glyphs_face);
 extern void display_tty_menu_item (const char *, int, int, int, int, bool);
-
+extern struct glyph *x_y_to_hpos_vpos (struct window *, int, int, int *, int *,
+				       int *, int *, int *);
 /* Flags passed to try_window.  */
 #define TRY_WINDOW_CHECK_MARGINS	(1 << 0)
 #define TRY_WINDOW_IGNORE_FONTS_CHANGE	(1 << 1)
diff --git a/src/keyboard.c b/src/keyboard.c
index 069cf0627b..c16f8808c4 100644
--- a/src/keyboard.c
+++ b/src/keyboard.c
@@ -5974,8 +5974,20 @@ make_lispy_event (struct input_event *event)
 	       in a menu (non-toolkit version).  */
 	    if (!toolkit_menubar_in_use (f))
 	      {
-		pixel_to_glyph_coords (f, XFIXNUM (event->x), XFIXNUM (event->y),
-				       &column, &row, NULL, 1);
+		if (FRAME_WINDOW_P (f))
+		  {
+		    struct window *menu_w = XWINDOW (f->menu_bar_window);
+		    int x, y, dummy;
+
+		    x = FRAME_TO_WINDOW_PIXEL_X (menu_w, XFIXNUM (event->x));
+		    y = FRAME_TO_WINDOW_PIXEL_Y (menu_w, XFIXNUM (event->y));
+
+		    x_y_to_hpos_vpos (XWINDOW (f->menu_bar_window), x, y, &column, &row,
+				      NULL, NULL, &dummy);
+		  }
+		else
+		  pixel_to_glyph_coords (f, XFIXNUM (event->x), XFIXNUM (event->y),
+					 &column, &row, NULL, 1);
 
 		/* In the non-toolkit version, clicks on the menu bar
 		   are ordinary button events in the event buffer.
diff --git a/src/xdisp.c b/src/xdisp.c
index f6a279636a..0c073c0fb5 100644
--- a/src/xdisp.c
+++ b/src/xdisp.c
@@ -2330,7 +2330,7 @@ pixel_to_glyph_coords (struct frame *f, int pix_x, int pix_y, int *x, int *y,
    text, or we can't tell because W's current matrix is not up to
    date.  */
 
-static struct glyph *
+struct glyph *
 x_y_to_hpos_vpos (struct window *w, int x, int y, int *hpos, int *vpos,
 		  int *dx, int *dy, int *area)
 {
-- 
2.38.1


--=-=-=
Content-Type: text/plain

-- 
Manuel Giraud

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 14:31:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 09:31:57 2022
Received: from localhost ([127.0.0.1]:35954 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow2PN-00019z-Fr
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 09:31:57 -0500
Received: from eggs.gnu.org ([209.51.188.92]:49824)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ow2PM-00019o-D7
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 09:31:56 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow2PG-00033w-Pb; Fri, 18 Nov 2022 09:31:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=1wrcS8xN2eovVEtqwispyVLIiAVeLuZlYLhEMpez23A=; b=S4EiqT+qCv/O
 9f6xMcBLxVvzRhTMMj/Zq01QG7y/DDWkZH/jLdIalZV9o97mXboFdSXmoBRfYXRVk42WTka9Ss9ji
 fmkGfx73bJt/XJLNBQXdiP26VYc5nNcGNfmFgLvu7cpqkVAAjaviTUVCFfP37mvDeaIynWTVoG25u
 vShZcGpw8KT7x4uRP8OFUWLTlLcOwXJ/+PYOFUtmzsJbMz6wojMkwImnu/kd/yfyQNE3RS4CDOA1G
 zFU+VBDtLQr4k25mxfIxuZCud7PnC5OlAyTQqxt1gWnzkprkDn3LyOl778Jbij2o9pAlEDUumKeer
 YKvGAqeNQ7JFvPlA9YvusA==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow2PF-0001iB-Op; Fri, 18 Nov 2022 09:31:50 -0500
Date: Fri, 18 Nov 2022 16:31:52 +0200
Message-Id: <831qq0bag7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <87r0y0cs76.fsf@HIDDEN> (message from Po Lu on Fri, 18 Nov
 2022 21:23:09 +0800)
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87h6ywwj9e.fsf@HIDDEN> <83edu0bg4w.fsf@HIDDEN>
 <87cz9kwi2y.fsf@HIDDEN> <838rk8bf36.fsf@HIDDEN>
 <87r0y0cs76.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59351
Cc: 59351 <at> debbugs.gnu.org, manuel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Po Lu <luangruo@HIDDEN>
> Cc: Manuel Giraud <manuel@HIDDEN>,  59351 <at> debbugs.gnu.org
> Date: Fri, 18 Nov 2022 21:23:09 +0800
> 
> Please see my other reply.  The pseudo-window is changed when a menu bar
> is activated on a TTY with a mouse

On TTY frames the menu bar is not a window, it's just a special line.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 14:30:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 09:30:46 2022
Received: from localhost ([127.0.0.1]:35949 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow2OE-00018I-2x
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 09:30:46 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45280)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ow2OC-000187-QV
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 09:30:45 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow2O7-0002us-Ak; Fri, 18 Nov 2022 09:30:39 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=ZCMYUrC4V9rfavJ6uFrTrka13Y1UfcLrzGO0ON4BfMs=; b=MDuHQnhQeF/L
 fw5AHZDHGJYjqWL7kqjrvPnU8cjJDkSPOcoyJhZ0upsU6vIDtib9qhhrFgpa4lbhrEzVnc5NmDaCf
 bWinmflMjdIjm5RqD5PLiKj+DyqxK5BsmFKvp5GCym3T86zcsUKR9ieYouFCSluyst2uVsyBNyBgL
 zLrcEAIAR4RIhjiOASjB3A2RWesqL0Z13N047g9k7v3/dubbSzMPusxZ4Gg2UT2me4IKpgtoJcefM
 a51SEv6xQN47ArmfjOvYhBfSmZGECYajBqyZo9fRaZQMgvdzIj6k/yeaYTARyfIlZ8AuyDimwodyW
 Aavtka88lyA04TWxktds1w==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow2O6-0005dK-4A; Fri, 18 Nov 2022 09:30:39 -0500
Date: Fri, 18 Nov 2022 16:30:42 +0200
Message-Id: <8335agbai5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
In-Reply-To: <87zgcov1ps.fsf@HIDDEN> (message from Manuel Giraud on Fri, 
 18 Nov 2022 14:20:15 +0100)
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87zgcov1ps.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Manuel Giraud <manuel@HIDDEN>
> Cc: luangruo@HIDDEN,  59351 <at> debbugs.gnu.org
> Date: Fri, 18 Nov 2022 14:20:15 +0100
> 
> > Did you test the results on a TTY frame that has a mouse?
> 
> It doesn't even compile --without-x.  So here is a new version of this
> patch.  I even remove the comment as suggested by Po.
> 
> --- a/src/keyboard.c
> +++ b/src/keyboard.c
> @@ -5974,8 +5974,17 @@ make_lispy_event (struct input_event *event)
>  	       in a menu (non-toolkit version).  */
>  	    if (!toolkit_menubar_in_use (f))
>  	      {
> +#if defined HAVE_WINDOW_SYSTEM
> +		int dummy;
> +
> +		x_y_to_hpos_vpos (XWINDOW (f->menu_bar_window),
> +				  XFIXNUM (event->x), XFIXNUM (event->y),
> +				  &column, &row,
> +				  NULL, NULL, &dummy);
> +#else
>  		pixel_to_glyph_coords (f, XFIXNUM (event->x), XFIXNUM (event->y),
>  				       &column, &row, NULL, 1);
> +#endif

This cannot be a compile-time condition, because Emacs compiled with X
support can still have TTY frames.  So you need to test for
FRAME_WINDOW_P, and only call x_y_to_hpos_vpos if FRAME_WINDOW_P
returns non-zero; otherwise call pixel_to_glyph_coords even in a build
where HAVE_WINDOW_SYSTEM is defined.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 14:16:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 09:16:45 2022
Received: from localhost ([127.0.0.1]:35930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow2Af-0000n6-5Q
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 09:16:45 -0500
Received: from eggs.gnu.org ([209.51.188.92]:59900)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ow2Ae-0000mv-3c
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 09:16:44 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow2AY-0000b5-1g; Fri, 18 Nov 2022 09:16:38 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=28puOmZPLc5IvRqaftcTeHi7lBAeuYBRfWrn4b1fAH0=; b=jiQrublGe3j3
 o+hsUbTYllMxCq5MKmvVFHozUSjAbk6bE1lWcqfra9AqcsL1pP2w5EOJ1Wy5SAX1uWXhOPhW7TcQh
 cg2knNkz2mncNLvywranDYrYm6fRyPkOjj6eTgkNEFMPnGXwvxebQXy6YoY4inI7ca8Dz3no3Bua2
 wR+QZWi15XxWVfR7lRv3/mQIDLjcb6CJBMKpJrrK9YDHZy5xuFq0Fnr7bBgVwcQIhWZHMh3CcAG9D
 tfqGHyvYr+Hiao0OpGx9sz+eaquqCkV3Q80zO2E5vVsH+Izrh0sacH51t0G0Sv23xSwRQ8IlWbTq6
 IHtItDe/v6qdE4V3WHfHuA==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow2AU-0004w5-Db; Fri, 18 Nov 2022 09:16:37 -0500
Date: Fri, 18 Nov 2022 16:16:37 +0200
Message-Id: <835yfcbb5m.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
In-Reply-To: <874juwwggd.fsf@HIDDEN> (message from Manuel Giraud on Fri, 
 18 Nov 2022 14:16:34 +0100)
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
References: <87tu2wlku7.fsf@HIDDEN> <83r0y0biad.fsf@HIDDEN>
 <87leo8wjee.fsf@HIDDEN> <83fsegbg94.fsf@HIDDEN>
 <874juwwggd.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59351
Cc: 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Manuel Giraud <manuel@HIDDEN>
> Cc: 59351 <at> debbugs.gnu.org
> Date: Fri, 18 Nov 2022 14:16:34 +0100
> 
> > display_menu_bar is supposed to update the metrics of the menu-bar
> > line, see the call to compute_line_metrics at its end.  Why doesn't it
> > happen?
> 
> Yes but it seems that this updating does not take place when the menu
> face is changed (not the whole frame face, though: this does work).  And
> the menu face, when changed, is displayed correctly, but the height of
> the window is not modified accordingly.

You mean, display_menu_bar is not called in that case?  If that is the
problem, we should look into the reason.  Perhaps some condition is
missing for when display_menu_bar is called from redisplay_window.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 14:14:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 09:14:42 2022
Received: from localhost ([127.0.0.1]:35914 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow28g-0000ic-C0
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 09:14:42 -0500
Received: from sonic306-21.consmr.mail.ne1.yahoo.com ([66.163.189.83]:45994)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ow28e-0000iN-4R
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 09:14:41 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668780874; bh=bBaS9hjqj0VKWXR3xGjj0TN4CQ7d/LTaVf/w9/NM9TA=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=W2Lych2BnSPbbg09822XTsBxXTFrfUIXPFmbp22aYlFWTXJoSmGc4hXr+jk8OM8qGa2cMl7ZUPgAHSmUCmcQo1JhpD8RnP+6PYVO+MGUmkdrJ99PgqW8h/y2aKjuiEY/9ZiAcdNLd1u50Fp3d+r7Nk4YpbJ8BQPzve30rAbZZ6uK3BzNoeGoDOMMxAvVcJ/zQYBAO76+O6mqW75WEimBPqKmplCpl6kCVOLSTocV/NhdLW6pY96q1DO4sTsWo+oYQBWf+cmGBdjdl35inbR9i34joYHRIPWwdV03FWKcTxRgB5YZ6P0H6vW+bMNxQaHjg8K6sOAAn0lXOWaVWe8QMA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668780874; bh=Gov4DEMz4StW3EOk59kK1f0Qiul/+cOXMcI1KDoT3zi=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=UjFOixnBi/3i4r0p2SMhymngUtLwTJynKRIx0FioXgRoxeK2tdnfkr/UrT9oseMt6NwY8Bqhj+tYtBta4Jb0BA6/UMRJwjk8PCbEwMLhEhkQcLkNmJ8ezfAqk+GxUwxRjF3Ll/xw/kc/VZroZYa7B3GG9mJRB74q3gTNGjOtgCrMMXIZRHK3Z9ljnYzgh8fmn3Ne3OBsvddLu8PW/Gqhk+PAiY8HoQNn7dwRh5Ih4upQ/yCcZQer0tZLAvhl+G0kSsLRZM3aZ4rt1mKdTOXexSPHMusUtnnvCZV4oaeE+nkGtgCQy1nTxEXKD6EG+r5gCLFrRLw6I50vW9n9oNri8g==
X-YMail-OSG: yv.W8ycVM1lj6Bx0IjzmxP_uX1bZX6_C53hbD63LNvJIF7QtrSDxiuSN.zkcXLb
 w_ESBqC0NSexdZNYgj7P1hOYHS2dyMfYRz3J_Ddj7zvlDfFGlO3jYXxaIHNQGHiaQaco9K4oPbiJ
 re89JSWz1McD8rwoHgYh.852Nft1XKXqpGAZ9tD.ndzD6SFjvuMfZHyWa8tsb05Gk.nYv1OzxGGE
 Rw.ctjgHlKnTLn0H3UxBu6GwHYHepz7tZXgZj8E48tPdRD9dHCudcIfm15bXW8Zv0VQRq7faBMgk
 QY7NIjvjybePmRZSW1QinJYHQGhXUustym0.EqTuqu5uTsn7V2rCJItWtDZ_lSixtKCDTn0fghEG
 5EpmbQRCPdBy50yqhnmiCi2rDuK_QxTnXwWHE5BS_nQZsoMwIkDRckwhDgjgCY5NazhLUfoIA8B7
 aOVyOJENw.PMyajSKIi0NjlDJIIoYBbYBixKbNdOn6oSRNkuV0ztWDWbCc4JWxihHelQkIqFG3rV
 32Wx58Tw.Z8iIOfsU_kFO4BHUHb0860gETZzjrDXm9HyN3oWtTLM3cDjSPi0F7Co6zMkXUvzfqVH
 JDX7xb7ufdBjXE0YiX7dV8DQr5w6eIbWoPVtp6tsdkSjhCdStNoPQerJNpUoCWRODwhMQJu65pGI
 ZOZZDb26ySk6geQzygDNYX22CAIrNyEvtJxs_HYy7qhf7LdpLs44a3WgcmHRqOgU39zVZT2ifwu9
 So7TJErbqzaXBJyldhO1NChl3MTlAWezL.WCuaSNs3aNsM6CxHrVLH7RtZTEajKoW2ZBRKTPY9xi
 ORt8jMODNWHM_o0PMpSJcNL8vwdhCIYJfh0qnTVSRZbgnccz.w0H2SxUsLsj2L82fRIijnlK6Cdn
 QiBHEcW_5PKINzr3TRXWdcH0i1NvOO2gk.VfTSjyGMO_rjLt_Q5kURD1ZmgY62WrlAXpgPlXW4uJ
 DC9HvIQVsHSjQz.x.FXzIRdPI4nK1M.DuliJVg__RSXnenSdm_KMPgKYBNKBi9uHTwbHMms8pgmY
 OVCBC9k5Qvrd1BshqGkyRj9n_NziEHJxKE4kVW_TWc1Z8pYolH0rSA4D4QAaH_7ZSUfpv02p4KAV
 6RzBVqV8Ns.f4jwr23zdpmmQ0AzD0oTz4kXgOOJdHujaw983WpiMDizs6sSTGVpcnlfFLCPfHqru
 Y5iRY9OYGdDjtzP03qd7U9gXLu4lbhNqAc2mgTwNTGCLIO_oDvYgL6PwsZkYM5j.YrVym9ykV5mU
 bCz.gr9B7KLyFCc6f60Y9zA3leHSO54n3yd72Dcmv3UlTyr5zA..8RraWRB5onJ9IU.PYWMo2_6v
 HeEByJznLPv7U2005XjrZp.Q8C57MybHerobBc.I1mStz6xgJgkbjQ26odcY35Nwhby3nEdtro1w
 HtPQSlIE9.pc85wZMDNutLEW2l94.C2aIF_WdAjlz.5WHTAaJh7gwQA9OP3BNGtR9zv9niFXn0w4
 7W8JibT0gYwGHOqLW4rXHFbQMA0BhySrdjGTV5heix91OEgTeoFxxVD.1Z.1ZYYs4dQRePRPJIH4
 keAT87pTU4KvcrtMwVWC_kGV4cMFmu928_oAZJXdYFDafh7acaM2YXOCDv6Ohms5KlmntOUsl.v2
 iyj7Vbmmhf.r1Ck3mnW5M8h43vVn6GMIodDbkTKyddP5L6AUd4FSsS2ug0hs5q4IQJ_8SSI4VxO8
 HjzjWs.R0NdDsnb8Rgr2RWb0AZeSWry_n6JYcPFh_0hWA8yhEStt4tQofV..mTkIV0SAVQWY0jRg
 8UPQcAPpFu2JE5axosN4uypR0F7QRSnq6GkdUsKFaGZSAe7S__8U6T.kQQUVfTGiWWHoMkh6qdvd
 Ng9smh1nmrPOX0vdbOj4o1kyxoacqDsrzXeoQ7GQDAjHNimYZtBzpzBMqJe5ND2f5KJi7hn.L9XF
 kdIv7aPplCtBXZWvku4UAf8Mvea7QQ73VQKDTAw03ji_H1kBqum0jCFwHlaKzdVH.9Qhk8FbGV_I
 s_qZ9Dc6dQPSIdcCFpwwAbP72.us2MI5B6yDCAuIBaqqdraoXtmJEiR8RAqxIjrxPFXYxRr8Gm68
 RAC0S7VmWcqLLMxznEvpf2dMrSetvP7GTzrLCZCVG4UnFlSO43A_YE3rRwkQ5G5iAk7rsXCOt2.Q
 9vZoSCrGSoA_WVy8qKkPxEDWb7gHy2ZMJO5yJyZozUHHsOEMLaAkVwQ6ZkKWvr1walXhessDdIUB
 C8mTR7g8j4qar.TyuV4P2KCd8Dq2x__JExbBvTwvriAwhyl3i_vU.cHCCqOu6j_OvaVRKhbA-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic306.consmr.mail.ne1.yahoo.com with HTTP; Fri, 18 Nov 2022 14:14:34 +0000
Received: by hermes--production-sg3-6c8895b545-xbfp8 (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 94787c5a57433bfc24f7873b5c737788; 
 Fri, 18 Nov 2022 14:14:29 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <87h6ywuzi1.fsf@HIDDEN> (Manuel Giraud's message of "Fri,
 18 Nov 2022 15:08:06 +0100")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87h6ywwj9e.fsf@HIDDEN> <83edu0bg4w.fsf@HIDDEN>
 <87cz9kwi2y.fsf@HIDDEN> <838rk8bf36.fsf@HIDDEN>
 <87r0y0cs76.fsf@HIDDEN> <87h6ywuzi1.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 22:14:19 +0800
Message-ID: <87fsegcptw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20863
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 453
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: Eli Zaretskii <eliz@HIDDEN>, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Manuel Giraud <manuel@HIDDEN> writes:

> +#if defined HAVE_WINDOW_SYSTEM
> +		struct window *menu_w = XWINDOW (f->menu_bar_window);
> +		int x, y, dummy;
> +
> +		x = FRAME_TO_WINDOW_PIXEL_X (menu_w, XFIXNUM (event->x));
> +		y = FRAME_TO_WINDOW_PIXEL_Y (menu_w, XFIXNUM (event->y));
> +
> +		x_y_to_hpos_vpos (XWINDOW (f->menu_bar_window), x, y, &column, &row,
> +				  NULL, NULL, &dummy);
> +#else

Builds with X can still create TTY frames!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 14:08:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 09:08:13 2022
Received: from localhost ([127.0.0.1]:35894 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow22O-0000Yp-Rd
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 09:08:13 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:33477)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1ow22M-0000Yg-IF
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 09:08:11 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=yq3KZVG/1aTV84te
 qrjKvqnDHpzABdNmRYvQxEBrtMw=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=UuR8rRjlLXXMRVEAIC76rvKsYcvnM79yM5LTTy
 Tan7AOqHVIWyNqhS1kpvPXERlHQWR2K6VEizJx77+OT24XBWvF4FRB/VfDQol9kYkI7ygY
 MKr3S9/wtq86QerpEjC0WGQd9xFXHbl1m9/6W3ajKAgbLZkb5aSuJMd/tXn4cEPlJukFwI
 0E2/zsfeIn/+xZfMgVBy3+3Yc2QqAsF75DaGN7kOMojVJCS0mL39G5zREU3jWCW5pCaPCc
 V8Pt+nB6yzCCjEqtKNBGf1l6jE7SsUKTDKlmRlDXFsSBZxI8jO+GyUcuMKH6tCjcPWzc4C
 /cN0BysNRu3dB9CRM0fE849g==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id fe46cbd4
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Fri, 18 Nov 2022 15:08:08 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <87r0y0cs76.fsf@HIDDEN> (Po Lu's message of "Fri, 18 Nov 2022
 21:23:09 +0800")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87h6ywwj9e.fsf@HIDDEN> <83edu0bg4w.fsf@HIDDEN>
 <87cz9kwi2y.fsf@HIDDEN> <838rk8bf36.fsf@HIDDEN>
 <87r0y0cs76.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 15:08:06 +0100
Message-ID: <87h6ywuzi1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: Eli Zaretskii <eliz@HIDDEN>, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Here is a new version of the fix.

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Fix-click-position-to-menu-bar-entry-with-no-toolkit.patch

From 4d7774ca34d53bd8cf147ade7bf058a3b8876f7e Mon Sep 17 00:00:00 2001
From: Manuel Giraud <manuel@HIDDEN>
Date: Fri, 18 Nov 2022 09:24:55 +0100
Subject: [PATCH] Fix click position to menu bar entry with no-toolkit

* src/keyboard.c (make_lispy_event): Use x_y_to_hpos_vpos to
compute correct menu bar position should the menu face change.
* src/xdisp.c (x_y_to_hpos_vpos): Not static anymore.
* src/dispextern.h: Export x_y_to_hpos_vpos.
---
 src/dispextern.h |  3 ++-
 src/keyboard.c   | 11 +++++++++++
 src/xdisp.c      |  2 +-
 3 files changed, 14 insertions(+), 2 deletions(-)

diff --git a/src/dispextern.h b/src/dispextern.h
index 2f5f4335fe..2afbdeabaa 100644
--- a/src/dispextern.h
+++ b/src/dispextern.h
@@ -3495,7 +3495,8 @@ #define TTY_CAP_STRIKE_THROUGH	0x20
 extern void tty_draw_row_with_mouse_face (struct window *, struct glyph_row *,
 					  int, int, enum draw_glyphs_face);
 extern void display_tty_menu_item (const char *, int, int, int, int, bool);
-
+extern struct glyph *x_y_to_hpos_vpos (struct window *, int, int, int *, int *,
+				       int *, int *, int *);
 /* Flags passed to try_window.  */
 #define TRY_WINDOW_CHECK_MARGINS	(1 << 0)
 #define TRY_WINDOW_IGNORE_FONTS_CHANGE	(1 << 1)
diff --git a/src/keyboard.c b/src/keyboard.c
index 069cf0627b..5a204c8ebd 100644
--- a/src/keyboard.c
+++ b/src/keyboard.c
@@ -5974,8 +5974,19 @@ make_lispy_event (struct input_event *event)
 	       in a menu (non-toolkit version).  */
 	    if (!toolkit_menubar_in_use (f))
 	      {
+#if defined HAVE_WINDOW_SYSTEM
+		struct window *menu_w = XWINDOW (f->menu_bar_window);
+		int x, y, dummy;
+
+		x = FRAME_TO_WINDOW_PIXEL_X (menu_w, XFIXNUM (event->x));
+		y = FRAME_TO_WINDOW_PIXEL_Y (menu_w, XFIXNUM (event->y));
+
+		x_y_to_hpos_vpos (XWINDOW (f->menu_bar_window), x, y, &column, &row,
+				  NULL, NULL, &dummy);
+#else
 		pixel_to_glyph_coords (f, XFIXNUM (event->x), XFIXNUM (event->y),
 				       &column, &row, NULL, 1);
+#endif
 
 		/* In the non-toolkit version, clicks on the menu bar
 		   are ordinary button events in the event buffer.
diff --git a/src/xdisp.c b/src/xdisp.c
index f6a279636a..0c073c0fb5 100644
--- a/src/xdisp.c
+++ b/src/xdisp.c
@@ -2330,7 +2330,7 @@ pixel_to_glyph_coords (struct frame *f, int pix_x, int pix_y, int *x, int *y,
    text, or we can't tell because W's current matrix is not up to
    date.  */
 
-static struct glyph *
+struct glyph *
 x_y_to_hpos_vpos (struct window *w, int x, int y, int *hpos, int *vpos,
 		  int *dx, int *dy, int *area)
 {
-- 
2.38.1


--=-=-=
Content-Type: text/plain

-- 
Manuel Giraud

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 13:40:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 08:40:35 2022
Received: from localhost ([127.0.0.1]:35800 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow1bf-0005yP-7Y
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 08:40:35 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:46885)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1ow1bZ-0005yD-6u
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 08:40:33 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=SIT8uRRJVzyWz+hu
 FeUjVBdgkf2QjMINoLijmC+wduM=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=qjp/TAowodMSNPftq1C2mf/e73cbqIFF9M+Ii3
 rJsfbHHu5UlMz2c27Y/nMVAojQ4Mtxkme6bx/3xUmZ5xchwUXRjCi94Mz/jKspPVM4RSa6
 KZAnuX8eZYKc34oyxJ/z8xq4GEnzf0KEbpcuNwmVgrAWpQnJ+WWg6u6klswuOq/3+mMq2X
 p2oj9Qa8N+yTGFz3Ww5LGi4pCQEN2Jt+kT8KmgWbV6OsMFrm6KUkPheE+oaMr9WxO6JxsX
 kWzLjd6Ma+Er4uTKjNKAUe7J7UHabQ0yADDzU2uLeXGPPgB/m64nJmrQOHp7pBZHrcvPHH
 qxCs9sMEo+lT9WJtUpoKCC0g==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 14373e69
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Fri, 18 Nov 2022 14:40:27 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <87r0y0cs76.fsf@HIDDEN> (Po Lu's message of "Fri, 18 Nov 2022
 21:23:09 +0800")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87h6ywwj9e.fsf@HIDDEN> <83edu0bg4w.fsf@HIDDEN>
 <87cz9kwi2y.fsf@HIDDEN> <838rk8bf36.fsf@HIDDEN>
 <87r0y0cs76.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 14:40:26 +0100
Message-ID: <87tu2wv0s5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: Eli Zaretskii <eliz@HIDDEN>, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Po Lu <luangruo@HIDDEN> writes:

[...]

> Please see my other reply.  The pseudo-window is changed when a menu bar
> is activated on a TTY with a mouse, but not under X, where the XMenu
> library is used to display the menu.  Since the proposed code only makes
> a difference on terminals with variable-width fonts, my suggestion is to
> use it only on X terminals, whilst letting the TTY menu bar operate as
> before.

Ok. I think that the #ifdef of the new version of the patch did just
that (i.e. use old cold if not on X)=E2=80=A6  but wait!  I'm testing a new
version using FRAME_TO_WINDOW_PIXEL_* macros you two proposed.
--=20
Manuel Giraud




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 13:25:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 08:25:24 2022
Received: from localhost ([127.0.0.1]:35784 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow1My-0003N0-Ar
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 08:25:24 -0500
Received: from sonic301-31.consmr.mail.ne1.yahoo.com ([66.163.184.200]:33250)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ow1Ms-0003MU-8L
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 08:25:18 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668777910; bh=ZkJNmbUAvNSJGQlUXi9xwR8WwaR0tpDtIfALsHNCTiY=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=GhE/OIpoLSaTCadN8xwChnkGI0V1L+CxryBscXDn4f349yEm+3399Y8rmE0Q84Nj42Aw+JzSlDG3GgBFaIzFnM1C27LGlnVhiVp18BSJyQPq6WU7PaTmsXQ+/Zmv/Bo1JXDKCKkiWEViLWFK/bTeCq4PX339/3IUD+/1Z9ATs4+SpsiV9C6m6hX6tBCtqqduZr7NtewrkMJwESUKLhA/OnpdHHjXRybjt0Lxww99BqzzFboL2AYSvucJJAFBfYFFX7zCgQqIaqMFfOGBSaeC2AgMQKcs5zPyW4aj/QabWMtIFFs2BNMymdDP9SZxhx4lugeUJ9xe0ZVByprjZlq7AQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668777911; bh=tXCsDwYusRUsB9yMGSzGGiOF0Ww/YDvoRuydh5+FrrV=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=nw+6yuK3arCS3GfSAZNXJiVjZthG7WSlB7H3rjSch5gsf+JVdFYx7dwZHVfNAC5GA28WK+f6LxNfHzoMJUf+RyHW0Tiky0YaeMLPp+nFwsvGgboZyrHg0pMYOl3cpBOym/7+k0Dgr/46QIlJPLdH9mJTu7pV10LP4ZrdcMlambzE9m3UXDaxBCofbx1MxSD9fSylFrrQCbfhBCADI9lE6HHn1pCvfQDzYSpLKRN16soA3kImHoaD3WvbHZvneiyfsXsSvxethF6SOstI/7/C6J7UrXdPY4yZ8kDkq5M7wiDUep8/hj9XHKrzYwv+emuo/yQ51Ss5MtIx2xKpGO8u8g==
X-YMail-OSG: E7k_tPAVM1kN.yYs_qpZC9IuRzfV9We5dfTs7xElJrdWDjkPjYPH6fjm.irlZXl
 HPKDN5NmzdLKr9RSTg5ClrhGktYFoLYgPWMGy_u6.GhVVySd4crrJsThM0YNItLOoBy1TO2EAuRe
 0tRPZToeoA1NI6p_yygZxgLac6AHIUlU2qHYqntxeehYl96xdzfhdNEa0x6TwuPhqv9TMUtm1cbg
 rOy7SOSz7cAEHJog0.IqSr8BH4BEZHsBFPIBF9ko5b.sayfa7xEhu686oUWx7XRVdQnvRr77TWoR
 NTgWFQ1xBggi8SqhwIqzuYdxkDeluOxdtzPIa1sri7975tYGkwtgCOm9nM5ew9TQfGMc.dB3jGhD
 q_Mjh3R.Rms1h12FQPTQraV.FP7rPwLFSSEvkkN99KoMDTMCdfUzDBjAkwdhV9END4TcXbu5uz_j
 gvkRsutb_B83UwWuMZR8TGaHWsDAhNhXiT2zXZV1j24LF3HnFsrsW3WNuOtzRxLvz2uKam9XEITM
 TDxTrq1ZyEtjiNvGh4i2Up7VA.ljI6GFjoKmM2_S6vbuziM02.qMxP1nMZvH_XkaACJ.wX5f034e
 hOJh0L_jzZjV.3KlUvPFBkV7NIBukOkXKPvBoVCqbUCVPiO97Qeq_vYyguJynzIhTTFtAJ1jh7ji
 rRCRaOMzRipYDBAGWiobguAxwhgWPJjEDl.DZaeUke7EjJ1AWN7br1CRsCTA6JYOJ84ZLG.Pq9zs
 z9liiOvVcICOMC8dWPg9Mn_5TDneY.oISI.JausUIxeD1i4e1lxt4ehSTIhgq68JVx7B.fyCWRoO
 r2fA1YjlYTSfgZjK.Wc26.JLvjHsTOl5zdYS7bLdTufibjZzj7mnBhHpYhfLIqPLB0fcOSSneR_M
 _4LeebHNlS9RPZW1H4a53wCZd1JGG2Xp82J3XQNf8kXwqjP.GIBNvidGcP7ElEQ6GNYk6Rn2Puql
 36kd0gpD24eBMpcMI2CeJFlAOfzEeodRuD6z20wrhQ1R0dEEE.d2L0NvXbviSf53AcAEYgrNbQqR
 R6Z0V3_ZqunTd4GpXIOVX3pn_BNmGbQpXBfaWARzw6MfxAezI1mSWTClIZzRVOCTrthWJU_v4Uk5
 SmVUZ_z1HASh4VuvYKZFabNInfGKZOnPLhTJaXhp.OwjRKP6TBev_kc_0qrZSDtiBw8nfKUY7iNm
 RQndwJzm1yT0U__igCVnlSGQXDnFuGotljGZaccsytp8D4MQdHyC0X9WtAvD7tTM8WRbFVdi0Uix
 RoYI0krFty4RcugeEtTSLDXLNxpycly0EX1Ixz14_ngkVhhop35P13D2baraqnUEA_dRcIBoZ7MP
 lhTh7LWB7A1gzL2vl8hd4HirzSGLiCFNz7OE6rhxIPGrDxn8t2izToJ0T5afRUP3h_L9rVypHqFl
 o7TKYu7GBFhtamtqYyVJ9jimW1r3Kirw.ibPJsWKU6aKTlSY68UJ9nYV8A2JgnfzrVnOvvf0DXdS
 Pxl_mJhX2DSuHb6uRQH8FGA14rDbS0adYGFfSQFEQpZMLpaF_3k1zS9PQL1.ZLP.DnRzQsivqQKV
 B6losGA5rp5uPMvvAGSIMPJ1yknSUSTiIi0FjQz1_Vh2lLVU3lSri_7_MuSSCJPv7goMZtZkVIpD
 Iwh_zSI29Ba0wY5nh06Q6BaT2LQ2UB0KsnQKdZu3PovPcAAi3uJ73iU6LWTYEj7489.xmfZzOkHe
 40qujSr79892ArX8_jARc9rKbDtuCBlgEWumCQc03J._zu6GMTDkAfSBx06tCHqnrA9mXZfNIIqf
 sUMvrsGuAbANCJFSuTzZgm4MPm.nTMrk.OShoKJYL3BctDt2DdAHhJvDqg0mR_xl.sC83TnGyIhQ
 PE3NwZAIvM4.CsIh2Jlwljr50p8qDKAahQy_FSrUFtOGRyeymIQhf4n21o_dVKxDq8quOqkz.gpg
 CQWIXXjN3tyL8wdJtrDQPzWYd.Ezh8nC.Y.ew1Glf2IvsL4dYnGvtY5rIg6stMxKEj3JtWlkF670
 y4zDgQ6Ivqy3GupV0H0i3oVj7Mq5eMuKudClqzAdsX2d8l_WKsGj8lVPwzUAEXXS32s2fK1RQWPh
 K7wTdet62la1HI0tskua.VXo_PR0DPDxf8MvQ5YN.dY8HtarAgOYN.hNMHa7SeR6Wm4gsaGIiCTm
 4vF6uDaAVHBMcUE7zqfaKONTmxY251dN._9gaEW8GQr9o7sFlMuRWBgQcUljRQA.TuUIFq29y_3W
 4fpf3g66LeukNApXjVBpPBvp9fdTO4DTjO6GMktmqJHqsoFKQHQGWjMo3XPe4UJuDMFyl8A--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic301.consmr.mail.ne1.yahoo.com with HTTP; Fri, 18 Nov 2022 13:25:10 +0000
Received: by hermes--production-sg3-6c8895b545-mnqst (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID d2e46655db7dcee4ea042ec29ae86870; 
 Fri, 18 Nov 2022 13:25:04 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <87pmdkwjj4.fsf@HIDDEN> (Manuel Giraud's message of "Fri,
 18 Nov 2022 13:10:07 +0100")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <874juwebfr.fsf@HIDDEN>
 <87pmdkwjj4.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 21:24:58 +0800
Message-ID: <87k03scs45.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20863
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 400
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Manuel Giraud <manuel@HIDDEN> writes:

> I don't know.  Maybe in some distant future, menu bar will be anywhere
> :-)  It also helps with the previous comment about event position being
> relative to frame because here we are converting in f->menu_bar_window.

If so, then why not stay safe and use the FRAME_TO_WINDOW_PIXEL_ macros
to convert the coordinates to that of the menu bar window?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 13:23:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 08:23:28 2022
Received: from localhost ([127.0.0.1]:35775 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow1L6-0003Jc-5S
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 08:23:28 -0500
Received: from sonic311-23.consmr.mail.ne1.yahoo.com ([66.163.188.204]:43850)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ow1L3-0003JP-K0
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 08:23:27 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668777799; bh=ipD0EvqivhCgOmHlaFJX0M2BesrqFp6TUU0ClFCBKjk=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=hTCctriEb6MX6Q/1Nd2BAXHrW3pvv/HZK4c8li3W8AcvACfOOaft8cRW2q6iQY8PS7UBqjKPwVBIETn6Uzq0WHo20kpeeccijQ4ELZUtFKuK/B82Z3m8bGn1Rm7YVBvDIInnzxJfp3SC0U6sFJXWX/1Pmas/C/eynl5By4KwZrP036A9/jCF7g1Av9inNVxoKmS1JIImp7EScHj5vXJUeljTJHAWKU7ZvUhL4YUpqTrdEl/nF5N+OCuHWAPtoQBHPcV5CAcP0qWjFkZbkaScKouEUU/4WnmAOaKnCtOVwyYHE8ZOfeOGcrzU4kh+fXk6VqvrtRc/gWP03avAPD56EA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668777799; bh=jdQ5f+CbpyYxLsvK4ILHZgxnq/3E5zLBgnO2cshNSs/=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=FzzEsKoKR387TXwdxiT8TO16o7/syaA01R9O9BESFPqAWbE1WRe1QwQEP+ZtZ3dagGC9Yvl2nXIC7h538b3DcTkfHbOk5DsbFElCia/eFYzfojbOAssH5QLLgGoUyy81gDXNwtV3BRdEIHX3qlmWAIszcDLOc8+B/NybQYLDaZoqW7hrS5f43VazGh307huB+uifm6tLvM1JHVj1SOnn0sJ+zY6K/my2YJkU4oEWrBVpDt3cNOJDsLm+SLm9rs/ikkUS166d6s8SjNeAShk7D7pqFgjtQTlBQolB5hjtHpbCCybB4vjn6kYXrfFsYzH6l+t5FDvHPDotz8dq08zhzA==
X-YMail-OSG: vQB39AsVM1lZnWusHP1ZsWT9m980Y8uKjV3.rLC1WbpZmtHaAnBbmNu6wAlAlar
 N31cRXZy0rQsLPzg0TdUh2y1NOnETwnua4j2nZuyW044tDjPWQYtNFf5NNvLppQ8.vLDPMqfMmCz
 icdWGWo.rebQLQIzH3UX2YoQwB3gsozuomkh9GElZxSyA7wuywVUCsd_T7nHotD0UnZ2PqtlyWqt
 BKWvuesOwl97KZM2.TUW3jWXsbru8hA8vFfQOhN08kbf7tyO6adnh1pEaQvCLYcRmAiJscGpOXgC
 CIbVAFNnpAD8_oxpEpnbWtDdwrii_tWoIgNurXD8QvHoBYyjmZJ8wFrBBoSIm38jQt9x92b_A12z
 0R5Lprbn91.a.KOkQDZo1kEEU7xn5Wm3RiF4Tgvjd02maMcXqShl_GsJBtCq0RmyGf1uVKb35EM.
 ZnleH9iyy9r.GDtqLsoxULwRN0i9Q_ljP7Y4oiYoSgT5QZ3ueLpqeJ16lpYnPiimLzvJnaIFlFyM
 7DRtlnx7Pxt4lTUNCPfWltXa_OoCp5d2GG7S_Qrnnl.QoLl1ufhVDW1tETGXXlqa8Jqm6GL80efC
 3dBuW2O9TCs1rsSqNyCsjes5PDAz7jfgTwhX0kU_Am9z0xU8UET7aNAVnCAEK1puV_TemN58DjpY
 1zZOZsN6ozHw.J5xeqcG6T1ayyZKSPWozh7rObUEbdkKkTNy4d3Vu4QXJWllkDj95eQwgtMxAvt5
 SS8a7l6B5rX8rWl7savBTKoNfQ3W4WnLa8LPYl2BsDSK74Gg8zgbuPYmyLTDNk53WUL1h_EZ5M6K
 BNqJyQeOTZ69xoeEBce_mPta8Z13JWpVzJB3EM0DblESwX8iLPHB.kgqIiKaTUoTp.s.2n6dtzdv
 jtDLMzU.OSJK6eY5tjDEi7DHPqBspB1VJhligrw4l1sqSmUPw4WjhudztAElxLvLJuVq2gLpGmpx
 iklMC54Iz.wZE4b3J03w4OU3vlabdNhOanWKZJlPKurTP4JnMryvvIhOjaN.KlVGLDrlj7qt4LwC
 xnrKRcl_eiOgMAWpEo81IKbp2SGB9KVV_Hytksm4qIkD05w2NCHK8nkJGab720JjsuoAC3.VlULA
 eZ4GcQTzUSDeRccpWdv6USjGRBhBEWtoG6Y0eVJlx.o_V5Pnoox4iG3wCv54h3Gr.zQ.Fdj6ZBd1
 EdqJBn.97bLmDT8Y1_i70v0R_evwZrvwi_6o9U8atKqjohfBi1hHjLMwMmDI.Aj2mdpXM0q9Ak8b
 VA1omDC5n_6fF5B9zvi6DfCNOr0.jJ16Ln_h05FTZKqjMRnTppYfP0Z8T2SbJJPs05NyuNeZKlF3
 .whxAJxKEuqNOorFxFFzWWWfx2oQL5ybK9OgECBXuiBvnkKyGHc7QVpOtNKSTYaH.MACSBpFhS_x
 LV4Aonefl_NZZLxHnJr0aBc0xc8FpXpe_7vj981VuWsPifkeFTUUUSQeNQh0K90CayhSeCwdtSQR
 sgyQ7W1VdQTMIvdXyLqVpIwa8gNcCEKt3W4SOO8Q2ZOIx9zunqE7OdUFg16prx4S2ZdMilgUhbFA
 57_IB440PNVgAHg1izc1KXpduH2yY6TzFj6HopS5nyHuDGzRNuk2bhwVPP3WOn5yolMOgN6ZdoS3
 8DyeLLb_WXKhbqXwttT5GDL_ZDUA_L_D6_pqYSYAgYGAZx.fOnPT8rsNKlf8FG8d_XkrkoACuXvb
 J8nMYE7NZgJVJdrVDG9wYkuySntMs8aFyJe8GMzErK5iReLzPHRxO7Dy7Ng0AYNV39Ql5dprrhmr
 .FijxvlcStJtzwMvC0qN3FjkxdwdMIXgjYNQ7kP.KksVXAMh0iXK0IOEqIFv207divx9vcH7cbvy
 8yFuvnOhpNasuuSHPKUKh5rQgejTHf1tTlGS0.eNNM7bEUN6ts8IgMD47nD4wbIGnoyIrwfd9.Iw
 jtkcqLEeL7X21LXLyu5R5gZH5kTBsD9bmxsXSnscUC1z_BDla.pobbSMzYzDEryQKMBm_.dJP6Jx
 F0H88UhxX4HZ9F7l_vTlbM9zLX426NKoX1TwttudlTLIVKYe3WOkfY6m7LqvTNEcGqKf83PdM807
 J_pUDZiJfBbtRyiWfuxVmUZCzbbN8ztX12iWKY531S_lID02nHvnqSX_Lvj_G9P1UYdpzyZP87k.
 M4BCaXbfkNQvFee6Sfrfz9H19sbu_sTcGlo6R5idd5iVHuAbR_kw26oWwr.6i8rqQregg50Rjs4w
 3GyQSljaP1t3txfnasX6Q.ozgLNMeHakCsvHBqcu9hTnrkhoJ1.BmPuFTfYwciTsGT0rVDWo-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.ne1.yahoo.com with HTTP; Fri, 18 Nov 2022 13:23:19 +0000
Received: by hermes--production-sg3-6c8895b545-phbzr (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID a89b456252f4edde66870d4905608b4f; 
 Fri, 18 Nov 2022 13:23:14 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <838rk8bf36.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 18 Nov
 2022 14:51:41 +0200")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87h6ywwj9e.fsf@HIDDEN> <83edu0bg4w.fsf@HIDDEN>
 <87cz9kwi2y.fsf@HIDDEN> <838rk8bf36.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 21:23:09 +0800
Message-ID: <87r0y0cs76.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20863
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1213
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: 59351 <at> debbugs.gnu.org, Manuel Giraud <manuel@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Manuel Giraud <manuel@HIDDEN>
>> Cc: luangruo@HIDDEN,  59351 <at> debbugs.gnu.org
>> Date: Fri, 18 Nov 2022 13:41:25 +0100
>> 
>> Eli Zaretskii <eliz@HIDDEN> writes:
>> 
>> [...]
>> 
>> > When you click on the menu bar, Emacs drops down a menu, right?  For
>> > example, if you click on "File", you will see a menu with items like
>> > "Visit New File...", "Open File..." etc.  After that, if you click in
>> > the dropped-down menu, is the code you suggest to modify involved, and
>> > if so, does the conversion from X/Y to COL/ROW still work?
>> 
>> Po could correct me but I do not think that this code is involved here.
>> I think that when *into* the menu most things are done by the oldXmenu
>> library.
>
> Possibly.  It's been a while since I looked at that code and debugged
> it.

Please see my other reply.  The pseudo-window is changed when a menu bar
is activated on a TTY with a mouse, but not under X, where the XMenu
library is used to display the menu.  Since the proposed code only makes
a difference on terminals with variable-width fonts, my suggestion is to
use it only on X terminals, whilst letting the TTY menu bar operate as
before.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 13:21:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 08:21:14 2022
Received: from localhost ([127.0.0.1]:35764 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow1Iu-0003Fg-L7
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 08:21:13 -0500
Received: from sonic303-21.consmr.mail.ne1.yahoo.com ([66.163.188.147]:33236)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ow1Ip-0003F6-Ic
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 08:21:11 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668777661; bh=6lhrV3BfodICZXBeLfaFB8MsUDIT5SNlVsMwri5Vhwk=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=IKIg7qHes86L3I7bQLsCJM2Djh7IyFdajPV28jt349VpPnX3z4ZhYSLbbExaKrS1MR409JWDtBcIG/4QAuD1l1ZBrr2wCKG+vHKg/4abR7244psCXS8FVXp1Sa3lfHbjYhydF1kPS2cxSubNU2k4c6LtJaWuhnf0883k2w3+ER58AkCuWzKdRYVukY4h/2ZnF/WJ5Ahvvy5NZCyRD7dx/advjJRkR5VCXq7cI/Qzx2S4ppvmnHNK+d3M/2W9RkRfmWFIf8HXuWmaHIBU5TbVNxhJvlELcMyry/k8YTJmNgZZGrOEtjrBfpmAZC5VhaQUrWhXaEwnYoONweN5pZvFtA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668777661; bh=tt3MchZ61yZMguUC4w0+3pPMLAqAnNPwUA2ujMcOJkJ=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=Pftp0Bw1QFATjRVH9CHUnDqsFpXSa+LQdBaLacwbn15mR4dlk19GAZperzb6BHymsQi3lhe0zrbHKVMA/mOXczUmRRD/F8ltohd2wE/2OpqglmXnPG/e84rlPrxjRVZwYHxiqFqBCOFXLIoLXcQZbcS9/4a0lwTrjfVcUNgiMtMfNjxt2PAnFSh3ER6okrCtsn+yrHF2d1ufzCoksE48xQCcjo5041q2VorgcIAHI5MZbhexl89npsDf826cHk/8LjmbSkzl6S0AOIvFi0HvNPKdosP+On4QMGOihwEq7QdhbA/mTNJkIKQ4fiJn/NtbJu6MYuvFthdqiNowqb3wRw==
X-YMail-OSG: 8RfIWGoVM1n_uA3AbjFF9hAVuUz6iOTNiw9RmlbK7tDKoHR.jZgI.zXM6H_fZEF
 iEqZGwsv4Hxf2z0UKGzI_d5M9UyonXZNMm9w1sh4laYveVrfcDsaUkwkucbBVreBtyJLcbLwW0Wt
 CMaoU1.kSChnK06F98bAP27wj4UoMR_lQP1KgLW89Y6JSl2tOhdWspVQT.olRNQKyxnduVBLxSQH
 Bo.At3qYLHGeViK5hiQ7EuKlNwUsQuEvim1yqfnXwn.RONuYaaVP1U9PyCeC._QVYNreU5BlGGXT
 PI_zWpxwuoonYiJmQ_MPCT.etq7ozBbQGzU7Kx62Qz8Mo5CmPkppEEN8ukgbHn.k4T77cMXbtSuw
 uSxLJRVwGtrOFXdhgWxQcSQV3P4_Lrs0vlDjlJX8rxgEFCFV.lLRdwpZjfzgqMwZ8KwDqAkVpZ5u
 2lt3Cy42trYnIjGPwSBrcY_K5FEGPCFbDdfjs5ieyUi5IGUVmf3wBDgyxNg4gl5lQsMr_JeenlUM
 6F2v02e6BFPLFRorbTvmTtvR7avZ7zVp7s2mH_0hx7w7i1PCzvx6MUPGR9281FBJDNsUSXcV.xyo
 vr7O34vAtNDY9BamMdGmT_LemTgjJ.P3Qv9vd2K5Mna5pc4h.r4S_5i..kQbyun4U_g.eyOpZUr.
 CJUYDZZzKczq_uLkKiSR9XflrEDUo3oa9_C5XTeOKY1P5uK61E8MHxSF_imU330OXdN2V.qGjvZU
 xE.kSBtALXPOD02w0GDMkdmU_Fn4p967JGZh754hw9BhEYlLkmA5rpq78orRyGtFwZ9nSa5B54tN
 1yLNDFTHX0cCwIEx8v.9ymgjcDVDAWzVxsq3A16KtUvdKKaOXr3mP.N.qmrTHSXCVWwJ74uaXl6_
 gPEPw8ZruvlKB6oIS2FGUAkmWivNniolRmBteWZ1swV2d62FSux1pu1Rcw4Vr2UBAvyd5_ortWeD
 3muzfCuJarxe0WpyGP6.1UMN01g4bopfX.UwfkXE.YTiGJVUq1A8h5GETeFz6ARsGt3Ev2zoXl_C
 A.ptSFxk.nP8xd5C91ngiYufN4awR3mZ1cacClPdUEbDGm2G532IrEQBQgLnErqlclJhWJfIflW3
 toCV8qyuffjKoSReOJORNPb6mfwLa3.LqRvaPrA353m06hqkD41eWPv37vUa6hFRJPAm.k84CFHp
 84pBzKAkG45MsPY5POoflvslHnk0IIBa71nAQNtvhle9rml2AKsydoRDi2Pqd0e_OmroV1hawvZ.
 RJK5zlPsYr76iLSZp.YrlVXeKDwBOQSMw9LLcOOpg4WFG7F8oYvCFbbNlLfaNOiKPJHIqeT4kHKB
 ahVh9hrgKYLQVIG2Lra.BeZIIF55g1jUbfDy7WTqP8d6opFwJLumEF9C7GGLlcy.M6v8i3Sqp3ya
 A56Dfh8o1GKrzYtY0.XHL40pH_WqrkBQws9655cM5Sj3eQ6YXy3M0GPC86CmwM1RAD602rU4G2ud
 eQithT2ocF_SuUA2F6c1UZFjPdZQNSOQ26Bd_5WmKMSKWAlP180fWsrieKAAedpeuIp8n5UtEDDb
 bEIqsV.UHbweCi7JYgBymVxOEKnxPzv0QhFBPTjHcCgUzkbV8J3dAvD_0bttQBcXteQIoFf9z_2u
 ODlTDfpYlChGh.eMYRa9QMUcu8x_nn5VQfwPFnmaeCcpdb7o.7gjOaMBx2MUmjG5XGplZ06R9W7l
 m8ezhhasHnh0nzbyqFdVlBZ47vVCOGlow4k3IjFRqY1klI7_rMLmlCbN7BwSuPEgBtgO05re77UO
 Tfd8A7oUsv.l0TejV55JFJeFUtTNC.As0BgdIyaNPeQQA6bMfSCQ1.BBgRHiRlVvToRODWD2Dz1g
 0ps.W3ZWPM8SRrr0sHhK82IN2PDNSDjtkJjdSO4Oc6.SWQpBKYpDdcwMwJNjbuqiwDifSd11e2Ti
 ka77O17OBVYHc1AbbOPHNXwmIL.DEkqagxh3.sRhluZtWfXWaY6HZFB2GR6sZQyVHgEqOLKmTjdz
 o4k.GrJtIkLwdwrNgXSsHXvX3NIxkiGVNiFDh_pqK3l.WcJSz18IBnWo.GjeYZVHyXPaCCwJtUPb
 RtvNHSbMCUFva4aoSaT8Rz2vwd4ItXbfgSgrGa5auIY83NNuGgwr3a6VrQg5OjRAJIK.D_8O.Hlc
 ap_6XD.tIHl7eyBzSFpMEyAs1xlYt7s_XVLL.EcgTRUZ5aWf32q3K4Hm5UZDiV88LKU4Fktl9VTY
 GZqXT1hshl94lo70d1FYMjIIIaM4JXU.Nj92jc0z3eh3PTFDuzsQ5PZZgO_yOWYvr1nt0
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic303.consmr.mail.ne1.yahoo.com with HTTP; Fri, 18 Nov 2022 13:21:01 +0000
Received: by hermes--production-sg3-6c8895b545-mvhb5 (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID ef93b9baf06cd0e8d6dbdd6804fcc0df; 
 Fri, 18 Nov 2022 13:20:54 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <83edu0bg4w.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 18 Nov
 2022 14:29:03 +0200")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87h6ywwj9e.fsf@HIDDEN> <83edu0bg4w.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 21:20:48 +0800
Message-ID: <87v8nccsb3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20863
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 625
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: 59351 <at> debbugs.gnu.org, Manuel Giraud <manuel@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> When you click on the menu bar, Emacs drops down a menu, right?  For
> example, if you click on "File", you will see a menu with items like
> "Visit New File...", "Open File..." etc.  After that, if you click in
> the dropped-down menu, is the code you suggest to modify involved, and
> if so, does the conversion from X/Y to COL/ROW still work?

Right, that is a problem.  I tried and saw the menu selection stop
working at all.

My suggestion is to use the new code only under X, which is the only
place where that piece of keyboard.c is used and variable-width fonts
are supported.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 13:20:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 08:20:20 2022
Received: from localhost ([127.0.0.1]:35759 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow1I4-0003Dp-68
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 08:20:20 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:11253)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1ow1I1-0003Dh-SL
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 08:20:19 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=Iz28RUJClZ7wvQ6d
 aXoYpqY50FQ450aj3sl+7+k+Rxg=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=v6AZHlsrNP9hgzFFR8FV5K0vns5PWOwpAULzIX
 E/wC0jr6+Uz7DlaNj9f9SatmAcG80hnIJOakAi7C5vHV1tSfYJnaMP/jrrrvYlL8EMJBrp
 2vR2m4S/LY2MDyBtguTRvKo4I5KvCvlSXcSKsYpcpbn6uKVp9Q7HA8HJj+cVdPeJkC8FK1
 1MQoBq9H0yL4UsW6RNJiopEgpwPDCOx1IK2gPUuT8J7cwESu8fFf2kE+D0bwkBbo1a38+H
 xhrISFB5DqBR66dsVqlAS0ILh8ABCdiMtmlUpu4oLbqYUXsks5M4smBTiAHAvGwUf4Yif8
 19k2Hv5WG8tKIUsAOBqP7tDw==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 0a01f019
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Fri, 18 Nov 2022 14:20:16 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <83o7t4bhk4.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 18 Nov
 2022 13:58:19 +0200")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 14:20:15 +0100
Message-ID: <87zgcov1ps.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Eli Zaretskii <eliz@HIDDEN> writes:

[...]

> Did you test the results on a TTY frame that has a mouse?

It doesn't even compile --without-x.  So here is a new version of this
patch.  I even remove the comment as suggested by Po.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Fix-click-position-to-menu-bar-entry-with-no-toolkit.patch

From 225d6eb5cf17587619850ee2143e1e59a1c9fa4e Mon Sep 17 00:00:00 2001
From: Manuel Giraud <manuel@HIDDEN>
Date: Fri, 18 Nov 2022 09:24:55 +0100
Subject: [PATCH] Fix click position to menu bar entry with no-toolkit

* src/keyboard.c (make_lispy_event): Use x_y_to_hpos_vpos to
compute correct menu bar position should the menu face change.
* src/xdisp.c (x_y_to_hpos_vpos): Not static anymore.
* src/dispextern.h: Export x_y_to_hpos_vpos.
---
 src/dispextern.h | 3 ++-
 src/keyboard.c   | 9 +++++++++
 src/xdisp.c      | 2 +-
 3 files changed, 12 insertions(+), 2 deletions(-)

diff --git a/src/dispextern.h b/src/dispextern.h
index 2f5f4335fe..2afbdeabaa 100644
--- a/src/dispextern.h
+++ b/src/dispextern.h
@@ -3495,7 +3495,8 @@ #define TTY_CAP_STRIKE_THROUGH	0x20
 extern void tty_draw_row_with_mouse_face (struct window *, struct glyph_row *,
 					  int, int, enum draw_glyphs_face);
 extern void display_tty_menu_item (const char *, int, int, int, int, bool);
-
+extern struct glyph *x_y_to_hpos_vpos (struct window *, int, int, int *, int *,
+				       int *, int *, int *);
 /* Flags passed to try_window.  */
 #define TRY_WINDOW_CHECK_MARGINS	(1 << 0)
 #define TRY_WINDOW_IGNORE_FONTS_CHANGE	(1 << 1)
diff --git a/src/keyboard.c b/src/keyboard.c
index 069cf0627b..716ee973a2 100644
--- a/src/keyboard.c
+++ b/src/keyboard.c
@@ -5974,8 +5974,17 @@ make_lispy_event (struct input_event *event)
 	       in a menu (non-toolkit version).  */
 	    if (!toolkit_menubar_in_use (f))
 	      {
+#if defined HAVE_WINDOW_SYSTEM
+		int dummy;
+
+		x_y_to_hpos_vpos (XWINDOW (f->menu_bar_window),
+				  XFIXNUM (event->x), XFIXNUM (event->y),
+				  &column, &row,
+				  NULL, NULL, &dummy);
+#else
 		pixel_to_glyph_coords (f, XFIXNUM (event->x), XFIXNUM (event->y),
 				       &column, &row, NULL, 1);
+#endif
 
 		/* In the non-toolkit version, clicks on the menu bar
 		   are ordinary button events in the event buffer.
diff --git a/src/xdisp.c b/src/xdisp.c
index f6a279636a..0c073c0fb5 100644
--- a/src/xdisp.c
+++ b/src/xdisp.c
@@ -2330,7 +2330,7 @@ pixel_to_glyph_coords (struct frame *f, int pix_x, int pix_y, int *x, int *y,
    text, or we can't tell because W's current matrix is not up to
    date.  */
 
-static struct glyph *
+struct glyph *
 x_y_to_hpos_vpos (struct window *w, int x, int y, int *hpos, int *vpos,
 		  int *dx, int *dy, int *area)
 {
-- 
2.38.1


--=-=-=
Content-Type: text/plain

-- 
Manuel Giraud

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 13:19:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 08:19:24 2022
Received: from localhost ([127.0.0.1]:35755 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow1H9-0003C8-RB
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 08:19:24 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60144)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ow1H7-0003Bu-Vf
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 08:19:22 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow1H2-0007dK-Mn; Fri, 18 Nov 2022 08:19:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=Tl2T5EZJWN4dWVfOQuh1JOBo+00hQhIQ6dQBGfwXHvI=; b=B//w70iz3oFT
 92oVfCUB0q+esqJK5lFEfH+0WVW5bG+FmCoDLzhrT35CpFREic2gwJsS6x8gW3t14YkKBV2m18AIF
 0KrLIfV5TZ/KaX3M9ak++QLWzvSbIeJXDYU9ceUPhr5Bh+YMKdHvwvqcsW8UF9FhL/TjL+q+VmxA5
 vC+B+A27ZJIBOMMwkLEyyjx5wnGP9gPeiff+MKdNmhGx9ltu9rrygxF8rgLnLmw6q6B1EpKs3V3Ze
 3tKgWc8Eqwmmk3Ov3fwJOI/4g4ab9iZ3fTNZnigzMUWma9U7Hn3ryQVQlXr60MJOv+Z6q8oBk3yn+
 N6JZSNGcvw5RzTOLpClO1A==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow1H1-00049N-T6; Fri, 18 Nov 2022 08:19:16 -0500
Date: Fri, 18 Nov 2022 15:19:18 +0200
Message-Id: <837czsbdt5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
In-Reply-To: <87pmdkwjj4.fsf@HIDDEN> (message from Manuel Giraud on Fri, 
 18 Nov 2022 13:10:07 +0100)
Subject: Re: bug#59351: 29.0.50;
 [PATCH] Fix mouse click position to menu bar entry
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <874juwebfr.fsf@HIDDEN>
 <87pmdkwjj4.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 59351 <at> debbugs.gnu.org
> From: Manuel Giraud <manuel@HIDDEN>
> Date: Fri, 18 Nov 2022 13:10:07 +0100
> 
> Po Lu <luangruo@HIDDEN> writes:
> 
> >> +		/* I guess this works because the menu bar is always
> >> +		   at position (0, 0) in a frame.  Should this changed
> >> +		   and we need a way to calculate the correct position
> >> +		   into the menu bar from the position of the event in
> >> +		   the frame.  */
> >
> > I think this comment is unnecessary.  Where else would a menu bar be?
> 
> I don't know.  Maybe in some distant future, menu bar will be anywhere
> :-)  It also helps with the previous comment about event position being
> relative to frame because here we are converting in f->menu_bar_window.

Why not use FRAME_TO_WINDOW_PIXEL_X and FRAME_TO_WINDOW_PIXEL_Y, and
make sure this will _always_ work?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 13:16:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 08:16:38 2022
Received: from localhost ([127.0.0.1]:35723 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow1EU-00036Q-6t
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 08:16:38 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:29342)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1ow1ES-00036H-AO
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 08:16:37 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=Dr2Wg7cTe9vwMl8L
 MuyhxXLPxETtEx/LKe9Jim0oUuQ=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=05xrCuH3ulidaK3q9q7qSyTnbS6Ra22bFGTGZV
 nHZsoDkIROE5nm8OyFaHIkPQE4uHROXUSeow+RlaGXhL0HzfnTleviIwVDGkwCsblB44eQ
 M4SyK/EhL1BrMTK8Xz7nN0nw0gNfBc7g5PXwVNnRLx1LjB97Zw5TQAEO2HverkAelIFtKz
 nHLvErFmJOGHo4KJ4tSKnno1zY/qc/pZx2zqpBkL8dCy491RMMArkvRa1vrQ8mZJDuQ9oQ
 CmPPb5NguJxkmN1Fwj5yiwsyM76MG9P+wUBpDB/EnBxwzgY5IqXBWyk1gQ8sneVI47wNvP
 WZiAXrdCekWaRPa0lHNjYIcg==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 544cbc7b
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Fri, 18 Nov 2022 14:16:35 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <83fsegbg94.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 18 Nov
 2022 14:26:31 +0200")
References: <87tu2wlku7.fsf@HIDDEN> <83r0y0biad.fsf@HIDDEN>
 <87leo8wjee.fsf@HIDDEN> <83fsegbg94.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 14:16:34 +0100
Message-ID: <874juwwggd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

[...]

> display_menu_bar is supposed to update the metrics of the menu-bar
> line, see the call to compute_line_metrics at its end.  Why doesn't it
> happen?

Yes but it seems that this updating does not take place when the menu
face is changed (not the whole frame face, though: this does work).  And
the menu face, when changed, is displayed correctly, but the height of
the window is not modified accordingly.
-- 
Manuel Giraud




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 13:12:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 08:12:23 2022
Received: from localhost ([127.0.0.1]:35693 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow1AN-0000kQ-2p
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 08:12:23 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:31156)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1ow1AL-0000kH-CI
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 08:12:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=cIexcjdcxiIWvj7s
 byNSzFobYvTLASKRNJ390pHMgUw=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=RMrfb5APge48dtwTwKa6zQIL6QJLqaL2Nv70b+
 QaSmXS/FYi0pZ6jmyp19AiH+JqKNulEAQWLyz5glcuTXcapG7xbAxo8eAQO2JTGSEXUmVz
 RjH5AneE0JnXEAT1loWuiRGFgjrAG6yDbaO+KGLg5c7e/uZiSyNAFthiJ8NP/XcsZjwKYU
 e4mydVs+p/GAUxoZuX+IbEO1qMW3/ecJq95OEz6caENef+4djKmpB8ixIjNnlXCDiFAKQ5
 dzZkDRnRe631pYiiqnG/xKIBn1+bFTKoh3ScmGtlfFWX3SrZMTI3l1GZ5JgTP8HSDOEbgJ
 dGWJR9rE1vG6ZxAqDNY2Vjkg==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 68f21d7b
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Fri, 18 Nov 2022 14:12:19 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <838rk8bf36.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 18 Nov
 2022 14:51:41 +0200")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87h6ywwj9e.fsf@HIDDEN> <83edu0bg4w.fsf@HIDDEN>
 <87cz9kwi2y.fsf@HIDDEN> <838rk8bf36.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 14:12:18 +0100
Message-ID: <878rk8wgnh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Possibly.  It's been a while since I looked at that code and debugged
> it.

Yes, I might be reviving old stuff.  But I find it useful anyway.
-- 
Manuel Giraud




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 12:51:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 07:51:46 2022
Received: from localhost ([127.0.0.1]:35661 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow0qQ-0000Ea-LW
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:51:46 -0500
Received: from eggs.gnu.org ([209.51.188.92]:37584)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ow0qO-0000EO-HE
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:51:45 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow0qI-0001se-2I; Fri, 18 Nov 2022 07:51:38 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=iOxaAxeZ5SX0oOuw7TpFujU2v6ue6e4L88D7A8X62vM=; b=XweJTerF9z/G
 tQQy8uWtFFx7piLdcRiGHCYPGnRYugMEGLO1O4L4I2UMkpoo8/fJhegK5acVSIr+P8zvLTNh0lZw5
 5Y+UHjf6GDuVtySiYC6Sg8gEG5JFaHlHQvtdrK2IQfmmHs1fd1DrvMD3CFtoDZvg1hwCAd4WAde//
 WIU0spuCWuogj0srnlxxxdt3Bmi9KEC2IJ8WQ5IMocVIXKytz0Sfb+T5FQKMeMIdiXRLb6SEeMld/
 WfXf0hlN0QdDz6qzOvEFXo84eRPNA4U9NlRtVN1M/JCLpO87l6+YrVfNToF904Z5HXhi/oiTqjwwr
 ZtIGwz1SMOLy4SyJVFIGXg==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow0qH-0001gW-FX; Fri, 18 Nov 2022 07:51:37 -0500
Date: Fri, 18 Nov 2022 14:51:41 +0200
Message-Id: <838rk8bf36.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
In-Reply-To: <87cz9kwi2y.fsf@HIDDEN> (message from Manuel Giraud on Fri, 
 18 Nov 2022 13:41:25 +0100)
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87h6ywwj9e.fsf@HIDDEN> <83edu0bg4w.fsf@HIDDEN>
 <87cz9kwi2y.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Manuel Giraud <manuel@HIDDEN>
> Cc: luangruo@HIDDEN,  59351 <at> debbugs.gnu.org
> Date: Fri, 18 Nov 2022 13:41:25 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> [...]
> 
> > When you click on the menu bar, Emacs drops down a menu, right?  For
> > example, if you click on "File", you will see a menu with items like
> > "Visit New File...", "Open File..." etc.  After that, if you click in
> > the dropped-down menu, is the code you suggest to modify involved, and
> > if so, does the conversion from X/Y to COL/ROW still work?
> 
> Po could correct me but I do not think that this code is involved here.
> I think that when *into* the menu most things are done by the oldXmenu
> library.

Possibly.  It's been a while since I looked at that code and debugged
it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 12:41:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 07:41:32 2022
Received: from localhost ([127.0.0.1]:35644 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow0gW-0008OC-78
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:41:32 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:14597)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1ow0gS-0008Np-7n
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:41:29 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=AFDmDjbxCY9TLsZs
 7BupciE0Z+P4P4s2Tq2siHbgBe0=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=oYMPbU+TK1lPrwkmn5Ryn/XgVNapKhC099MAOZ
 nMlGYxSj6aFi2w/ezV8MSMODCObHajGj6aO1Y7Y/GB2E6Lv4Vs2u3/D4KIXlLIlF7IAbGp
 5jcXndIJePDqRQgbHWNXh/aaPz6Ap2jZ27PRamLERWRtcP6uxc8pxJJ4DR8hFXlt4CCi25
 Mpizm9UU7UxND2m2fTgMMToR3jdAS+tsaS8t5nOxYl/w5TfFRE9VA2r78ASmZKqVhIT8VI
 m6GpGbuodgYWyERHPHIC/TZ5TnXV+lNFHcMw7HMsMc85W3562P82+Us2Uje0RzFPUL0Ti9
 6qrgBSK3u6olq126WCGWC4Bg==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id feab4135
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Fri, 18 Nov 2022 13:41:26 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <83edu0bg4w.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 18 Nov
 2022 14:29:03 +0200")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87h6ywwj9e.fsf@HIDDEN> <83edu0bg4w.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 13:41:25 +0100
Message-ID: <87cz9kwi2y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

[...]

> When you click on the menu bar, Emacs drops down a menu, right?  For
> example, if you click on "File", you will see a menu with items like
> "Visit New File...", "Open File..." etc.  After that, if you click in
> the dropped-down menu, is the code you suggest to modify involved, and
> if so, does the conversion from X/Y to COL/ROW still work?

Po could correct me but I do not think that this code is involved here.
I think that when *into* the menu most things are done by the oldXmenu
library.
-- 
Manuel Giraud




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 12:29:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 07:29:08 2022
Received: from localhost ([127.0.0.1]:35612 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow0UW-0005qe-09
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:29:08 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36636)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ow0UU-0005qB-5C
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:29:06 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow0UO-0005z1-JF; Fri, 18 Nov 2022 07:29:00 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=+Fr8b1Fe+nH78dqQFGVuVxAAGm91e3vfUh0Myt3I0QY=; b=Nk0AhAwCKHmm
 fSKNyvzLZIq9v6hyL/DBVxZDpcYl+pA11G5EKGlmV/E8F2z0usZ0eQH/gLAJ0+0Q7z1VXjhmNdLs4
 h7X2vloNJxRiWC3nEMuzcjRzxz5bkbiYoDvHw6O8rMYIn3kzk765LGD1OGuB6ozt+1sCw/QSIYKIq
 Ob5WWYUnw/kTUGJ8lRpod4XTDVrRm75rSCyosmktzImrf0PGBiJtFRjNDCYJd38pAsg7zGUUQZYRt
 vbGkLRxPowC2Dvx9YWY9h1Hop4cVBiNQ5LtPY1O7HOcdWMkus7cxi/I8au/OriZHMwYCFKjL+SblF
 B/8+zvLlSqSrlnk8NLQ4Tg==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow0UN-0001Qb-NY; Fri, 18 Nov 2022 07:29:00 -0500
Date: Fri, 18 Nov 2022 14:29:03 +0200
Message-Id: <83edu0bg4w.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
In-Reply-To: <87h6ywwj9e.fsf@HIDDEN> (message from Manuel Giraud on Fri, 
 18 Nov 2022 13:15:57 +0100)
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
 <87h6ywwj9e.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Manuel Giraud <manuel@HIDDEN>
> Cc: luangruo@HIDDEN,  59351 <at> debbugs.gnu.org
> Date: Fri, 18 Nov 2022 13:15:57 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Also, does this work after the user clicks the menu bar and Emacs
> > drops down a menu for the menu item on which the user clicked?  I
> > don't remember what happens to the pseudo-window geometry when that
> > happens.
> 
> I do not understand your question.

When you click on the menu bar, Emacs drops down a menu, right?  For
example, if you click on "File", you will see a menu with items like
"Visit New File...", "Open File..." etc.  After that, if you click in
the dropped-down menu, is the code you suggest to modify involved, and
if so, does the conversion from X/Y to COL/ROW still work?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 12:26:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 07:26:45 2022
Received: from localhost ([127.0.0.1]:35587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow0SD-0005lv-39
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:26:45 -0500
Received: from eggs.gnu.org ([209.51.188.92]:34568)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ow0SC-0005li-3R
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:26:44 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow0S4-0005YH-0u; Fri, 18 Nov 2022 07:26:38 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=ISB/Cp6BYx+QhLa87IEwTY+rmpx1ATyMTVWV8lXC50w=; b=QWYIVX1GDs9upugdO4yr
 mGdzO4NJOovNBxKfTNZc+KgG4qP2ecMKkg6hE8IVMsMVUAHQUFDJHMe5LHc7VWlEUah6MVcmYRku7
 Hbhas3uHMiXiJi4dZcopz6qpOVAKMzdfctMkhiaM40yiiVTPKhuyaWzHxtNwcfYRYMtBaH8bLlz71
 wKLKAchhjDcHPr06xhwnwPiDEGqn7M4XYmX1BX3w7qpgLuJR397FHlVAnGxoraRdmwHf9tyzUPmz6
 RuN/0AbdcKyaGn2S1vi06ntBYqn3s4BDOfWNzCSu4d0fnGIQcM8wNfuyWxicnzlTfhl46q9/Sjd7l
 McGuvUz7+7ZTQw==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow0Rv-0008DM-Iq; Fri, 18 Nov 2022 07:26:29 -0500
Date: Fri, 18 Nov 2022 14:26:31 +0200
Message-Id: <83fsegbg94.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
In-Reply-To: <87leo8wjee.fsf@HIDDEN> (message from Manuel Giraud on Fri, 
 18 Nov 2022 13:12:57 +0100)
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
References: <87tu2wlku7.fsf@HIDDEN> <83r0y0biad.fsf@HIDDEN>
 <87leo8wjee.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59351
Cc: 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Manuel Giraud <manuel@HIDDEN>
> Cc: 59351 <at> debbugs.gnu.org
> Date: Fri, 18 Nov 2022 13:12:57 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> From: Manuel Giraud <manuel@HIDDEN>
> >> Date: Fri, 18 Nov 2022 09:37:20 +0100
> >> 
> >> What is not in this patch: The height of the menu bar is not
> >> recalculated correctly.
> >
> > Why not?  And why did you not include that in the patch?
> 
> It is not that I don't want to… but I have not yet found how to do it.
> As you know, Emacs display code is hard to understand.

display_menu_bar is supposed to update the metrics of the menu-bar
line, see the call to compute_line_metrics at its end.  Why doesn't it
happen?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 12:16:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 07:16:02 2022
Received: from localhost ([127.0.0.1]:35565 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow0Hq-0005Va-7y
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:16:02 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:40695)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1ow0Hn-0005VC-R8
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:16:00 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=aAEPmmYAsfwHZs9t
 XSW+wtDybd5UEcGjoSmrF02OoGE=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=WX0dtcXRmDrCsAixLEaYbpzHmCUHuJokE5Fvmd
 S/e0jYeRm3bdtZl+EsP8VhbtN01zUG1c5UzBmkaeDNm8Uy93ayAuw3w123ZBfMyzz01zK4
 0Wp/TgXcgBN7Sw0CfZt9LwtUP6tWJZo5BgqnNpcZnSU7h/Aa3lBVO2+jmpihjpHMssG2YL
 jPdAbQ4KqfeftiPKPEnhTNi6/JflK/RA/9n604cXdwmzBHwyHA62cWDLZmIkkLzT4tS2aY
 J4BNCkp7SfYS5ikS5lWxNsX0OLc709oy6z8ofBnwWQDM+bJtXIUD7kDt8IgYj4UkssweaN
 qzOTqQxGXWFeLSb067rLyEkQ==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 0090c362
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Fri, 18 Nov 2022 13:15:58 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <83o7t4bhk4.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 18 Nov
 2022 13:58:19 +0200")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <83o7t4bhk4.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 13:15:57 +0100
Message-ID: <87h6ywwj9e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

[...]

> Did you test the results on a TTY frame that has a mouse?

Yes, I should check that.

> Also, does this work after the user clicks the menu bar and Emacs
> drops down a menu for the menu item on which the user clicked?  I
> don't remember what happens to the pseudo-window geometry when that
> happens.

I do not understand your question.
-- 
Manuel Giraud




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 12:13:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 07:13:02 2022
Received: from localhost ([127.0.0.1]:35559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow0Ev-0003D5-Ng
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:13:01 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:22989)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1ow0Eu-0003Cx-3v
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:13:00 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=BAwXAJ79v5yY5zJ1
 zcoOZuZMTVzm2GjfeF4jpRB2HOk=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=aLWlerh6v6F0O7QxPYhreVjwtvVd/UPA2HU5wk
 clUvYT4SYqtLpn+7mr6iNYmjbIB+V8fnXrDWcFt43QYBZrcgDngyBsFMZ2V7UiOWw1hYQ3
 lsT/oxSKhj9qrLlTmzU7BG5464H5S59fdtl7Oqj1XQ0nTnZgRq7sFhOOeEId21aQDHePdc
 N+27n+ZtgWxgZbyBU7Qfm/hxXVOLbaRmRHUuYkdwRFIZKaVM2kM0RQLBkj2mbkaZp3Ug+s
 0enqTM3ZZNf63aCL5lMcaLsgCA8XNxVpVuDPyDE7Ap4vHcy6RliG8py1CTZokH3MdADeVs
 XJlYYefq/sJREvKZXZAk9Bgw==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id cf36c39b
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Fri, 18 Nov 2022 13:12:59 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <83r0y0biad.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 18 Nov
 2022 13:42:34 +0200")
References: <87tu2wlku7.fsf@HIDDEN> <83r0y0biad.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 13:12:57 +0100
Message-ID: <87leo8wjee.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Manuel Giraud <manuel@HIDDEN>
>> Date: Fri, 18 Nov 2022 09:37:20 +0100
>>=20
>> What is not in this patch: The height of the menu bar is not
>> recalculated correctly.
>
> Why not?  And why did you not include that in the patch?

It is not that I don't want to=E2=80=A6 but I have not yet found how to do =
it.
As you know, Emacs display code is hard to understand.
--=20
Manuel Giraud




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 12:10:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 07:10:15 2022
Received: from localhost ([127.0.0.1]:35551 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow0CE-000382-OV
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:10:15 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:41327)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1ow0CC-00037o-2i
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:10:13 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=/1zVP5UjxQ+PdZft
 TGxtT4lwHNdf9BELrXu7FxGq6MU=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=wnN2tHq7422wsgBbboXKyz4eIVsJ3+cS5uCcUj
 +3kX6ifk9cSHp9RhmvIcxDfXKVBvcpXlggJztXjVUXGcmE/w1pSzTpz3ZbqghGWglIyGAl
 NXQ5U7zcMpJUkupfuE3cMicORsEgdygiHg1t/pXTxgrw4JSV16IjYTfCIxW1B6NL81CY1Z
 96R9qbtpumpB5u2zTbQ4vyA1mmU+Mdyy2DYEJyIT2xn8kmXFP6IJXJUQoO7jQ+GXccAgfx
 a9TLtr555mNAAYAD4rydGbSlGJ5GGdfRwr3OgzVDRLvwcE8q8BS4+OWx/YOC9P5hv/Jt1B
 d/fQ+pZUCzMOOFZfS9rapLVw==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id fe5533a7
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Fri, 18 Nov 2022 13:10:09 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <874juwebfr.fsf@HIDDEN> (Po Lu's message of "Fri, 18 Nov 2022
 19:42:16 +0800")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN> <874juwebfr.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 13:10:07 +0100
Message-ID: <87pmdkwjj4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Po Lu <luangruo@HIDDEN> writes:

> Manuel Giraud <manuel@HIDDEN> writes:
>
>> +struct glyph *x_y_to_hpos_vpos (struct window *, int, int, int *, int *,
>> +				int *, int *, int *);
>
> Shouldn't this be "extern struct glyph *x_y_to_hpos_vpos ...?"

Ok.  I'll fix that.

>> +		/* I guess this works because the menu bar is always
>> +		   at position (0, 0) in a frame.  Should this changed
>> +		   and we need a way to calculate the correct position
>> +		   into the menu bar from the position of the event in
>> +		   the frame.  */
>
> I think this comment is unnecessary.  Where else would a menu bar be?

I don't know.  Maybe in some distant future, menu bar will be anywhere
:-)  It also helps with the previous comment about event position being
relative to frame because here we are converting in f->menu_bar_window.
-- 
Manuel Giraud




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 11:58:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 06:58:27 2022
Received: from localhost ([127.0.0.1]:35514 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow00o-0002nd-Pu
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 06:58:27 -0500
Received: from eggs.gnu.org ([209.51.188.92]:34850)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ow00k-0002nO-Rs
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 06:58:24 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow00f-0006vq-7X; Fri, 18 Nov 2022 06:58:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=+HAC60y7ppZX+qpxPokU3OtBJVsYg+4IetJ+y62PRYE=; b=bBChggqbBprP
 92AuwD9sPO5aA+8x6tKU9Q9AOAw8LLIVSkVWnFnsw3c0l0PdSXU8YrOw3NFDt0GhZgYlCWter/cH2
 ZotgOgd4WFU+OOVoIVyQYk8FfOPaQC4x9Z2Jh7eWQe2nNAax/duMxtZnyqFFPblahVNXqPrO5E4+u
 HzFAXRxm6IYTu6zwcJrRTAnGhAliMnPlOGTuYMoH229K7sQif8aLcJ9SfQNLcoJ1ReElLOnq8sQNR
 6RrKrLXOMy1SiTTflA+zQxgiiU3nnALZxE2tyaQ4EEtLYbiR5FYxp+y6IHxQR2cNmmaLX1DUKON5W
 A7+8nsPqP3cPJHIY1Qo9EQ==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow00d-0002Kh-VN; Fri, 18 Nov 2022 06:58:16 -0500
Date: Fri, 18 Nov 2022 13:58:19 +0200
Message-Id: <83o7t4bhk4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
In-Reply-To: <8735agr0g4.fsf@HIDDEN> (message from Manuel Giraud on Fri, 
 18 Nov 2022 12:01:15 +0100)
Subject: Re: bug#59351: 29.0.50;
 [PATCH] Fix mouse click position to menu bar entry
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59351
Cc: luangruo@HIDDEN, 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 59351 <at> debbugs.gnu.org
> From: Manuel Giraud <manuel@HIDDEN>
> Date: Fri, 18 Nov 2022 12:01:15 +0100
> 
> diff --git a/src/keyboard.c b/src/keyboard.c
> index 069cf0627b..5cc7209846 100644
> --- a/src/keyboard.c
> +++ b/src/keyboard.c
> @@ -5974,8 +5974,17 @@ make_lispy_event (struct input_event *event)
>  	       in a menu (non-toolkit version).  */
>  	    if (!toolkit_menubar_in_use (f))
>  	      {
> -		pixel_to_glyph_coords (f, XFIXNUM (event->x), XFIXNUM (event->y),
> -				       &column, &row, NULL, 1);
> +		int dummy;
> +
> +		/* I guess this works because the menu bar is always
> +		   at position (0, 0) in a frame.  Should this changed
> +		   and we need a way to calculate the correct position
> +		   into the menu bar from the position of the event in
> +		   the frame.  */
> +		x_y_to_hpos_vpos (XWINDOW (f->menu_bar_window),
> +				  XFIXNUM (event->x), XFIXNUM (event->y),
> +				  &column, &row,
> +				  NULL, NULL, &dummy);

Did you test the results on a TTY frame that has a mouse?

Also, does this work after the user clicks the menu bar and Emacs
drops down a menu for the menu item on which the user clicked?  I
don't remember what happens to the pseudo-window geometry when that
happens.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 11:42:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 06:42:43 2022
Received: from localhost ([127.0.0.1]:35450 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovzla-0002GQ-Vx
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 06:42:43 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56636)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ovzlW-0002Fw-4O
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 06:42:39 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ovzlQ-0004LL-6m; Fri, 18 Nov 2022 06:42:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=Bxe02WQNN6YSqiGYZkACDF89MTtp7X3emJ7oliPD22o=; b=F+D0m5IvGETU
 Vpo8ARxbVOXvIm1qWOF2kgdoxcXVQFHE1l//2AJZyPs1LvYUAD72XrVi4aDaWyM50j8jbTKSIqL2i
 wSzfX2Usss3bRd9wtr0veCu31wSCVKpaVPuzfRCXmq+efDSvHtqk4wwruDVPo3xspuVm4DfWkxW52
 NpS9nus+HxXO1//9t2MhkHeZ7TJl6YFWj5SN3c0aXgEi3YpVps3AR7Q/G2MIbPAglBosW3jeSFQqI
 c8lLZg3vRHY/mm0PAeq3RaqI05jrsK9SqpOkkYsBzu1R6EJc2cWYMXU1ffR5cTX/fcMnix73NRa2v
 uMyP5LdjxpGlcUoY2QbF0Q==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ovzlP-0006VF-GJ; Fri, 18 Nov 2022 06:42:31 -0500
Date: Fri, 18 Nov 2022 13:42:34 +0200
Message-Id: <83r0y0biad.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
In-Reply-To: <87tu2wlku7.fsf@HIDDEN> (message from Manuel Giraud on Fri, 
 18 Nov 2022 09:37:20 +0100)
Subject: Re: bug#59351: 29.0.50;
 [PATCH] Fix mouse click position to menu bar entry
References: <87tu2wlku7.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59351
Cc: 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Manuel Giraud <manuel@HIDDEN>
> Date: Fri, 18 Nov 2022 09:37:20 +0100
> 
> What is not in this patch: The height of the menu bar is not
> recalculated correctly.

Why not?  And why did you not include that in the patch?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 11:42:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 06:42:38 2022
Received: from localhost ([127.0.0.1]:35448 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovzlW-0002G9-L6
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 06:42:38 -0500
Received: from sonic311-23.consmr.mail.ne1.yahoo.com ([66.163.188.204]:34796)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ovzlT-0002Fq-Sm
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 06:42:37 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668771748; bh=Pp1b4fzs6AtteumNjJMVFbgDDVWhhx51Th30XQYjgsY=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=Nyy6XWk3Uvicnl35w+9OC4vzNamAQNYGWx4dRSZOI0poZs/NztB2id1S9PZnT+FSlrdNiC/KbWIKFxjomsacAL8V4cAjXVKVwfZk7BFpAOF+pp1cA+ndUlLrk8Z3hHjJ/Vs32P1Y/pbDHfWKjYkJ/R35U3PdzsrOsdr5aJmkvDuLW8k0BTcpKOMJu6DFlHaeg674kmdodNQQhJe5nvW4+W+ahU8gvJBnA3zujEF5V8bQiaggrs7MsJw4zgV/jlio7M2NCD/E06ivSW46+/z1OiTNHg5Kc9lFbyJOS4Gh22HvysXCUzreK4ahj1ZYky4Ri064cvpn5z7PnKzzPqbF3A==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668771748; bh=8K9pBp1rdiA1jh92VgMNTo37+GYubk9w7D0Qr5SXEMf=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=IAnWM0tzMDo8t0eBXYqKAAoVmpCbt+gXkz9sl30vKoOSnZei0OcYJ4cyLOcnwxh4xGiuY06SlWoWsFpT41IvOL+w5C9Me9QSHurQD/hJnHTa3WuHma6DvI+AyCCMk6giw2NAIZGc7S8ftlx5ofshenKHpVTPwOVJuT2PPoqfKefCYu1uFs7Bo0OqkSGaUXydTei1ayZckN8cMT+sPkP63kPDPLEFpc7VjOR+qgPuPa3eoQv38ScrIIRdCPL9TQWcdjk4xkEIej6A+WE4/GG1mlt+tnyXnc4wQFIKT6G9A/KF7QVoW1N9JH9bGLQ9+fyP0KRAKVvJuSMKAMLY7RnV2w==
X-YMail-OSG: 8uXtuhAVM1mKvxIIQyuAJsECgt7iyCfrsxag70NG0csRy_uEKDhBeakGMPVzRo.
 AuRAaY._O8bciZTK_GNUYwQuWepVlh5EFVxR__iAH9wx2iPZ4jt31cVGwVZ0NGJ7DHv8wohTjcjh
 8i7Wg_FjxDfEfGQWcJYoCG3haAEHlS.vG8sxNdp9qWdaoe1fnYS3scCi19uVQimYNaGLYg_nqtn7
 WUF2mvL8dUFr34qKmU8Fr1WhuF2GZ5xTIZWx2c1HYpo_MKVSfmzv6aeUbj1T_izqWKiXyHOW9ZVG
 RgWy1FbwsuoAV5zZW7X21RsVOdNyqEn11XbFIbLJbKUycOqHXtPPwa2mFc2U6G84Pn1chyH_3oRi
 Jvj1QSBhJ00DEyPKHKzXF633qB.7GyREheRc_eUHSAW8XJs2vfB_jg7TI33Z0XODBhCABGX9Xkhg
 p7cF371YxeqO5vm.Mj_fDjkEcgdjEScRpicqXz7f3zilsUu8xnc5PRhdrbAlC5S0MR2hi6QsxQa5
 ywowWIxtt8FFNJIzJiLQrcT2R8xjqVQ10LVV4tzv1CLM.pd7wXXczu4O5DNTyXHFD3L1Bpg1hUUM
 FalzZJGwO9St9D3BJczWofaeqL.TRtnZs7dTsCXtVTaLHFUxZawQNoMKIizYoQL_A60lHJ0OIvnJ
 fo_44s9AJF2Pg5xxhUWrK5Gy9E9KdHqdAHMxf2wCCD0ZmJgFZqHlxwYeFXMWiBHYb0r7ee6bUgE8
 C6awqX1mHXTwrR3e4N0QZO3XHsQKAEpb8sQnvyo67jcPNum6GSSpWSwuxGVOkyIv2ZK6sWxvS9wr
 VHHuVHEPJmEXwQMCRJhLhNvzrvTs_mi7DBInUnfK9V4SDoIrjAi_x1BC4HpdeNDVL7HlBWlTNIj5
 5dYgNEaOrNUIUfOPvY.wY2eTl71gphbwmtPDhdzYLlTkZj.YH2oTXIFNUb.vc8DnWK0vHfUEESxr
 iYmqOQdvWITy6O.3_d7B9Iyd8eloqDjOcYOMTou88_6_Yx60u95h4TDSUSv6jhUrRxanRAvVPznf
 crehklSM6vDDVq6GOBaMJUUqGBgACPvglqyvvtJOIwN2HdnznZcSvTsgnPs3B4wdohJdrJAU4AXN
 yOhnxAxGXW1vk5fa079vA8ixLZQzqlHlGhYeXRIS3jBmj.CEL1I64qon8zwSTd61Yy3HQGC7m6m2
 XSFit17FckHBLixZ2BuG2eOdRPyv4reLNsTJnzxLEan9PtK.Jmy7jxR2aE35Unh4Qz0wXCLv8R9Y
 LL4q6RBUwHNK8bsGvZ50so4OmuMcAL277nEKdVfgzBAaUfJLbZtGM_glKTAEV1eid3jLpSevUVWR
 axTa_uCdxnLxw02.SZ.K5K4AmsO5jgDwWOalHKRLiuIkzrO6bdeeL2uHWo1mgYVCL3YN7AgQfR0H
 YGRG6zvp9s_x_6MRnL2LgPxiG3kDsdicBeXTFpr_DyQql6g73E837gyeGwLfYn79ssvNsYv0IrrD
 4xgnWHPE0Bq8SMm5u69_Y80p5Ft8Vhx.b21qIuRFXv188tydNqKwui12kyTw2nr2rsLVpG7CfDNN
 ufDQI1ZQV3Cz6YljI3_Tww3KlQJfmoNsxJq6rISMmlnN646E1I5VCYUWGWa4Dahn927Tm0c4mlmX
 aKe9n4vmsozkrEvD2GL0qm3qE_yXBWbMcviRHw1L5uDusXuF_XGryYjy7Qu96VBybEr_zAw6zDZ0
 Ox60nebjbtSTakYb9QxhiYKctHv6mD0AiakYmeOQtcrxWFVwn.70z6mwxPIVbIsqXlyNyPaf8jWJ
 Sxmdy9RkHuH3CBH1SC8NIjxp3UYp9yUVu5XA44F_sknlWHXEcjF.VwAje1GqeTU3EifX1hzpy4u2
 rm_ceKyDu3eKAbDW1W7GiKmqycezH67KF22VEEbnYhrUMlZFr8fHZqFn7Dg3KN1JS5zybwajr5i0
 l9HnKIesIeXHBkxoAPY4IO2j8tOQuHFmgOEvkEhEkD7g7hRlyQZItUOj02xFxOYSCeNVdH5JUiDt
 DLrcRuCpGHJ5X4wwQGqEdgHRFuCkz._lZLPnbvtAzp3iXmkav2nLDCa12LuR5572RxhnDewpPpKz
 qS_TKKpBkW2D0o5Dgj8WLoPeh5ASBBZwCT.rYK.XgIYhDKsbUoOrPHXzVF9lZOVp2vZAiYppgyY6
 G7CfbsvRyOu.Kaw.UBDzxBklsEUhsr__1Oqu643SyZfyW03Rx1fXo8qWUbUNlaHiPDgCoBh8xJ0Q
 x8AcQGabBZSTFIsMzquxEfshXrUnyiNxfKlu.KoRUpC.oNAtrbmE9qhtRphRjXow_au8-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.ne1.yahoo.com with HTTP; Fri, 18 Nov 2022 11:42:28 +0000
Received: by hermes--production-sg3-6c8895b545-qz6cd (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 64824cc6da9b3fbc0da240c6360408c9; 
 Fri, 18 Nov 2022 11:42:23 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <8735agr0g4.fsf@HIDDEN> (Manuel Giraud's message of "Fri,
 18 Nov 2022 12:01:15 +0100")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
 <8735agr0g4.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 19:42:16 +0800
Message-ID: <874juwebfr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20863
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 549
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Manuel Giraud <manuel@HIDDEN> writes:

> +struct glyph *x_y_to_hpos_vpos (struct window *, int, int, int *, int *,
> +				int *, int *, int *);

Shouldn't this be "extern struct glyph *x_y_to_hpos_vpos ...?"

> +		/* I guess this works because the menu bar is always
> +		   at position (0, 0) in a frame.  Should this changed
> +		   and we need a way to calculate the correct position
> +		   into the menu bar from the position of the event in
> +		   the frame.  */

I think this comment is unnecessary.  Where else would a menu bar be?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 11:01:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 06:01:24 2022
Received: from localhost ([127.0.0.1]:35393 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovz7c-00013p-0z
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 06:01:24 -0500
Received: from ledu-giraud.fr ([51.159.28.247]:47085)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1ovz7W-00013e-V5
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 06:01:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=kDpzFp84mlKERKkc
 /UYMbKWAqf32OwIjfj+NzyyIB1w=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=d/T9ErsC1a4fJZWHfICQYL6dniOAypK9tpa21v
 IId5qe818fKyjzDp+OeiN8+uAHkhv3Uouiy0VK9HbpeosPsK6Q1RCuGA2qLl9xW6aBs77n
 bnf463JJlOqYQnvPFEGEkXxZKIHaeRiiPPANSJcrtFsNIMyRgqXl1vBca1DBVF/VqINml8
 3dfYAVmu+augGofmLuJqHYy9b4EF/6APhKs8DPKaPK/bILNTD5VZAFwZAUIM/jPcFPB0gZ
 PcmGBuHw7JP71HcrYl6Y4yhDh4REmOwZOe8CdgEFZ/JdlzO5mqavFXhoozkQuZLybBhKbD
 TGRaXea9xr8lYzhYOxawpzLA==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 5cdb0c21
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Fri, 18 Nov 2022 12:01:16 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <878rk8ee6d.fsf@HIDDEN> (Po Lu's message of "Fri, 18 Nov 2022
 18:43:06 +0800")
References: <87tu2wlku7.fsf@HIDDEN> <878rk8ee6d.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 12:01:15 +0100
Message-ID: <8735agr0g4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Po Lu <luangruo@HIDDEN> writes:

[...]

> Judging by the contents of the patch, you sent the wrong one.  :(

=F0=9F=98=85 sorry for this.  Here is the good one.

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Fix-click-position-to-menu-bar-entry-with-no-toolkit.patch

From 697cbac26e81457840f187399530b0f91adb1768 Mon Sep 17 00:00:00 2001
From: Manuel Giraud <manuel@HIDDEN>
Date: Fri, 18 Nov 2022 09:24:55 +0100
Subject: [PATCH] Fix click position to menu bar entry with no-toolkit

* src/keyboard.c (make_lispy_event): Use x_y_to_hpos_vpos to
compute correct menu bar position should the menu face change.
* src/xdisp.c (x_y_to_hpos_vpos): Not static anymore.
* src/dispextern.h: Export x_y_to_hpos_vpos.
---
 src/dispextern.h |  2 ++
 src/keyboard.c   | 13 +++++++++++--
 src/xdisp.c      |  2 +-
 3 files changed, 14 insertions(+), 3 deletions(-)

diff --git a/src/dispextern.h b/src/dispextern.h
index 2f5f4335fe..c59f594f9e 100644
--- a/src/dispextern.h
+++ b/src/dispextern.h
@@ -3376,6 +3376,8 @@ #define TTY_CAP_STRIKE_THROUGH	0x20
 struct glyph_row *row_containing_pos (struct window *, ptrdiff_t,
                                       struct glyph_row *,
                                       struct glyph_row *, int);
+struct glyph *x_y_to_hpos_vpos (struct window *, int, int, int *, int *,
+				int *, int *, int *);
 int line_bottom_y (struct it *);
 int default_line_pixel_height (struct window *);
 bool display_prop_intangible_p (Lisp_Object, Lisp_Object, ptrdiff_t, ptrdiff_t);
diff --git a/src/keyboard.c b/src/keyboard.c
index 069cf0627b..5cc7209846 100644
--- a/src/keyboard.c
+++ b/src/keyboard.c
@@ -5974,8 +5974,17 @@ make_lispy_event (struct input_event *event)
 	       in a menu (non-toolkit version).  */
 	    if (!toolkit_menubar_in_use (f))
 	      {
-		pixel_to_glyph_coords (f, XFIXNUM (event->x), XFIXNUM (event->y),
-				       &column, &row, NULL, 1);
+		int dummy;
+
+		/* I guess this works because the menu bar is always
+		   at position (0, 0) in a frame.  Should this changed
+		   and we need a way to calculate the correct position
+		   into the menu bar from the position of the event in
+		   the frame.  */
+		x_y_to_hpos_vpos (XWINDOW (f->menu_bar_window),
+				  XFIXNUM (event->x), XFIXNUM (event->y),
+				  &column, &row,
+				  NULL, NULL, &dummy);
 
 		/* In the non-toolkit version, clicks on the menu bar
 		   are ordinary button events in the event buffer.
diff --git a/src/xdisp.c b/src/xdisp.c
index f6a279636a..0c073c0fb5 100644
--- a/src/xdisp.c
+++ b/src/xdisp.c
@@ -2330,7 +2330,7 @@ pixel_to_glyph_coords (struct frame *f, int pix_x, int pix_y, int *x, int *y,
    text, or we can't tell because W's current matrix is not up to
    date.  */
 
-static struct glyph *
+struct glyph *
 x_y_to_hpos_vpos (struct window *w, int x, int y, int *hpos, int *vpos,
 		  int *dx, int *dy, int *area)
 {
-- 
2.38.1


--=-=-=
Content-Type: text/plain

-- 
Manuel Giraud

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at 59351 <at> debbugs.gnu.org:


Received: (at 59351) by debbugs.gnu.org; 18 Nov 2022 10:43:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 05:43:30 2022
Received: from localhost ([127.0.0.1]:35370 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovyqI-0000YY-8M
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 05:43:30 -0500
Received: from sonic316-22.consmr.mail.ne1.yahoo.com ([66.163.187.148]:41645)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ovyqE-0000YF-NB
 for 59351 <at> debbugs.gnu.org; Fri, 18 Nov 2022 05:43:29 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668768198; bh=iqFH/CCuLnGHqrJ9azj6byzJJNCi+9P9vt+4TfOR+Y8=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=braq/h9UQW48JGrk/9hldrIcrNcPzaCK7FkEjfiGgS789FBJ0cKkHdf3HGHQiUsk18wQsVWesZiYiDvRegvv8fpU1RxbbuYHqhpsv4bR/AfiJRGcZF7vKHYlYLX6Sm9C8028V48lmqF+KbW6vYwNG0iBkmSz4+qAmOvPwJML1rlwH8Y1BMTgqjz8eUazWzKlouymKgVjPtcEVN044vSmqYVeEiSsak+hrrG641yn4/23MPw9SI+V5i0ztqu8fvsj/WT+w6LySpugYMtUA5DeqKoSCtAYJrmPtbcASB9Kk+6bs5mUq3/2s//199wVAK2Lbm0MXT1P7upU1QrOlER5BQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668768198; bh=EyiQdOIqzWdbRQPKzHRV3rmVRHYYfV0DHnYi8HodINB=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=dX7gwDKfS0DlCfFbAvOOkA/nXD7QI4y2JHBv/QQdkN3pmer/y6eg1x1gOCxg2SGJp+TQ2u+yjJDZchJ6MPoRWGGb9RqaWtOHrlA8WeQBYER4SOAGswLJB+S0brFR9X+Wxygd/OxRuApdq9y4qVGwjG2G32yVkxVY3SsSiHcGMQ5bebQqdxch/JcTfsIAcFeQGPzMsCz37C92aNz/Q+ioIYgeL9fPjRbeL161JfUOOS7AYy+ZjkPxuzkbQzBjGnpu1QiJGPY9ZgE8jGcB9A0m1oQQuHUWyGjlrtJGpus+XHVvXS+NiG3ygqF6/4F5o7ZAzOrKAxHGCrSnQTN9/unC6w==
X-YMail-OSG: PArtp1kVM1lDmcQLMbHdTuBncKK0E2cb.pIA7paraL.mwGD6nk.EVVJDURGA1KD
 TeEk2IXIVQJqZPdRJVxINfXttPaxrMC7bbRxlskssb_E0YzqI.Y.TrI6fXWrTd92C5SnxBsQ4114
 gF36ag9V7ICYja6vxQTaenwwkHcoOsskZRre1RuIs9s5xYbfFanAI0RebSrUeuGOb7Y1P_bN1kru
 lKA_iwpynHKP5QgxWN6EuwL.IeJ09gIfp.1bUCStE2liUQdgEx8lZojmh6XN5kv.kz3i08gs3bJh
 Dw64iJHT5ETihL3Eky2RpfK_DZP6AL0D5QYmLtJcs.3aD5CzV_pvMO0Kun.uSZaNKl_pHaKtqVHP
 IulakH8qKtiyQ6UEUfcnJGBZ7SoAXupFvcqf0oeNAUev4O7iWbyX9Qh1tLAQqHaXwTlJjped_GVj
 6HV4cgGknG1VhhGSdpG.46F8Mvm2PveUuE7X3JQsA0iz9GQRz1s3wJ2NVj2anfhUSNECuflpxXom
 8r.iefJdBDMoxenakgDvBKRO2P1SzKTXtELbh2Noa6LrAhvT59isHSoNJUfm4Mqli6V9nHTPuO5j
 gPf9W.zWp8lAZbhrkDZnU9ORxkSyFmY9Ha6_JiR_g36eEKa4s.08FQznsKpHWir9HYWdvo29voRV
 q.RD22CFJHg.vAxuiI9m7JTkHcERR7plh7aFtmqw56mODw13LKIjE3Ctp3cs9Q.ynID4x8TA2wIt
 GGNiV20R1CzLF.xYHImvKQr0OpWCyXmNVu9bV3WmCP0sfAODm5eG0NiGveAPk5F4eM_9apFoPd.P
 vUSiiyDwb79mDKn3K9G.3p4RB9LdEQuyve9I8Uw_qujCE3tyoN4csL70my9I.wB8j_Xs8BiL1x8F
 fV0TlMw6UKW40h0W25NyZ4drAcgmLGziEeVX3KC5UFLV8JwCZFsreETQa6VN87Vu59a3Eyf35skx
 cM0DShjcMJVYqUYueAlr2t2yX85ZAlHpgq3uwruyVQ6UzT1XnTa2yYqOTaoNbkM24yqrB3t00Nas
 iBNpm3dm6XsQa.6O4SEY.cOIw1WOe5YeAMzV70xhPgIL04dXItyTiW35RmwlJ70.dLESPHUAH9B1
 WEGALfO7o7HYYu9MVh_nr6JwITf3ppcLzt8opttijrJB7ZTyuvh7fBSW8eHHi4iDLa91d8JaM0nV
 PrQdSnFswjwXpz7IR.WqLPcJgVuGGYlmYkDyo7CguynMcxHk3WAGnxBpT.JCTQc5WEtmAAnX5pqz
 CuAPQ8I2_AUKzFfD8FhzQHtqeM2xhjUquEymkpvGb3p5EqOUGPjacUGXQO0oJ8yIgcN6BcwND133
 npmNtCGiNmYT9NFtdE.JgK2RiMocud.Nxhf8A1oWhxSQuy..dxMmn.5ZO4mlCWLxTnbSqezYsSJx
 zk6ACGMZKWyEIrHz0EIed5cVMpxx1xOZquvphNGEIEsjsR9vV.2YbjI96Y0CIaDxn2fQ6sHgZxlC
 7jxxzWPiJxeFrKG3aNT8qogKmZUWvmPrq_UMH9lGZ1EVs4MIG7yvzCGLuI3PqxEAi0bLaO8cDb_L
 hDS9MOZaaxHk8lyY1ijRVqllUThxPBaKvR33bVbxuuysKpjHuFyB6hZqO9l.v.PLzdJ3bmAy2RNi
 lSqeEOoEfUND20bEdD3Yf_AxCQQ4fmVgGoxdqYHsjq8TXNYkuI.Frnz5rs.G40NriEWKpUcsZ2vI
 6n_7SUcba4ZWHcUolTqeSAoli3l8uifO2L_oL7F8AvvSVN_C7Yh1Z_i_QvBkfxWs3KI.jdr_nKUL
 VWJuNUPlb32uk57OMMfLlQG331ilzs4ed7jHs0wXMDDHyRu7wpCU87EmZeBHPx2Tn8M3iUK1sxx2
 0pQI4xvJUS.y1niApBKHFwEX9Oz.4DhbBapl5JS5BTd_I8KaVXQ7XptyJQsF6oI8Sm9B0B0dPMDL
 KRBXzjn3W4RWnp2sYXhDDav5Zb.GHV8s3jLUp0dL8.qFmcBvpQhmY7m.udTDBVA9F9EBspleV8Aa
 MbHV3._h09MigGY7IyTEBwP8X2EIueSF1eK7uOp7I_PJLOvmodzNMGpcBc3cYkDTF16S2iBL5t8L
 Usni1qlS6tsDhA.EzpHJ.wyflSfONP8z7VkKYMYOTE.PRCzdgzIH85LdrxqG.DUGfPQ_gT24JPql
 n9ZK6r1R_chfZez.mKfjjD9ndkvbyCOnxGxa4mrOZcnBKMGqA9acH8K81ojiPiiP6ZAFQDASHmtU
 aLuR195whGGCFgXN42reRtytw4w9rFJUX2lspw8SBiEZ.GK9CD7G5v6oJMv8jbc7.GWA6
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic316.consmr.mail.ne1.yahoo.com with HTTP; Fri, 18 Nov 2022 10:43:18 +0000
Received: by hermes--production-sg3-6c8895b545-pb7wm (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID d5972b6be32e6436fb0f1fc44b6543ca; 
 Fri, 18 Nov 2022 10:43:12 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu
 bar entry
In-Reply-To: <87tu2wlku7.fsf@HIDDEN> (Manuel Giraud's message of "Fri,
 18 Nov 2022 09:37:20 +0100")
References: <87tu2wlku7.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 18:43:06 +0800
Message-ID: <878rk8ee6d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20863
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 573
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59351
Cc: 59351 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Manuel Giraud <manuel@HIDDEN> writes:

> Hi,
>
> So here is a patch that I think fixes the calculation of the menu bar
> entry to activate from the mouse click in menu bar with the no toolkit
> build.
>
> Issue: Before this patch, if you change the font of the menu face (for
> instance with (set-face-font 'menu "SomeOtherFontOfDifferentSize")), a
> click in the menu bar won't activate the correct entry.
>
> What is not in this patch: The height of the menu bar is not
> recalculated correctly.

Judging by the contents of the patch, you sent the wrong one.  :(




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Nov 2022 08:37:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 03:37:31 2022
Received: from localhost ([127.0.0.1]:35209 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovwsM-0005jp-Sq
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 03:37:31 -0500
Received: from lists.gnu.org ([209.51.188.17]:35684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1ovwsK-0005jg-AK
 for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 03:37:29 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <manuel@HIDDEN>)
 id 1ovwsK-0004Cx-3O
 for bug-gnu-emacs@HIDDEN; Fri, 18 Nov 2022 03:37:28 -0500
Received: from ledu-giraud.fr ([51.159.28.247])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <manuel@HIDDEN>)
 id 1ovwsH-00086e-Bv
 for bug-gnu-emacs@HIDDEN; Fri, 18 Nov 2022 03:37:27 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=uP52E0TjOa+oni5v
 yv+2Ns+/WQz3HqtL1f/v+7xl8sM=; h=date:subject:to:from;
 d=ledu-giraud.fr; b=xEm1GVKSbgWo128Z+vlWN+EyiDmpDuOuMzAK6UeKjUzP1MnLYW
 0+7KJobBKMde9C7R8vVr8sGWRppEH2Ri/uc+e+QF58dtcnponvM5r3CF27a4roaIsinDYD
 ssvoykVpmh24LMOqY22wfl+x/A+SBuVz0k/ZOtp9C/kGSzKeurS50dzMwWuHtCCkNoRgXQ
 vdZnW3wdryJD5wKu6oOzxQvoH2OJ2I2I+rILmwCVPjVU8aKUKxm1uGZz8nae5Vu3z37+Vf
 F1lYgKFj6wOKsCFaHukQGetccuA8BQL2sWRUXcpqrpF/MyGr04dSL+CVPZen/M2VY/W8i4
 1zkxRlWFAXSg==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 101e263a
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO) for <bug-gnu-emacs@HIDDEN>;
 Fri, 18 Nov 2022 09:37:21 +0100 (CET)
From: Manuel Giraud <manuel@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; [PATCH] Fix mouse click position to menu bar entry
Date: Fri, 18 Nov 2022 09:37:20 +0100
Message-ID: <87tu2wlku7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=51.159.28.247; envelope-from=manuel@HIDDEN;
 helo=ledu-giraud.fr
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain


Hi,

So here is a patch that I think fixes the calculation of the menu bar
entry to activate from the mouse click in menu bar with the no toolkit
build.

Issue: Before this patch, if you change the font of the menu face (for
instance with (set-face-font 'menu "SomeOtherFontOfDifferentSize")), a
click in the menu bar won't activate the correct entry.

What is not in this patch: The height of the menu bar is not
recalculated correctly.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Fix-menu-bar-height-for-with-x-toolkit-no.patch

>From 100ed84198cd97664a94e89d1730e97b1fabbbb9 Mon Sep 17 00:00:00 2001
From: Manuel Giraud <manuel@HIDDEN>
Date: Fri, 14 Oct 2022 16:24:10 +0200
Subject: [PATCH] Fix menu bar height for --with-x-toolkit=no

* src/xterm.c (x_menu_bar_height): New function to compute menu
bar height with menu face and boxed information.
(x_new_font): Use it.

* src/xfns.c (x_set_menu_bar_lines): Use it.
---
 src/xfns.c  |  2 +-
 src/xterm.c | 25 ++++++++++++++++++++++++-
 src/xterm.h |  1 +
 3 files changed, 26 insertions(+), 2 deletions(-)

diff --git a/src/xfns.c b/src/xfns.c
index 9112448899..3d93a6a207 100644
--- a/src/xfns.c
+++ b/src/xfns.c
@@ -1674,7 +1674,7 @@ x_set_menu_bar_lines (struct frame *f, Lisp_Object value, Lisp_Object oldval)
     }
 #else /* not USE_X_TOOLKIT && not USE_GTK */
   FRAME_MENU_BAR_LINES (f) = nlines;
-  FRAME_MENU_BAR_HEIGHT (f) = nlines * FRAME_LINE_HEIGHT (f);
+  FRAME_MENU_BAR_HEIGHT (f) = nlines * x_menu_bar_height (f);
   if (FRAME_X_WINDOW (f))
     x_clear_under_internal_border (f);
 
diff --git a/src/xterm.c b/src/xterm.c
index 9059ad7136..c3bc494667 100644
--- a/src/xterm.c
+++ b/src/xterm.c
@@ -25464,6 +25464,29 @@ x_io_error_quitter (Display *display)
 
 /* Changing the font of the frame.  */
 
+int
+x_menu_bar_height (struct frame *f)
+{
+  int font_ascent = 0;
+  int font_descent = 0;
+  int height = 0;
+
+  recompute_basic_faces (f);
+  if (FRAME_FACE_CACHE (f))
+    {
+      struct face *face = FACE_FROM_ID_OR_NULL (f, MENU_FACE_ID);
+      if (face && face->font)
+	{
+	  height += (face->box_horizontal_line_width > 0)
+	    ? (face->box_horizontal_line_width * 2)
+	    : 0;
+	  get_font_ascent_descent (face->font, &font_ascent, &font_descent);
+	}
+    }
+
+  return (height + font_ascent + font_descent);
+}
+
 /* Give frame F the font FONT-OBJECT as its default font.  The return
    value is FONT-OBJECT.  FONTSET is an ID of the fontset for the
    frame.  If it is negative, generate a new fontset from
@@ -25490,7 +25513,7 @@ x_new_font (struct frame *f, Lisp_Object font_object, int fontset)
   FRAME_LINE_HEIGHT (f) = font_ascent + font_descent;
 
 #ifndef USE_X_TOOLKIT
-  FRAME_MENU_BAR_HEIGHT (f) = FRAME_MENU_BAR_LINES (f) * FRAME_LINE_HEIGHT (f);
+  FRAME_MENU_BAR_HEIGHT (f) = FRAME_MENU_BAR_LINES (f) * x_menu_bar_height (f);
 #endif
   /* We could use a more elaborate calculation here.  */
   FRAME_TAB_BAR_HEIGHT (f) = FRAME_TAB_BAR_LINES (f) * FRAME_LINE_HEIGHT (f);
diff --git a/src/xterm.h b/src/xterm.h
index b68a234faa..5b914d48da 100644
--- a/src/xterm.h
+++ b/src/xterm.h
@@ -1595,6 +1595,7 @@ #define SELECTION_EVENT_TIME(eventp)	\
 extern void x_ignore_errors_for_next_request (struct x_display_info *);
 extern void x_stop_ignoring_errors (struct x_display_info *);
 extern void x_clear_errors (Display *);
+extern int x_menu_bar_height (struct frame *);
 extern void x_set_window_size (struct frame *, bool, int, int);
 extern void x_set_last_user_time_from_lisp (struct x_display_info *, Time);
 extern void x_make_frame_visible (struct frame *);
-- 
2.38.0


--=-=-=
Content-Type: text/plain


Thanks,


In GNU Emacs 29.0.50 (build 1, x86_64-unknown-openbsd7.2, cairo version
 1.17.6) of 2022-11-18 built on elite.giraud
Repository revision: 61b9f2c3179aa454963493e1923307e875e2322a
Repository branch: mgi/update-menu-bar-height
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: OpenBSD elite.giraud 7.2 GENERIC.MP#835 amd64

Configured using:
 'configure --prefix=/home/manuel/emacs --bindir=/home/manuel/bin
 --with-x-toolkit=no --without-sound --without-compress-install
 CPPFLAGS=-I/usr/local/include LDFLAGS=-L/usr/local/lib'

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON
LCMS2 LIBOTF LIBXML2 MODULES NOTIFY KQUEUE OLDXMENU PDUMPER PNG RSVG
SQLITE3 THREADS TIFF WEBP X11 XDBE XIM XINPUT2 XPM ZLIB

Important settings:
  value of $LC_ALL: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Dired by name

Minor modes in effect:
  gnus-dired-mode: t
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  display-time-mode: t
  display-battery-mode: t
  server-mode: t
  shell-dirtrack-mode: t
  global-so-long-mode: t
  repeat-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  buffer-read-only: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/home/manuel/.el/exwm/exwm hides /home/manuel/.emacs.d/elpa/exwm-0.27/exwm
/home/manuel/.el/exwm/exwm-xim hides /home/manuel/.emacs.d/elpa/exwm-0.27/exwm-xim
/home/manuel/.el/exwm/exwm-workspace hides /home/manuel/.emacs.d/elpa/exwm-0.27/exwm-workspace
/home/manuel/.el/exwm/exwm-systemtray hides /home/manuel/.emacs.d/elpa/exwm-0.27/exwm-systemtray
/home/manuel/.el/exwm/exwm-randr hides /home/manuel/.emacs.d/elpa/exwm-0.27/exwm-randr
/home/manuel/.el/exwm/exwm-manage hides /home/manuel/.emacs.d/elpa/exwm-0.27/exwm-manage
/home/manuel/.el/exwm/exwm-layout hides /home/manuel/.emacs.d/elpa/exwm-0.27/exwm-layout
/home/manuel/.el/exwm/exwm-input hides /home/manuel/.emacs.d/elpa/exwm-0.27/exwm-input
/home/manuel/.el/exwm/exwm-floating hides /home/manuel/.emacs.d/elpa/exwm-0.27/exwm-floating
/home/manuel/.el/exwm/exwm-core hides /home/manuel/.emacs.d/elpa/exwm-0.27/exwm-core
/home/manuel/.el/exwm/exwm-config hides /home/manuel/.emacs.d/elpa/exwm-0.27/exwm-config
/home/manuel/.el/exwm/exwm-cm hides /home/manuel/.emacs.d/elpa/exwm-0.27/exwm-cm
/home/manuel/.emacs.d/elpa/transient-20221028.1430/transient hides /home/manuel/emacs/share/emacs/29.0.50/lisp/transient

Features:
(shadow sort mail-extr emacsbug whitespace gnus-dired magit-patch
dabbrev executable vc-git vc-dispatcher vc-svn bug-reference
magit-extras face-remap magit-bookmark magit-submodule magit-obsolete
magit-blame magit-stash magit-reflog magit-bisect magit-push magit-pull
magit-fetch magit-clone magit-remote magit-commit magit-sequence
magit-notes magit-worktree magit-tag magit-merge magit-branch
magit-reset magit-files magit-refs magit-status magit magit-repos
magit-apply magit-wip magit-log which-func imenu magit-diff smerge-mode
diff diff-mode git-commit log-edit pcvs-util add-log magit-core
magit-autorevert autorevert filenotify magit-margin magit-transient
magit-process with-editor magit-mode transient magit-git magit-base
magit-section dash compat-27 compat-26 compat compat-macs tmm cus-start
pulse tutorial paredit edmacro time battery exwm-randr xcb-randr
exwm-config exwm exwm-input xcb-keysyms xcb-xkb exwm-manage
exwm-floating xcb-cursor xcb-render exwm-layout exwm-workspace exwm-core
xcb-ewmh xcb-icccm xcb xcb-xproto xcb-types xcb-debug kmacro server
stimmung-themes modus-operandi-theme modus-themes ytdious osm mingus
libmpdee reporter edebug debug backtrace transmission diary-lib
diary-loaddefs color calc-bin calc-ext calc calc-loaddefs rect calc-macs
w3m-load mu4e mu4e-org mu4e-main mu4e-view mu4e-headers mu4e-compose
mu4e-draft mu4e-actions smtpmail mu4e-search mu4e-lists mu4e-bookmarks
mu4e-mark mu4e-message flow-fill mule-util hl-line mu4e-contacts
mu4e-update mu4e-folders mu4e-server mu4e-context mu4e-vars mu4e-helpers
mu4e-config bookmark ido supercite regi ebdb-message ebdb-gnus nnselect
gnus-msg gnus-art mm-uu mml2015 mm-view mml-smime smime gnutls dig
gnus-sum shr pixel-fill kinsoku url-file svg dom gnus-group gnus-undo
gnus-start gnus-dbus gnus-cloud nnimap nnmail mail-source utf7 nnoo
gnus-spec gnus-int gnus-range message sendmail yank-media puny rfc822
mml mml-sec epa epg rfc6068 epg-config mm-decode mm-bodies mm-encode
mail-parse rfc2231 rfc2047 rfc2045 ietf-drums gmm-utils mailheader
gnus-win gnus nnheader gnus-util mail-utils range mm-util mail-prsvr
ebdb-mua ebdb-com crm ebdb-format ebdb inline mailabbrev eieio-opt
cl-extra help-mode speedbar ezimage dframe eieio-base pcase timezone org
ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro org-footnote
org-src ob-comint org-pcomplete org-list org-faces org-entities
org-version ob-emacs-lisp ob-core ob-eval org-table oc-basic bibtex ol
org-keys oc org-compat org-macs org-loaddefs find-func cal-menu calendar
cal-loaddefs visual-basic-mode cl web-mode derived disp-table
erlang-start smart-tabs-mode skeleton cc-mode cc-fonts cc-guess cc-menus
cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs slime-asdf grep
slime-tramp tramp tramp-loaddefs trampver tramp-integration cus-edit
cus-load wid-edit files-x tramp-compat rx shell pcomplete parse-time
iso8601 time-date ls-lisp format-spec slime-fancy slime-indentation
slime-cl-indent cl-indent slime-trace-dialog slime-fontifying-fu
slime-package-fu slime-references slime-compiler-notes-tree advice
slime-scratch slime-presentations bridge slime-macrostep macrostep
slime-mdot-fu slime-enclosing-context slime-fuzzy slime-fancy-trace
slime-fancy-inspector slime-c-p-c slime-editing-commands slime-autodoc
slime-repl slime-parse slime compile text-property-search etags fileloop
generator xref project arc-mode archive-mode noutline outline icons pp
comint ansi-osc ansi-color ring hyperspec thingatpt slime-autoloads
dired-aux dired-x dired dired-loaddefs so-long notifications dbus xml
repeat easy-mmode rust-mode-autoloads stimmung-themes-autoloads
debbugs-autoloads paredit-autoloads ebdb-autoloads ef-themes-autoloads
ytdious-autoloads auctex-autoloads tex-site exwm-autoloads
hyperbole-autoloads magit-autoloads magit-section-autoloads
git-commit-autoloads with-editor-autoloads transient-autoloads
dash-autoloads compat-autoloads info package browse-url url url-proxy
url-privacy url-expand url-methods url-history url-cookie
generate-lisp-file url-domsuf url-util mailcap url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs password-cache json subr-x
map byte-opt gv bytecomp byte-compile url-vars cl-loaddefs cl-lib rmc
iso-transl tooltip cconv eldoc paren electric uniquify ediff-hook
vc-hooks lisp-float-type elisp-mode mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode lisp-mode prog-mode register
page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
frame minibuffer nadvice seq simple cl-generic indonesian philippine
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help abbrev obarray oclosure
cl-preloaded button loaddefs theme-loaddefs faces cus-face macroexp
files window text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget keymap hashtable-print-readable backquote
threads dbusbind kqueue lcms2 dynamic-setting system-font-setting
font-render-setting cairo xinput2 x multi-tty make-network-process
emacs)

Memory information:
((conses 16 756398 76643)
 (symbols 48 57143 2)
 (strings 32 169527 9002)
 (string-bytes 1 5556598)
 (vectors 16 101653)
 (vector-slots 8 1331942 88236)
 (floats 8 528 478)
 (intervals 56 10690 906)
 (buffers 984 26))

-- 
Manuel Giraud

--=-=-=--




Acknowledgement sent to Manuel Giraud <manuel@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#59351; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 1 Dec 2022 17:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.